
// Create a JSON object only if one does not already exist. We create the
// methods in a closure to avoid creating global variables.

if (typeof JSON !== 'object') { JSON = {} } (function () { 'use strict'; function f(n) { return n < 10 ? '0' + n : n } if (typeof Date.prototype.toJSON !== 'function') { Date.prototype.toJSON = function () { return isFinite(this.valueOf()) ? this.getUTCFullYear() + '-' + f(this.getUTCMonth() + 1) + '-' + f(this.getUTCDate()) + 'T' + f(this.getUTCHours()) + ':' + f(this.getUTCMinutes()) + ':' + f(this.getUTCSeconds()) + 'Z' : null }; String.prototype.toJSON = Number.prototype.toJSON = Boolean.prototype.toJSON = function () { return this.valueOf() } } var cx, escapable, gap, indent, meta, rep; function quote(string) { escapable.lastIndex = 0; return escapable.test(string) ? '"' + string.replace(escapable, function (a) { var c = meta[a]; return typeof c === 'string' ? c : '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4) }) + '"' : '"' + string + '"' } function str(key, holder) { var i, k, v, length, mind = gap, partial, value = holder[key]; if (value && typeof value === 'object' && typeof value.toJSON === 'function') { value = value.toJSON(key) } if (typeof rep === 'function') { value = rep.call(holder, key, value) } switch (typeof value) { case 'string': return quote(value); case 'number': return isFinite(value) ? String(value) : 'null'; case 'boolean': case 'null': return String(value); case 'object': if (!value) { return 'null' } gap += indent; partial = []; if (Object.prototype.toString.apply(value) === '[object Array]') { length = value.length; for (i = 0; i < length; i += 1) { partial[i] = str(i, value) || 'null' } v = partial.length === 0 ? '[]' : gap ? '[\n' + gap + partial.join(',\n' + gap) + '\n' + mind + ']' : '[' + partial.join(',') + ']'; gap = mind; return v } if (rep && typeof rep === 'object') { length = rep.length; for (i = 0; i < length; i += 1) { if (typeof rep[i] === 'string') { k = rep[i]; v = str(k, value); if (v) { partial.push(quote(k) + (gap ? ': ' : ':') + v) } } } } else { for (k in value) { if (Object.prototype.hasOwnProperty.call(value, k)) { v = str(k, value); if (v) { partial.push(quote(k) + (gap ? ': ' : ':') + v) } } } } v = partial.length === 0 ? '{}' : gap ? '{\n' + gap + partial.join(',\n' + gap) + '\n' + mind + '}' : '{' + partial.join(',') + '}'; gap = mind; return v } } if (typeof JSON.stringify !== 'function') { escapable = /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g; meta = { '\b': '\\b', '\t': '\\t', '\n': '\\n', '\f': '\\f', '\r': '\\r', '"': '\\"', '\\': '\\\\' }; JSON.stringify = function (value, replacer, space) { var i; gap = ''; indent = ''; if (typeof space === 'number') { for (i = 0; i < space; i += 1) { indent += ' ' } } else if (typeof space === 'string') { indent = space } rep = replacer; if (replacer && typeof replacer !== 'function' && (typeof replacer !== 'object' || typeof replacer.length !== 'number')) { throw new Error('JSON.stringify'); } return str('', { '': value }) } } if (typeof JSON.parse !== 'function') { cx = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g; JSON.parse = function (text, reviver) { var j; function walk(holder, key) { var k, v, value = holder[key]; if (value && typeof value === 'object') { for (k in value) { if (Object.prototype.hasOwnProperty.call(value, k)) { v = walk(value, k); if (v !== undefined) { value[k] = v } else { delete value[k] } } } } return reviver.call(holder, key, value) } text = String(text); cx.lastIndex = 0; if (cx.test(text)) { text = text.replace(cx, function (a) { return '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4) }) } if (/^[\],:{}\s]*$/.test(text.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) { j = eval('(' + text + ')'); return typeof reviver === 'function' ? walk({ '': j }, '') : j } throw new SyntaxError('JSON.parse'); } } } ());

   /**
    * 判断年份是否为润年
    *
    * @param {Number} year
    */
   function isLeapYear(year) {
       return (year % 400 == 0) || (year % 4 == 0 && year % 100 != 0);
   }
   /**
    * 获取某一年份的某一月份的天数
    *
    * @param {Number} year
    * @param {Number} month
    */
   function getMonthDays(year, month) {
       return [31, null, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][month] || (isLeapYear(year) ? 29 : 28);
   }26 /**
    * 获取某年的某天是第几周
    * @param {Number} y
    * @param {Number} m
    * @param {Number} d
    * @returns {Number}
    */
   function getWeekNumber(y, m, d) {
       var now = new Date(y, m, d),
           year = now.getFullYear(),
           month = now.getMonth(),
           days = now.getDate();
       //那一天是那一年中的第多少天
       for (var i = 0; i < month; i++) {
           days += getMonthDays(year, i);
       }

       //那一年第一天是星期几
       var yearFirstDay = new Date(year, 0, 1).getDay() || 7;

       var week = null;
       if (yearFirstDay == 1) {
           week = Math.ceil(days / yearFirstDay);
       } else {
           days -= (7 - yearFirstDay + 1);
           week = Math.ceil(days / 7) ;
       }

       return week;
   }

   function getDayViewInfo(year,month,day){
       var hlObj = {};
       hlObj.cmd ='getDayViewInfo';
      var dayViewDate=new Date(year,month,day);
      //alert(year,month,day)

      var weekListString=["星期日","星期一","星期二","星期三","星期四","星期五","星期六"];
      var chooseMonthLunarInfo = new calendar(year, month);
      //农历日期
      var monthCN=(chooseMonthLunarInfo[day - 1].isLeap ? '闰 ' : '') + monthName[chooseMonthLunarInfo[day - 1].lMonth - 1]  + cDay(chooseMonthLunarInfo[day - 1].lDay);
      var yearCN=chooseMonthLunarInfo[day - 1].cYear /*+"["+getPet(chooseMonthLunarInfo[day - 1].lYear,'')+"]"*/+ '年·' + chooseMonthLunarInfo[day - 1].cMonth + '月·' + chooseMonthLunarInfo[day - 1].cDay ;
    hlObj.riDes = chooseMonthLunarInfo[day - 1].cDay;
    hlObj.yearsDes = yearCN;
    hlObj.week = weekListString[dayViewDate.getDay()]; //+" 第"+getWeekNumber(year,month,day)+"周";
    hlObj.lunarYears = chooseMonthLunarInfo[day - 1].cYear +"["+getPet(chooseMonthLunarInfo[day - 1].lYear,'')+"]"+ '年 ';
    return hlObj;
   }

   function getLunarYear(year,month,day){
     var hlObj = {};
     hlObj.cmd ='getLunarYear';

       var chooseMonthLunarInfo = new calendar(year, month);

       var yearCN=chooseMonthLunarInfo[day - 1].cYear +"["+getPet(chooseMonthLunarInfo[day - 1].lYear,'')+"]"+ '年 ' ;

       hlObj.yearsDes = yearCN;

       return hlObj

   }


/*****************************************************************************
 日期资料 1900-2049年的十六进制码
 *****************************************************************************/

var lunarInfo = new Array(
    0x04bd8, 0x04ae0, 0x0a570, 0x054d5, 0x0d260, 0x0d950, 0x16554, 0x056a0, 0x09ad0, 0x055d2,
    0x04ae0, 0x0a5b6, 0x0a4d0, 0x0d250, 0x1d255, 0x0b540, 0x0d6a0, 0x0ada2, 0x095b0, 0x14977,
    0x04970, 0x0a4b0, 0x0b4b5, 0x06a50, 0x06d40, 0x1ab54, 0x02b60, 0x09570, 0x052f2, 0x04970,
    0x06566, 0x0d4a0, 0x0ea50, 0x06e95, 0x05ad0, 0x02b60, 0x186e3, 0x092e0, 0x1c8d7, 0x0c950,
    0x0d4a0, 0x1d8a6, 0x0b550, 0x056a0, 0x1a5b4, 0x025d0, 0x092d0, 0x0d2b2, 0x0a950, 0x0b557,
    0x06ca0, 0x0b550, 0x15355, 0x04da0, 0x0a5b0, 0x14573, 0x052b0, 0x0a9a8, 0x0e950, 0x06aa0,
    0x0aea6, 0x0ab50, 0x04b60, 0x0aae4, 0x0a570, 0x05260, 0x0f263, 0x0d950, 0x05b57, 0x056a0,
    0x096d0, 0x04dd5, 0x04ad0, 0x0a4d0, 0x0d4d4, 0x0d250, 0x0d558, 0x0b540, 0x0b6a0, 0x195a6,
    0x095b0, 0x049b0, 0x0a974, 0x0a4b0, 0x0b27a, 0x06a50, 0x06d40, 0x0af46, 0x0ab60, 0x09570,
    0x04af5, 0x04970, 0x064b0, 0x074a3, 0x0ea50, 0x06b58, 0x055c0, 0x0ab60, 0x096d5, 0x092e0,
    0x0c960, 0x0d954, 0x0d4a0, 0x0da50, 0x07552, 0x056a0, 0x0abb7, 0x025d0, 0x092d0, 0x0cab5,
    0x0a950, 0x0b4a0, 0x0baa4, 0x0ad50, 0x055d9, 0x04ba0, 0x0a5b0, 0x15176, 0x052b0, 0x0a930,
    0x07954, 0x06aa0, 0x0ad50, 0x05b52, 0x04b60, 0x0a6e6, 0x0a4e0, 0x0d260, 0x0ea65, 0x0d530,
    0x05aa0, 0x076a3, 0x096d0, 0x04bd7, 0x04ad0, 0x0a4d0, 0x1d0b6, 0x0d250, 0x0d520, 0x0dd45,
    0x0b5a0, 0x056d0, 0x055b2, 0x049b0, 0x0a577, 0x0a4b0, 0x0aa50, 0x1b255, 0x06d20, 0x0ada0,
    0x14b63);



var solarMonth = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
var Gan = new Array("甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸");

var Zhi = new Array("子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥");
var Animals = new Array("鼠", "牛", "虎", "兔", "龙", "蛇", "马", "羊", "猴", "鸡", "狗", "猪");
var solarTerm = new Array("小寒", "大寒", "立春", "雨水", "惊蛰", "春分", "清明", "谷雨", "立夏", "小满", "芒种", "夏至", "小暑", "大暑", "立秋", "处暑", "白露", "秋分", "寒露", "霜降", "立冬", "小雪", "大雪", "冬至");
var sTermInfo = new Array(0, 21208, 42467, 63836, 85337, 107014, 128867, 150921, 173149, 195551, 218072, 240693, 263343, 285989, 308563, 331033, 353350, 375494, 397447, 419210, 440795, 462224, 483532, 504758);
var nStr1 = new Array('日', '一', '二', '三', '四', '五', '六', '七', '八', '九', '十');
var nStr2 = new Array('初', '十', '廿', '卅', '□');
var monthName = new Array("正月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "冬月", "腊月");

/*****************************************************************************
 日期计算
 *****************************************************************************/

//====================================== 返回农历 y年的总天数
function lYearDays(y) {
    var i, sum = 348;
    for (i = 0x8000; i > 0x8; i >>= 1) sum += (lunarInfo[y - 1900] & i) ? 1 : 0;
    return (sum + leapDays(y));
}

//====================================== 返回农历 y年闰月的天数
function leapDays(y) {
    if (leapMonth(y)) return ((lunarInfo[y - 1900] & 0x10000) ? 30 : 29);
    else return (0);
}

//====================================== 返回农历 y年闰哪个月 1-12 , 没闰返回 0
function leapMonth(y) {

    ///<summary>
    ///返回农历 y年闰哪个月 1-12 , 没闰返回 0
    ///</summary>


    return (lunarInfo[y - 1900] & 0xf);
}

//====================================== 返回农历 y年m月的总天数
function monthDays(y, m) {
    return ((lunarInfo[y - 1900] & (0x10000 >> m)) ? 30 : 29);
}


//====================================== 算出农历, 传入日期控件, 返回农历日期控件
//                                       该控件属性有 .year .month .day .isLeap
function Lunar(objDate) {

    var i, leap = 0, temp = 0;
    var offset = (Date.UTC(objDate.getFullYear(), objDate.getMonth(), objDate.getDate()) - Date.UTC(1900, 0, 31)) / 86400000;

    for (i = 1900; i < 2050 && offset > 0; i++) { temp = lYearDays(i); offset -= temp; }

    if (offset < 0) { offset += temp; i--; }

    this.year = i;

    leap = leapMonth(i); //闰哪个月
    this.isLeap = false;

    for (i = 1; i < 13 && offset > 0; i++) {
        //闰月
        if (leap > 0 && i == (leap + 1) && this.isLeap == false)
        { --i; this.isLeap = true; temp = leapDays(this.year); }
        else
        { temp = monthDays(this.year, i); }

        //解除闰月
        if (this.isLeap == true && i == (leap + 1)) this.isLeap = false;

        offset -= temp;
    }

    if (offset == 0 && leap > 0 && i == leap + 1)
        if (this.isLeap)
        { this.isLeap = false; }
        else
        { this.isLeap = true; --i; }

    if (offset < 0) { offset += temp; --i; }

    this.month = i;
    this.day = offset + 1;
}

//==============================返回公历 y年某m+1月的天数
function solarDays(y, m) {
    if (m == 1)
        return (((y % 4 == 0) && (y % 100 != 0) || (y % 400 == 0)) ? 29 : 28);
    else
        return (solarMonth[m]);
}
//============================== 传入 offset 返回干支, 0=甲子
function cyclical(num) {
    return (Gan[num % 10] + Zhi[num % 12]);
}
//============================== 阴历属性
function calElement(sYear, sMonth, sDay, week, lYear, lMonth, lDay, isLeap, cYear, cMonth, cDay, term) {

    this.isToday = false;
    //瓣句
    this.sYear = sYear;   //公元年4位数字
    this.sMonth = sMonth;  //公元月数字
    this.sDay = sDay;    //公元日数字
    this.week = week;    //星期, 1个中文
    //农历
    this.lYear = lYear;   //公元年4位数字
    this.lMonth = lMonth;  //农历月数字
    this.lDay = lDay;    //农历日数字
    this.isLeap = isLeap;  //是否为农历闰月?
    //八字
    this.cYear = cYear;   //年柱, 2个中文
    this.cMonth = cMonth;  //月柱, 2个中文
    this.cDay = cDay;    //日柱, 2个中文

    this.color = '';

    this.lunarFestival = ''; //农历节日
    this.solarFestival = ''; //公历节日
    this.solarTerms = term; //节气
}

//===== 某年的第n个节气为几日(从0小寒起算)
function sTerm(y, n) {
    var offDate = new Date((31556925974.7 * (y - 1900) + sTermInfo[n] * 60000) + Date.UTC(1900, 0, 6, 2, 5));
    return (offDate.getUTCDate());
}

//============================== 返回阴历控件 (y年,m+1月)
/*
功能说明: 返回整个月的日期资料控件

使用方式: OBJ = new calendar(年,零起算月);

OBJ.length      返回当月最大日
OBJ.firstWeek   返回当月一日星期

由 OBJ[日期].属性名称 即可取得各项值

OBJ[日期].isToday  返回是否为今日 true 或 false

其他 OBJ[日期] 属性参见 calElement() 中的注解
*/

function calendar(y, m) {
    var Today = new Date();
    var tY = Today.getFullYear();
    var tM = Today.getMonth();
    var tD = Today.getDate();
    var sDObj, lDObj, lY, lM, lD = 1, lL, lX = 0, tmp1, tmp2, tmp3, lM2, lY2, lD2, xs, fs, cs;
    var cY, cM, cD; //年柱,月柱,日柱
    var lDPOS = new Array(3);
    var n = 0;
    var firstLM = 0;
    sDObj = new Date(y, m, 1, 0, 0, 0, 0);    //当月一日日期
    this.length = solarDays(y, m);       //公历当月天数
    this.firstWeek = sDObj.getDay();    //公历当月1日星期几
    ////////年柱 1900年立春后为庚子年(60进制36)
    if (m < 2) cY = cyclical(y - 1900 + 36 - 1);
    else cY = cyclical(y - 1900 + 36);
    var term2 = getTerm(y, 3); //立春日期
    ////////月柱 1900年1月小寒以前为 丙子月(60进制12)
    var firstNode = getTerm(y, ((m + 1) * 2 - 1)); //返回当月「节」为几日开始
    cM = cyclical((y - 1900) * 12 + m + 12);
    lM2 = (y - 1900) * 12 + m + 12;
    //当月一日与 1900/1/1 相差天数
    //1900/1/1与 1970/1/1 相差25567日, 1900/1/1 日柱为甲戌日(60进制10)
    var dayCyclical = Date.UTC(y, m, 1, 0, 0, 0, 0) / 86400000 + 25567 + 10;
    for (var i = 0; i < this.length; i++) {
        if (lD > lX) {
            sDObj = new Date(y, m, i + 1);    //当月一日日期
            lDObj = new Lunar(sDObj);     //农历
            lY = lDObj.year;              //农历年
            lM = lDObj.month;             //农历月
            lD = lDObj.day;               //农历日
            lL = lDObj.isLeap;            //农历是否闰月
            lX = lL ? leapDays(lY) : monthDays(lY, lM); //农历当月最后一天
            if (n == 0) firstLM = lM;
            lDPOS[n++] = i - lD + 1;
        }
        //依节气调整二月分的年柱, 以立春为界
        /*if (m == 1 && (i + 1) == term2) {
            cY = cyclical(y - 1900 + 36);
            lY2 = (y - 1900 + 36);
        }*/

        cY = cyclical(lY - 1864);

        //依节气月柱, 以「节」为界
        if ((i + 1) == firstNode) {
            cM = cyclical((y - 1900) * 12 + m + 13);
            lM2 = (y - 1900) * 12 + m + 13;
        }
        //日柱
        cD = cyclical(dayCyclical + i);
        lD2 = (dayCyclical + i);
        //月柱 1900年1月小寒以前为 丙子月(60进制12)
        firstNode = getTerm(y, ((m + 1) * 2 - 1));//返回当月「节」为几日开始
        var secondNode = getTerm(y, ((m + 1) * 2));//返回当月「节」为几日开始
        //传入的日期的节气与否
        var term = '';
        if (firstNode === i + 1) {
            term = solarTerm[(m + 1) * 2 - 2];
        }
        if (secondNode === i + 1) {
            term = solarTerm[(m + 1) * 2 - 1];
        }
        this[i] = new calElement(y, m + 1, i + 1, nStr1[(i + this.firstWeek) % 7], lY, lM, lD++, lL, cY, cM, cD, term);
        if ((lD2) % 10 == 0 || (lD2) % 10 == 5) { xs = '东北'; }
        else if ((lD2) % 10 == 1 || (lD2) % 10 == 6) { xs = '西北'; }
        else if ((lD2) % 10 == 2 || (lD2) % 10 == 7) { xs = '西南'; }
        else if ((lD2) % 10 == 3 || (lD2) % 10 == 8) { xs = '正南'; }
        else if ((lD2) % 10 == 4 || (lD2) % 10 == 9) { xs = '东南'; }
        if ((lD2) % 10 == 0 || (lD2) % 10 == 1) { fs = '东南'; }
        else if ((lD2) % 10 == 2 || (lD2) % 10 == 3) { fs = '正东'; }
        else if ((lD2) % 10 == 4) { fs = '正北'; }
        else if ((lD2) % 10 == 5) { fs = '正南'; }
        else if ((lD2) % 10 == 6 || (lD2) % 10 == 7) { fs = '西南'; }
        else if ((lD2) % 10 == 8) { fs = '西北'; }
        else if ((lD2) % 10 == 9) { fs = '正西'; }
        if ((lD2) % 10 == 0 || (lD2) % 10 == 1) { cs = '东北'; }
        else if ((lD2) % 10 == 2 || (lD2) % 10 == 3) { cs = '西南'; }
        else if ((lD2) % 10 == 4 || (lD2) % 10 == 5) { cs = '正北'; }
        else if ((lD2) % 10 == 6 || (lD2) % 10 == 7) { cs = '正东'; }
        else if ((lD2) % 10 == 8 || (lD2) % 10 == 9) { cs = '正南'; }
    }
    //节气
    // tmp1 = sTerm(y, m * 2) - 1;
    // tmp2 = sTerm(y, m * 2 + 1) - 1;
    // tmp1 = solarTermChange(y + "-" + (m + 1) + "-" + (tmp1 + 1), tmp1);
    // tmp2 = solarTermChange(y + "-" + (m + 1) + "-" + (tmp2 + 1), tmp2);
    // this[tmp1].solarTerms = solarTerm[m * 2];
    // this[tmp2].solarTerms = solarTerm[m * 2 + 1];
    // if (m == 3) this[tmp1].color = 'red'; //清明颜色
}
/**
      * 1900-2100各年的24节气日期速查表
      * @Array Of Property 
      * @return 0x string For splice
      */
var sTermInfo = ['9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e', '97bcf97c3598082c95f8c965cc920f',
    '97bd0b06bdb0722c965ce1cfcc920f', 'b027097bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e',
    '97bcf97c359801ec95f8c965cc920f', '97bd0b06bdb0722c965ce1cfcc920f', 'b027097bd097c36b0b6fc9274c91aa',
    '97b6b97bd19801ec9210c965cc920e', '97bcf97c359801ec95f8c965cc920f', '97bd0b06bdb0722c965ce1cfcc920f',
    'b027097bd097c36b0b6fc9274c91aa', '9778397bd19801ec9210c965cc920e', '97b6b97bd19801ec95f8c965cc920f',
    '97bd09801d98082c95f8e1cfcc920f', '97bd097bd097c36b0b6fc9210c8dc2', '9778397bd197c36c9210c9274c91aa',
    '97b6b97bd19801ec95f8c965cc920e', '97bd09801d98082c95f8e1cfcc920f', '97bd097bd097c36b0b6fc9210c8dc2',
    '9778397bd097c36c9210c9274c91aa', '97b6b97bd19801ec95f8c965cc920e', '97bcf97c3598082c95f8e1cfcc920f',
    '97bd097bd097c36b0b6fc9210c8dc2', '9778397bd097c36c9210c9274c91aa', '97b6b97bd19801ec9210c965cc920e',
    '97bcf97c3598082c95f8c965cc920f', '97bd097bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b97bd19801ec9210c965cc920e', '97bcf97c3598082c95f8c965cc920f', '97bd097bd097c35b0b6fc920fb0722',
    '9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e', '97bcf97c359801ec95f8c965cc920f',
    '97bd097bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e',
    '97bcf97c359801ec95f8c965cc920f', '97bd097bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b97bd19801ec9210c965cc920e', '97bcf97c359801ec95f8c965cc920f', '97bd097bd07f595b0b6fc920fb0722',
    '9778397bd097c36b0b6fc9210c8dc2', '9778397bd19801ec9210c9274c920e', '97b6b97bd19801ec95f8c965cc920f',
    '97bd07f5307f595b0b0bc920fb0722', '7f0e397bd097c36b0b6fc9210c8dc2', '9778397bd097c36c9210c9274c920e',
    '97b6b97bd19801ec95f8c965cc920f', '97bd07f5307f595b0b0bc920fb0722', '7f0e397bd097c36b0b6fc9210c8dc2',
    '9778397bd097c36c9210c9274c91aa', '97b6b97bd19801ec9210c965cc920e', '97bd07f1487f595b0b0bc920fb0722',
    '7f0e397bd097c36b0b6fc9210c8dc2', '9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e',
    '97bcf7f1487f595b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b97bd19801ec9210c965cc920e', '97bcf7f1487f595b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722',
    '9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e', '97bcf7f1487f531b0b0bb0b6fb0722',
    '7f0e397bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa', '97b6b97bd19801ec9210c965cc920e',
    '97bcf7f1487f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b97bd19801ec9210c9274c920e', '97bcf7f0e47f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b0bc920fb0722',
    '9778397bd097c36b0b6fc9210c91aa', '97b6b97bd197c36c9210c9274c920e', '97bcf7f0e47f531b0b0bb0b6fb0722',
    '7f0e397bd07f595b0b0bc920fb0722', '9778397bd097c36b0b6fc9210c8dc2', '9778397bd097c36c9210c9274c920e',
    '97b6b7f0e47f531b0723b0b6fb0722', '7f0e37f5307f595b0b0bc920fb0722', '7f0e397bd097c36b0b6fc9210c8dc2',
    '9778397bd097c36b0b70c9274c91aa', '97b6b7f0e47f531b0723b0b6fb0721', '7f0e37f1487f595b0b0bb0b6fb0722',
    '7f0e397bd097c35b0b6fc9210c8dc2', '9778397bd097c36b0b6fc9274c91aa', '97b6b7f0e47f531b0723b0b6fb0721',
    '7f0e27f1487f595b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722',
    '9778397bd097c36b0b6fc9274c91aa', '97b6b7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722',
    '7f0e397bd097c35b0b6fc920fb0722', '9778397bd097c36b0b6fc9274c91aa', '97b6b7f0e47f531b0723b0b6fb0721',
    '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b0bc920fb0722', '9778397bd097c36b0b6fc9274c91aa',
    '97b6b7f0e47f531b0723b0787b0721', '7f0e27f0e47f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b0bc920fb0722',
    '9778397bd097c36b0b6fc9210c91aa', '97b6b7f0e47f149b0723b0787b0721', '7f0e27f0e47f531b0723b0b6fb0722',
    '7f0e397bd07f595b0b0bc920fb0722', '9778397bd097c36b0b6fc9210c8dc2', '977837f0e37f149b0723b0787b0721',
    '7f07e7f0e47f531b0723b0b6fb0722', '7f0e37f5307f595b0b0bc920fb0722', '7f0e397bd097c35b0b6fc9210c8dc2',
    '977837f0e37f14998082b0787b0721', '7f07e7f0e47f531b0723b0b6fb0721', '7f0e37f1487f595b0b0bb0b6fb0722',
    '7f0e397bd097c35b0b6fc9210c8dc2', '977837f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721',
    '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722', '977837f0e37f14998082b0787b06bd',
    '7f07e7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e397bd097c35b0b6fc920fb0722',
    '977837f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722',
    '7f0e397bd07f595b0b0bc920fb0722', '977837f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721',
    '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b0bc920fb0722', '977837f0e37f14998082b0787b06bd',
    '7f07e7f0e47f149b0723b0787b0721', '7f0e27f0e47f531b0b0bb0b6fb0722', '7f0e397bd07f595b0b0bc920fb0722',
    '977837f0e37f14998082b0723b06bd', '7f07e7f0e37f149b0723b0787b0721', '7f0e27f0e47f531b0723b0b6fb0722',
    '7f0e397bd07f595b0b0bc920fb0722', '977837f0e37f14898082b0723b02d5', '7ec967f0e37f14998082b0787b0721',
    '7f07e7f0e47f531b0723b0b6fb0722', '7f0e37f1487f595b0b0bb0b6fb0722', '7f0e37f0e37f14898082b0723b02d5',
    '7ec967f0e37f14998082b0787b0721', '7f07e7f0e47f531b0723b0b6fb0722', '7f0e37f1487f531b0b0bb0b6fb0722',
    '7f0e37f0e37f14898082b0723b02d5', '7ec967f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721',
    '7f0e37f1487f531b0b0bb0b6fb0722', '7f0e37f0e37f14898082b072297c35', '7ec967f0e37f14998082b0787b06bd',
    '7f07e7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e37f0e37f14898082b072297c35',
    '7ec967f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722',
    '7f0e37f0e366aa89801eb072297c35', '7ec967f0e37f14998082b0787b06bd', '7f07e7f0e47f149b0723b0787b0721',
    '7f0e27f1487f531b0b0bb0b6fb0722', '7f0e37f0e366aa89801eb072297c35', '7ec967f0e37f14998082b0723b06bd',
    '7f07e7f0e47f149b0723b0787b0721', '7f0e27f0e47f531b0723b0b6fb0722', '7f0e37f0e366aa89801eb072297c35',
    '7ec967f0e37f14998082b0723b06bd', '7f07e7f0e37f14998083b0787b0721', '7f0e27f0e47f531b0723b0b6fb0722',
    '7f0e37f0e366aa89801eb072297c35', '7ec967f0e37f14898082b0723b02d5', '7f07e7f0e37f14998082b0787b0721',
    '7f07e7f0e47f531b0723b0b6fb0722', '7f0e36665b66aa89801e9808297c35', '665f67f0e37f14898082b0723b02d5',
    '7ec967f0e37f14998082b0787b0721', '7f07e7f0e47f531b0723b0b6fb0722', '7f0e36665b66a449801e9808297c35',
    '665f67f0e37f14898082b0723b02d5', '7ec967f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721',
    '7f0e36665b66a449801e9808297c35', '665f67f0e37f14898082b072297c35', '7ec967f0e37f14998082b0787b06bd',
    '7f07e7f0e47f531b0723b0b6fb0721', '7f0e26665b66a449801e9808297c35', '665f67f0e37f1489801eb072297c35',
    '7ec967f0e37f14998082b0787b06bd', '7f07e7f0e47f531b0723b0b6fb0721', '7f0e27f1487f531b0b0bb0b6fb0722'];
/**
      * 传入公历(!)y年获得该年第n个节气的公历日期
      * @param y公历年(1900-2100)；n二十四节气中的第几个节气(1~24)；从n=1(小寒)算起 
      * @return day Number
      * @eg:var _24 = calendar.getTerm(1987,3) ;//_24=4;意即1987年2月4日立春
      */
function getTerm(y, n) {
    //TermTable[(y - 1900) * 24 + n];
    if (y < 1900 || y > 2100) {
        return -1;
    }
    if (n < 1 || n > 24) {
        return -1;
    }
    var _table = sTermInfo[y - 1900];
    var _info = [
        parseInt('0x' + _table.substr(0, 5)).toString(),
        parseInt('0x' + _table.substr(5, 5)).toString(),
        parseInt('0x' + _table.substr(10, 5)).toString(),
        parseInt('0x' + _table.substr(15, 5)).toString(),
        parseInt('0x' + _table.substr(20, 5)).toString(),
        parseInt('0x' + _table.substr(25, 5)).toString()
    ];
    var _calday = [
        _info[0].substr(0, 1),
        _info[0].substr(1, 2),
        _info[0].substr(3, 1),
        _info[0].substr(4, 2),

        _info[1].substr(0, 1),
        _info[1].substr(1, 2),
        _info[1].substr(3, 1),
        _info[1].substr(4, 2),

        _info[2].substr(0, 1),
        _info[2].substr(1, 2),
        _info[2].substr(3, 1),
        _info[2].substr(4, 2),

        _info[3].substr(0, 1),
        _info[3].substr(1, 2),
        _info[3].substr(3, 1),
        _info[3].substr(4, 2),

        _info[4].substr(0, 1),
        _info[4].substr(1, 2),
        _info[4].substr(3, 1),
        _info[4].substr(4, 2),

        _info[5].substr(0, 1),
        _info[5].substr(1, 2),
        _info[5].substr(3, 1),
        _info[5].substr(4, 2),
    ];
    return parseInt(_calday[n - 1]);
}
//====================== 中文日期
function cDay(d) {
    var s;

    switch (d) {
        case 10:
            s = '初十'; break;
        case 20:
            s = '二十'; break;
            break;
        case 30:
            s = '三十'; break;
            break;
        default:
            s = nStr2[Math.floor(d / 10)];
            s += nStr1[d % 10];
    }
    return (s);
}
//===================返回属相
function getPet(birthyear, lichunOffset) {
    var start = 1900, value = "";
    x = (birthyear - 4) % 12;
    // if (x !== 0 && lichunOffset < 0) {
    //     x -= 1;
    // }
    value = Animals[x];
    return value;
}
//节气日期的调整
function solarTermChange(detailday, tem) {
    var TermChangeDayArray = {
        "2012-5-21": "20", "2012-12-6": "7", "2013-2-3": "4", "2013-7-23": "22",
        "2013-12-21": "22", "2014-3-5": "6", "2015-1-5": "6", "2017-7-23": "22",
        "2017-12-21": "22", "2018-2-18": "19", "2018-3-20": "21", "2019-2-5": "4",
        "2019-6-22": "21", "2020-7-7": "6", "2020-8-23": "22", "2020-12-6": "7"
    };

    var result;
    try {
        if (typeof TermChangeDayArray[detailday] != 'undefined') {
            result = parseInt(TermChangeDayArray[detailday], 10) - 1;
        }
        else {
            result = tem;
        }
    }
    catch (e) {
        result = tem;
    }
    return result;
}


/**
 * Yovae.com
 */
var base64EncodeChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
var base64DecodeChars = new Array(
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62, -1, -1, -1, 63,
    52, 53, 54, 55, 56, 57, 58, 59, 60, 61, -1, -1, -1, -1, -1, -1,
    -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14,
    15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, -1, -1, -1, -1, -1,
    -1, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40,
    41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, -1, -1, -1, -1, -1);
//base64编码
function base64encode(str) {
    var out, i, len;
    var c1, c2, c3;

    len = str.length;
    i = 0;
    out = "";
    while (i < len) {
        c1 = str.charCodeAt(i++) & 0xff;
        if (i == len) {
            out += base64EncodeChars.charAt(c1 >> 2);
            out += base64EncodeChars.charAt((c1 & 0x3) << 4);
            out += "==";
            break;
        }
        c2 = str.charCodeAt(i++);
        if (i == len) {
            out += base64EncodeChars.charAt(c1 >> 2);
            out += base64EncodeChars.charAt(((c1 & 0x3) << 4) | ((c2 & 0xF0) >> 4));
            out += base64EncodeChars.charAt((c2 & 0xF) << 2);
            out += "=";
            break;
        }
        c3 = str.charCodeAt(i++);
        out += base64EncodeChars.charAt(c1 >> 2);
        out += base64EncodeChars.charAt(((c1 & 0x3) << 4) | ((c2 & 0xF0) >> 4));
        out += base64EncodeChars.charAt(((c2 & 0xF) << 2) | ((c3 & 0xC0) >> 6));
        out += base64EncodeChars.charAt(c3 & 0x3F);
    }
    return out;
}
//base64解码
function base64decode(str) {
    var c1, c2, c3, c4;
    var i, len, out;

    len = str.length;
    i = 0;
    out = "";
    while (i < len) {
        /* c1 */
        do {
            c1 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c1 == -1);
        if (c1 == -1)
            break;

        /* c2 */
        do {
            c2 = base64DecodeChars[str.charCodeAt(i++) & 0xff];
        } while (i < len && c2 == -1);
        if (c2 == -1)
            break;

        out += String.fromCharCode((c1 << 2) | ((c2 & 0x30) >> 4));

        /* c3 */
        do {
            c3 = str.charCodeAt(i++) & 0xff;
            if (c3 == 61)
                return out;
            c3 = base64DecodeChars[c3];
        } while (i < len && c3 == -1);
        if (c3 == -1)
            break;

        out += String.fromCharCode(((c2 & 0XF) << 4) | ((c3 & 0x3C) >> 2));

        /* c4 */
        do {
            c4 = str.charCodeAt(i++) & 0xff;
            if (c4 == 61)
                return out;
            c4 = base64DecodeChars[c4];
        } while (i < len && c4 == -1);
        if (c4 == -1)
            break;
        out += String.fromCharCode(((c3 & 0x03) << 6) | c4);
    }
    return out;
}
//utf-8转utf16
function utf16to8(str) {
    var out, i, len, c;

    out = "";
    len = str.length;
    for (i = 0; i < len; i++) {
        c = str.charCodeAt(i);
        if ((c >= 0x0001) && (c <= 0x007F)) {
            out += str.charAt(i);
        } else if (c > 0x07FF) {
            out += String.fromCharCode(0xE0 | ((c >> 12) & 0x0F));
            out += String.fromCharCode(0x80 | ((c >> 6) & 0x3F));
            out += String.fromCharCode(0x80 | ((c >> 0) & 0x3F));
        } else {
            out += String.fromCharCode(0xC0 | ((c >> 6) & 0x1F));
            out += String.fromCharCode(0x80 | ((c >> 0) & 0x3F));
        }
    }
    return out;
}
//utf-16转utf-8
function utf8to16(str) {
    var out, i, len, c;
    var char2, char3;

    out = "";
    len = str.length;
    i = 0;
    while (i < len) {
        c = str.charCodeAt(i++);
        switch (c >> 4) {
            case 0: case 1: case 2: case 3: case 4: case 5: case 6: case 7:
                // 0xxxxxxx
                out += str.charAt(i - 1);
                break;
            case 12: case 13:
                // 110x xxxx   10xx xxxx
                char2 = str.charCodeAt(i++);
                out += String.fromCharCode(((c & 0x1F) << 6) | (char2 & 0x3F));
                break;
            case 14:
                // 1110 xxxx  10xx xxxx  10xx xxxx
                char2 = str.charCodeAt(i++);
                char3 = str.charCodeAt(i++);
                out += String.fromCharCode(((c & 0x0F) << 12) |
                    ((char2 & 0x3F) << 6) |
                    ((char3 & 0x3F) << 0));
                break;
        }
    }

    return out;
}





var BASE_STEMS_DATE = new Date(1899, 1, 4, 0, 0);
var BASE_STEMS_YEAR = 1899;
var mPzStemArray = ["甲不开仓财物耗散", "乙不栽植千株不长", "丙不修灶必见灾殃", "丁不剃头头必生疮", "戊不受田田主不祥",
    "己不破券二比并亡", "庚不经络织机虚张", "辛不合酱主人不尝", "壬不汲水更难提防", "癸不词讼理弱敌强"];

var mPzBranchArray = ["子不问卜自惹祸殃", "丑不冠带主不还乡", "寅不祭祀神鬼不尝", "卯不穿井水泉不香", "辰不哭泣必主重丧", "巳不远行财物伏藏",
    "午不苫盖屋主更张", "未不服药毒气入肠", "申不安床鬼祟入房", "酉不宴客醉坐颠狂", "戌不吃犬作怪上床", "亥不嫁娶不利新郎"];
var CompassUnknown = -1;
var CompassNorth = 0;
var CompassNortheast = 1;
var CompassEast = 2;
var CompassSoutheast = 3;
var CompassSouth = 4;
var CompassSouthwest = 5;
var CompassWest = 6;
var CompassNorthwest = 7;
var CompassNames = ["正北", "东北", "正东", "东南", "正南", "西南", "正西", "西北"];
var ANIMAL = ["鼠", "牛", "虎", "兔", "龙", "蛇", "马", "羊", "猴", "鸡", "狗", "猪"];
var yjData={"0-0":{"y":"嫁娶 会亲友 出行 立券 交易 纳财 开市 动土 祈福 祭祀 掘井 开光 求嗣","j":"入宅 纳畜 安葬 造畜稠 作灶 伐木 作梁"},"0-1":{"y":"嫁娶 解除 移徙 纳采 入宅 裁衣 订盟 动土 祈福 纳畜 盖屋 安门 祭祀 牧养 修造 拆卸 起基 安香 酬神 出火 伐木 开光 求嗣 上梁 竖柱 塑绘 斋醮 定磉","j":"栽种 安葬"},"0-10":{"y":"解除 纳采 置产 订盟 动土 祈福 栽种 安床 纳畜 安门 祭祀 修造 造畜稠 拆卸 移柩 掘井 开池 立碑 破土 求嗣 上梁 竖柱 塑绘","j":"嫁娶 出行 移徙 入宅 开市 赴任 安葬 入殓 出火 进人口"},"0-11":{"y":"出行 纳采 立券 开市 裁衣 订盟 祈福 安机械 沐浴 纳畜 祭祀 安碓磑 斋醮","j":"嫁娶 栽种 安葬 入殓"},"0-12":{"y":"嫁娶 会亲友 出行 纳采 开市 动土 祈福 祭祀 破土 启鑽","j":"移徙 入宅 安葬 安门 出火"},"0-13":{"y":"出行 解除 入学 纳采 入宅 习艺 订盟 动土 祈福 沐浴 祭祀 修造 拆卸 起基 移柩 安香 成服 除服 伐木 掘井 求嗣 上梁 竖柱 塑绘 谢土 造庙 斋醮","j":"开市 盖屋 安葬 作灶"},"0-14":{"y":"嫁娶 出行 移徙 纳采 立券 入宅 开市 纳畜 牧养 出火","j":"动土 祈福 安葬 入殓 破土"},"0-15":{"y":"嫁娶 出行 立券 交易 开市 祈福 安床 祭祀 拆卸 开光 求嗣","j":"移徙 入宅 动土 纳畜 安葬 安门 入殓 探病 伐木 上梁"},"0-16":{"y":"会亲友 解除 移徙 入宅 动土 祈福 祭祀 求医 治病 合寿木 开生坟 安香 破土 求嗣 斋醮","j":"经络 安葬 入殓 上梁 合帐"},"0-17":{"y":"理发 开市 祈福 祭祀 牧养 开光 求嗣","j":"嫁娶 出行 入宅 安葬 作灶 入殓 冠笄 上梁"},"0-18":{"y":"嫁娶 会亲友 出行 解除 纳采 纳财 开市 出货财 订盟 动土 开仓 纳畜 祭祀 牧养 修造 开池 开光 破土 普渡 启鑽 上梁 竖柱 斋醮","j":"入宅 盖屋 安葬 安门 出火"},"0-19":{"y":"祭祀 修坟 成服 除服 立碑 启鑽","j":"馀事勿取"},"0-2":{"y":"嫁娶 出行 解除 纳采 立券 交易 置产 开市 订盟 动土 栽种 安床 挂匾 修造 拆卸 安香 出火 开光","j":"安葬 祭祀 作灶 入殓"},"0-20":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 祈福 祭祀 求医 治病 出火","j":"开市 出货财 安床 开仓 安葬 安门"},"0-21":{"y":"解除","j":"馀事勿取"},"0-22":{"y":"解除 纳采 订盟 动土 祈福 栽种 盖屋 归岫 架马 修造 起基 成服 除服 合嵴 掘井 开柱眼 破土 上梁 斋醮","j":"移徙 入宅 开市 安葬"},"0-23":{"y":"移徙 立券 交易 入宅 纳财 开市 动土 祈福 安床 纳畜 造畜稠 开光 求嗣","j":"嫁娶 理发 栽种 安葬 作灶 入殓 行丧 造庙 造桥"},"0-24":{"y":"嫁娶 出行 纳采 立券 交易 开市 裁衣 订盟 动土 祈福 沐浴 祭祀 放水 移柩 冠笄 安碓磑 成服 除服 开光 破土 启鑽 求嗣 塑绘","j":"入宅 安葬 作灶 上梁"},"0-25":{"y":"嫁娶 移徙 入宅 动土 祈福 安床 祭祀 拆卸 出火 开光 破土 求嗣 谢土","j":"开市 安葬 入殓 合帐"},"0-26":{"y":"嫁娶 会亲友 出行 纳采 立券 交易 纳财 开市 赴任 订盟 动土 栽种 移柩 除服 进人口 破土 启鑽 谢土","j":"入宅 安床 安葬 入殓"},"0-27":{"y":"出行 立券 交易 置产 开市 动土 祈福 栽种 安床 纳畜 祭祀 造仓 起基 修坟 开光 破土 启鑽 求嗣 定磉","j":"移徙 入宅 盖屋 安葬 安门 修造 入殓 伐木"},"0-28":{"y":"嫁娶 出行 移徙 纳采 入宅 动土 祈福 祭祀 求医 治病","j":"开市 安门"},"0-29":{"y":"嫁娶 纳采 裁衣 订盟 动土 祈福 安床 纳畜 盖屋 祭祀 牧养 修造 作灶 起基 冠笄 开光 求嗣 上梁 作梁","j":"出行 移徙 词讼 栽种 安葬 行丧 破土"},"0-3":{"y":"纳采 立券 交易 订盟 动土 祭祀 破土","j":"嫁娶 安葬"},"0-30":{"y":"嫁娶 出行 纳采 立券 交易 开市 裁衣 订盟 动土 祈福 栽种 安床 放水 移柩 成服 除服 掘井 开渠 破土","j":""},"0-31":{"y":"祭祀 修坟 移柩 馀事勿取 成服 除服 启鑽","j":"嫁娶 入宅 开市 动土 安葬 破土"},"0-32":{"y":"嫁娶 纳采 入宅 赴任 订盟 祈福 沐浴 纳畜 祭祀 拆卸 移柩 出火 启鑽 竖柱 谢土 斋醮","j":"安床 安葬 作灶 入殓"},"0-33":{"y":"嫁娶 出行 解除 立券 交易 开市 动土 祈福 挂匾 祭祀 拆卸 冠笄 开光 破土 求嗣 斋醮","j":"会亲友 理发 入宅 安葬 安门 修造 作灶 入殓 伐木 上梁"},"0-34":{"y":"纳采 订盟 动土 祈福 祭祀 修造 破土 上梁","j":"嫁娶 作灶"},"0-35":{"y":"会亲友 入学 纳采 订盟 祈福 沐浴 纳畜 祭祀 牧养 造畜稠 治病 安碓磑 进人口 掘井 开池 求嗣 斋醮","j":"嫁娶 入宅 安葬 行丧 合帐"},"0-36":{"y":"出行 纳采 立券 交易 纳财 开市 裁衣 订盟 祈福 沐浴 祭祀 移柩 冠笄 除服 求嗣 谢土 斋醮","j":"入宅 安葬 作灶 入殓"},"0-37":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 动土 祈福 安床 安门 祭祀 修造 移柩 出火 立碑 破土 上梁","j":"交易 开市 安葬 合帐"},"0-38":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 栽种 安床 挂匾 拆卸 出火 进人口 开光","j":"祈福 安葬 祭祀 作灶 入殓 探病"},"0-39":{"y":"嫁娶 会亲友 出行 纳采 立券 交易 开市 习艺 订盟 动土 祈福 栽种 祭祀 造仓 拆卸 放水 起基 修坟 安碓磑 开池 开光 开渠 立碑 破土 启鑽 求嗣 谢土","j":"入宅 安葬 安门"},"0-4":{"y":"嫁娶 出行 解除 纳采 订盟 动土 祈福 栽种 安床 造车器 祭祀 修造 拆卸 冠笄 出火 伐木 开光 破土 求嗣 上梁","j":"置产 入宅 安葬 行丧"},"0-40":{"y":"嫁娶 出行 解除 移徙 入宅 祈福 栽种 安床 祭祀 修造 拆卸 移柩 出火 伐木 开光 求嗣 上梁","j":"立券 交易 开市 安葬"},"0-41":{"y":"嫁娶 纳采 习艺 订盟 安床 沐浴 纳畜 盖屋 挂匾 祭祀 治病 作灶 安碓磑 出火 伐木 掘井 开光 上梁 竖柱 塑绘","j":"出行 安葬 造桥"},"0-42":{"y":"嫁娶 出行 动土 祈福 安床 祭祀 掘井 破土 启鑽 求嗣","j":"入宅 盖屋 安门 修造 入殓 伐木 上梁 作梁"},"0-43":{"y":"会亲友 解除 入学 祭祀 取渔 移柩 成服 除服 结网 启鑽 畋猎","j":"开市 动土 祈福 安葬 入殓 破土 造船"},"0-44":{"y":"出行 解除 置产 开市 动土 祈福 栽种 祭祀 起基 开光 求嗣","j":"嫁娶 入宅 安床 安葬 安门 作灶 修坟 立碑"},"0-45":{"y":"出行 入学 置产 纳财 开市 动土 祈福 栽种 纳畜 祭祀 牧养 拆卸 起基 问名 掘井 开渠 破土 启鑽 求嗣 斋醮 定磉","j":"移徙 入宅 安葬 入殓 出火"},"0-46":{"y":"解除 动土 祈福 栽种 安床 纳畜 祭祀 移柩 掘井 开光 破土 作梁","j":"嫁娶 出行 移徙 入宅 赴任 盖屋 安葬 入殓 出火 进人口"},"0-47":{"y":"会亲友 纳采 立券 交易 开市 订盟 安床 沐浴 架马 安门 祭祀 牧养 造畜稠 拆卸 出火 伐木 掘井 开光 开柱眼 上梁 竖柱 塑绘 斋醮 作梁","j":"嫁娶 出行 动土 安葬 行丧 造庙"},"0-48":{"y":"嫁娶 解除 动土 祈福 栽种 安床 祭祀 掘井 开池 开光 破土 启鑽 求嗣","j":"出行 入宅 纳畜 安葬 作灶 出火 伐木"},"0-49":{"y":"出行 解除 移徙 入宅 祈福 纳畜 盖屋 架马 牧养 修造 起基 移柩 成服 除服 伐木 开光 求嗣 谢土 造庙","j":"纳采 交易 开市 动土 安门"},"0-5":{"y":"嫁娶 移徙 立券 入宅 开市 动土 祈福 祭祀","j":"安葬 造庙"},"0-50":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 开市 动土 祈福 安床 拆卸 出火 开光 破土 求嗣 谢土","j":"安葬 祭祀 入殓 探病"},"0-51":{"y":"嫁娶 会亲友 出行 解除 理发 纳采 习艺 订盟 动土 祈福 安床 纳畜 祭祀 牧养 修造 拆卸 放水 起基 修坟 成服 除服 立碑 破土 求嗣 竖柱 斋醮 针灸 定磉","j":"入宅 开市 盖屋 探病 出火"},"0-52":{"y":"解除 馀事勿取 坏垣","j":"诸事不宜"},"0-53":{"y":"嫁娶 会亲友 纳畜 祭祀 牧养 求医 治病 放水 安碓磑 掘井 开光 开渠 塑绘","j":"入学 入宅 盖屋 安葬 作灶 行丧"},"0-54":{"y":"嫁娶 会亲友 出行 解除 祈福 栽种 安床 祭祀 移柩 成服 除服 进人口 开光 求嗣","j":"移徙 置产 入宅 纳畜 盖屋 安葬 入殓 伐木"},"0-55":{"y":"会亲友 解除 祭祀 移柩 捕捉 成服 除服 普渡 启鑽 畋猎","j":"嫁娶 开市 动土 安葬 掘井 开池"},"0-56":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 纳财 开市 祈福 栽种 挂匾 祭祀 出火 进人口 开光 破土 求嗣 谢土","j":"安床 安葬"},"0-57":{"y":"出行 解除 扫舍 理发 动土 祈福 沐浴 祭祀 拆卸 起基 移柩 冠笄 安碓磑 成服 除服 掘井 开池 立碑 启鑽 求嗣 谢土 斋醮 定磉","j":"移徙 入宅 安葬 安门 作梁"},"0-58":{"y":"置产 动土 祈福 栽种 安床 祭祀 修造 拆卸 开光 破土 求嗣 上梁","j":"嫁娶 出行 移徙 入宅 赴任 安葬 入殓 进人口 开渠"},"0-59":{"y":"会亲友 沐浴 造畜稠 作灶 放水 冠笄 开光 塑绘","j":"嫁娶 出行 安葬 入殓"},"0-6":{"y":"嫁娶 出行 理发 纳采 订盟 动土 栽种 安床 祭祀 放水 进人口 开光 开渠","j":"入宅 纳畜 盖屋 安葬 安门 作灶 入殓 探病 伐木 上梁"},"0-7":{"y":"诸事不宜","j":"交易 开市 安葬 入殓"},"0-8":{"y":"嫁娶 出行 扫舍 入学 置产 出货财 动土 祈福 栽种 开仓 祭祀 牧养 求医 治病 开生坟 起基 开光 立碑 破土 求嗣 上梁 竖柱 谢土 斋醮","j":"入宅 裁衣 安床 安葬 安门"},"0-9":{"y":"","j":"诸事不宜"},"1-0":{"y":"出行 纳采 裁衣 订盟 祈福 安床 沐浴 挂匾 祭祀 造畜稠 拆卸 起基 入殓 移柩 成服 除服 启鑽 求嗣 上梁 竖柱 斋醮 合帐","j":"嫁娶 移徙 入宅 开仓"},"1-1":{"y":"祈福 纳畜 祭祀 入殓 成服 除服 启鑽 求嗣 谢土","j":"嫁娶 出行 入宅 动土 栽种 开光 破土 针灸"},"1-10":{"y":"出行 纳采 订盟 祈福 安葬 入殓 移柩 结网 立碑 破土 斋醮","j":"入宅 作灶"},"1-11":{"y":"出行 移徙 入宅 动土 安门 修造 造仓 造畜稠 起基 补垣 进人口 塞穴 上梁","j":"嫁娶 开市 祈福 栽种 安床 安葬 掘井 开光"},"1-12":{"y":"交易 经络 祈福 安床 安机械 沐浴 造车器 安葬 祭祀 入殓 移柩 立碑 启鑽 斋醮 合帐","j":"嫁娶 入宅 作灶 掘井"},"1-13":{"y":"祈福 安葬 祭祀 入殓 移柩 成服 除服 启鑽 求嗣 斋醮","j":"嫁娶 动土 盖屋 开光 破土"},"1-14":{"y":"纳采 立券 交易 纳财 裁衣 订盟 经络 安床 安机械 纳畜 架马 安葬 造仓 拆卸 入殓 修坟 移柩 冠笄 补垣 成服 除服 伐木 立碑 破土 启鑽 塞穴 筑堤 合帐","j":"嫁娶 入宅 祭祀 开光"},"1-15":{"y":"交易 纳财 祈福 祭祀 作灶 冠笄 求嗣 斋醮","j":"嫁娶 安葬 安门 探病 掘井 开光"},"1-16":{"y":"嫁娶 出行 移徙 入宅 动土 祈福 栽种 安床 安葬 祭祀 修造 作灶 拆卸 出火 破土 求嗣 塞穴","j":"开仓 掘井 开光"},"1-17":{"y":"嫁娶 移徙 入宅 动土 纳畜 架马 牧养 修造 作灶 起基 冠笄 补垣 开池 塞穴 造船 定磉","j":"开市 祈福 安葬 掘井 开光"},"1-18":{"y":"安葬 祭祀 入殓 移柩 成服 除服 破土 启鑽 谢土","j":"馀事勿取"},"1-19":{"y":"嫁娶 祈福 安葬 祭祀 入殓 补垣 成服 除服 断蚁 普渡 塞穴 筑堤","j":"动土 词讼 掘井 开光 破土 上梁"},"1-2":{"y":"纳采 订盟 动土 安床 安葬 修造 造仓 拆卸 入殓 移柩 冠笄 成服 除服 破土 启鑽","j":"嫁娶 入宅 开市 作灶 开光"},"1-20":{"y":"嫁娶 出行 移徙 动土 安葬 修造 拆卸 修坟 伐木 立碑 破土","j":"入宅 开市 祈福 安床 挂匾 掘井 开光"},"1-21":{"y":"扫舍 整手足甲 理发 沐浴 祭祀 作灶 入殓 冠笄 补垣 破土 启鑽 塞穴","j":"嫁娶 会亲友 栽种 安葬 开光 针灸"},"1-22":{"y":"安床 祭祀 入殓 移柩 补垣 开池 破土 启鑽","j":"嫁娶 移徙 入宅 开市 作灶 出火 进人口 掘井 开光"},"1-23":{"y":"移徙 纳采 入宅 裁衣 订盟 动土 栽种 开仓 沐浴 纳畜 开厕 安门 祭祀 修造 拆卸 冠笄 补垣 塞穴 筑堤 合帐","j":"嫁娶 祈福 安葬 行丧 掘井 开光"},"1-24":{"y":"立券 交易 裁衣 安床 安葬 入殓 移柩 成服 除服","j":"嫁娶 出行 置产 入宅 动土 栽种 治病 开光 破土"},"1-25":{"y":"立券 交易 裁衣 祈福 安床 祭祀 入殓 移柩 成服 酬神 除服 启鑽 求嗣 谢土","j":"嫁娶 出行 入宅 动土"},"1-26":{"y":"立券 交易 动土 栽种 安床 纳畜 安葬 牧养 修造 拆卸 入殓 伐木 上梁","j":"嫁娶 出行 移徙 入宅 安门 祭祀 出火 开光"},"1-27":{"y":"裁衣 祈福 安床 安葬 祭祀 造畜稠 入殓 移柩 成服 除服 立碑 破土 启鑽 谢土 合帐","j":"嫁娶 纳采 安门 掘井"},"1-28":{"y":"嫁娶 立券 交易 开厕 取渔 开生坟 补垣 塞穴 畋猎","j":"移徙 入宅 开市 安床 修造 开光 开渠 上梁"},"1-29":{"y":"移徙 入宅 裁衣 纳畜 作灶","j":"嫁娶 安葬"},"1-3":{"y":"出行 动土 安床 安葬 祭祀 修造 造畜稠 合寿木 开生坟 入殓 移柩 补垣 破土 启鑽 塞穴 合帐","j":"移徙 理发 入宅 安门 作灶 开光"},"1-30":{"y":"经络 沐浴 祭祀 入殓 移柩 补垣 成服 除服 立碑 启鑽 塞穴","j":"嫁娶 安葬 治病 掘井 开光 破土"},"1-31":{"y":"嫁娶 移徙 入宅 祈福 祭祀 作灶 斋醮","j":"动土 破土"},"1-32":{"y":"嫁娶 解除 扫舍 安机械 沐浴 纳畜 架马 安葬 安门 牧养 合寿木 修坟 冠笄 伐木 立碑 启鑽 作梁","j":"入宅 开市 动土 祈福 开光"},"1-33":{"y":"嫁娶 安机械 安葬 祭祀 入殓 破土","j":"动土 上梁"},"1-34":{"y":"嫁娶 裁衣 安床 造畜稠 入殓 移柩 破土 合帐","j":"置产 作灶 掘井 开光 造船"},"1-35":{"y":"出行 理发 沐浴 补垣 塞穴","j":"入宅 安葬"},"1-36":{"y":"交易 纳财 祈福 沐浴 安葬 祭祀 造畜稠 入殓 修坟 移柩 问名 教牛马 立碑 求嗣 谢土","j":"嫁娶 置产 入宅 开市 动土 栽种 开光 破土"},"1-37":{"y":"祈福 安葬 祭祀 入殓 移柩 启鑽 求嗣","j":"嫁娶 出行 移徙 入宅 动土 作灶 掘井 开光 针灸"},"1-38":{"y":"立券 交易 动土 安机械 安葬 修造 入殓 冠笄 破土","j":"嫁娶 入宅 祈福 出火"},"1-39":{"y":"嫁娶 出行 立券 交易 安床 安葬 作灶 入殓 移柩 冠笄 成服 除服 破土 合帐","j":"开市 词讼 开光"},"1-4":{"y":"嫁娶 出行 移徙 入宅 裁衣 安床 安葬 祭祀 作灶 破土","j":"赴任 捕捉"},"1-40":{"y":"嫁娶 出行 移徙 造车器 开厕 祭祀 作灶 入殓 冠笄 补垣 成服 除服 破土 启鑽 塞穴","j":"入宅 盖屋 安葬 安门 上梁 造桥"},"1-41":{"y":"嫁娶 纳采 裁衣 动土 安门 修造 造畜稠 作灶 起基 冠笄 伐木 求嗣 上梁 竖柱 筑堤 作梁 合帐","j":"出行 祈福 栽种 安葬"},"1-42":{"y":"安葬 祭祀 入殓 移柩 成服 除服 断蚁 结网 破土 启鑽 塞穴","j":"嫁娶 入宅 开市 盖屋 开光"},"1-43":{"y":"嫁娶 出行 移徙 动土 祈福 安床 安葬 祭祀 修造 拆卸 入殓 出火 破土 启鑽 求嗣","j":"理发 盖屋 作灶 掘井 开光 造船"},"1-44":{"y":"出行 移徙 入宅 动土 沐浴 安葬 修造 冠笄 破土","j":"嫁娶 纳采 开市 祈福 祭祀 修坟 斋醮"},"1-45":{"y":"解除 扫舍 整手足甲 理发 裁衣 安床 祭祀 造畜稠 作灶 放水 补垣 塞穴 筑堤","j":"嫁娶 会亲友 栽种 安门 掘井 开光"},"1-46":{"y":"理发 置产 安葬 祭祀 入殓 移柩 成服 除服 破土 塞穴","j":"嫁娶 入宅 安床 掘井 开光"},"1-47":{"y":"动土 栽种 开厕 安门 修造 作灶 补垣 开池 塞穴 筑堤 作梁","j":"嫁娶 祈福 安床 安葬 行丧 掘井"},"1-48":{"y":"立券 交易 纳财 裁衣 安床 安葬 造畜稠 入殓 修坟 移柩 成服 除服 立碑 启鑽 谢土","j":"嫁娶 开市 动土 开光 破土"},"1-49":{"y":"裁衣 经络 安床 安葬 祭祀 作灶 入殓 移柩 伐木 启鑽 作梁 合帐","j":"入宅 词讼 出火"},"1-5":{"y":"嫁娶 移徙 纳财 裁衣 动土 栽种 安门 修造 拆卸 冠笄 出火 伐木 塞穴 上梁 筑堤 合帐","j":"出行 祈福 安床 安葬 行丧 开光"},"1-50":{"y":"裁衣 动土 经络 安葬 修造 拆卸 合寿木 入殓 修坟 移柩 成服 除服 伐木 合嵴 开柱眼 立碑 破土 启鑽","j":"嫁娶 出行 祭祀 掘井 上梁"},"1-51":{"y":"立券 交易 裁衣 安床 安葬 祭祀 入殓 冠笄 补垣 成服 除服 开池 破土 启鑽 塞穴 谢土","j":"嫁娶 开市 栽种 探病 掘井 开光"},"1-52":{"y":"","j":"馀事勿取"},"1-53":{"y":"动土 栽种 安床 安门 修造 造畜稠 起基 补垣 筑堤","j":"嫁娶 出行 移徙 理发 入宅 安葬 行丧 出火 进人口 掘井 开光"},"1-54":{"y":"祭祀 馀事勿取 结网 塞穴 畋猎","j":"嫁娶 移徙 入宅 开市 安门 开光"},"1-55":{"y":"会亲友 动土 安葬 祭祀 入殓 移柩 开池 破土 塞穴 筑堤","j":"出行 入宅 裁衣 安门 修造 作灶 开光 上梁"},"1-56":{"y":"嫁娶 出行 解除 移徙 入宅 动土 架马 安葬 修造 合寿木 开生坟 入殓 修坟 移柩 冠笄 伐木 开柱眼 破土","j":"开市 祈福 安床 祭祀 开光"},"1-57":{"y":"嫁娶 扫舍 整手足甲 动土 祈福 安床 安葬 祭祀 作灶 入殓 移柩 补垣 成服 除服 破土 启鑽 求嗣","j":"栽种 开光"},"1-58":{"y":"嫁娶 会亲友 纳采 置产 安床 造畜稠 冠笄 捕捉 塞穴","j":"安葬 修坟 掘井 开光 谢土"},"1-59":{"y":"裁衣 沐浴 开厕 修造 冠笄 安碓磑 补垣 断蚁 开柱眼 塞穴 筑堤 作梁","j":"嫁娶 移徙 入宅 祈福 掘井 开光"},"1-6":{"y":"安葬 入殓 移柩 馀事勿取 补垣 成服 除服 结网 启鑽 塞穴","j":"诸事不宜"},"1-7":{"y":"出行 动土 安床 安葬 祭祀 修造 造畜稠 拆卸 起基 入殓 移柩 补垣 出火 破土 塞穴 作梁","j":"嫁娶 入宅 掘井 开光 斋醮 针灸"},"1-8":{"y":"嫁娶 移徙 入宅 裁衣 动土 经络 安机械 安葬 祭祀 造仓 拆卸 起基 入殓 冠笄 启鑽","j":"交易 开市 安床 开光"},"1-9":{"y":"嫁娶 移徙 裁衣 安床 安葬 祭祀 入殓 移柩 冠笄 破土 塞穴 合帐","j":"出行 置产 开市 词讼 栽种 安门 掘井 开光"},"10-0":{"y":"解除 立券 交易 开市 祈福 安床 安葬 挂匾 祭祀 修造 开光 求嗣","j":"嫁娶 纳采 入宅 订盟 动土 开仓 纳畜 问名 出火 伐木 破土"},"10-1":{"y":"纳采 开市 动土 祈福 纳畜 祭祀 求医 治病","j":"嫁娶 安葬"},"10-10":{"y":"取渔 结网 塞穴 畋猎","j":"嫁娶 移徙 入宅 安葬 安门"},"10-11":{"y":"出行 移徙 纳采 立券 入宅 开市 裁衣 动土 安床 沐浴 安门 挂匾 祭祀 拆卸 起基 安香 开光 求嗣 上梁 竖柱 塑绘","j":"嫁娶 栽种 安葬 伐木"},"10-12":{"y":"纳采 出货财 订盟 祈福 开仓 盖屋 安门 祭祀 起基 入殓 开光 破土 启鑽 求嗣 上梁 竖柱 谢土 斋醮 定磉","j":"嫁娶 开市 出火"},"10-13":{"y":"立券 交易 开市 动土 祈福 栽种 安床 安葬 祭祀 修造 拆卸 移柩 伐木 进人口 开光 破土","j":"嫁娶 出行 移徙 理发 入宅 出火"},"10-14":{"y":"纳采 立券 开市 动土 安机械 安葬 求医 修造 治病 冠笄 破土","j":"嫁娶 移徙 入宅 祭祀 上梁 斋醮"},"10-15":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 纳畜 安葬 挂匾 修造 拆卸 入殓 移柩 进人口 开光 求嗣","j":""},"10-16":{"y":"嫁娶 移徙 立券 交易 入宅 开市 动土 祈福 安床 造车器 祭祀 修造 治病 安香 捕捉 结网 开光 普渡 斋醮 畋猎","j":"纳采 订盟 经络 安葬 行丧 探病"},"10-17":{"y":"立券 交易 入宅 开市 动土 栽种 安床 挂匾 祭祀 修造 拆卸 出火 进人口 开光","j":"嫁娶 出行 移徙 纳畜 安葬 行丧 伐木 立碑"},"10-18":{"y":"嫁娶 会亲友 出行 移徙 纳采 立券 入宅 开市 订盟 造车器 安葬 祭祀 破土","j":"盖屋 架马 合寿木 开光 上梁"},"10-19":{"y":"会亲友 解除 理发 祈福 栽种 纳畜 安葬 祭祀 牧养 修坟 开光 立碑 启鑽 求嗣","j":"出行 移徙 入宅 赴任 词讼 作灶"},"10-2":{"y":"解除 立券 交易 置产 开市 动土 栽种 安床 安葬 挂匾 修造 拆卸 开光 破土 上梁","j":"嫁娶 入宅 祭祀 作灶 出火"},"10-20":{"y":"会亲友 出行 解除 移徙 纳采 入宅 订盟 祈福 安机械 纳畜 盖屋 安门 祭祀 牧养 求医 修造 治病 起基 入殓 修坟 移柩 安香 出火 开光 立碑 启鑽 谢土 造船 斋醮 针灸","j":"嫁娶 动土 安床 掘井 造桥"},"10-21":{"y":"安葬 祭祀 入殓 修坟 成服 除服 立碑 破土 启鑽","j":"馀事勿取"},"10-22":{"y":"安葬 祭祀 入殓 移柩 成服 除服 结网 破土","j":"馀事勿取"},"10-23":{"y":"移徙 立券 交易 入宅 开市 动土 祈福 安床 挂匾 祭祀 拆卸 进人口 开光 上梁","j":"嫁娶 理发 纳畜 架马 安葬 牧养 行丧 伐木 作梁"},"10-24":{"y":"纳采 开市 裁衣 订盟 动土 经络 安床 安机械 祭祀 修造 拆卸 冠笄 开光 塑绘","j":"入宅 安葬 出火 伐木"},"10-25":{"y":"出行 解除 立券 交易 开市 动土 祈福 栽种 安床 纳畜 祭祀 牧养 开光 破土 上梁 竖柱","j":"嫁娶 移徙 入宅 安葬 掘井"},"10-26":{"y":"会亲友 纳采 开市 订盟 动土 栽种 纳畜 安葬 牧养 修造 拆卸 起基 入殓 移柩 成服 除服 雕刻 进人口 破土","j":""},"10-27":{"y":"嫁娶 出行 移徙 纳采 立券 交易 入宅 开市 订盟 动土 祈福 栽种 安床 安葬 挂匾 祭祀 修造 拆卸 入殓 出火 进人口 开光 破土 求嗣 谢土","j":"纳畜 合寿木 伐木 掘井"},"10-28":{"y":"解除 纳采 开市 订盟 动土 祈福 纳畜 安葬 牧养 造仓 放水 开生坟 起基 入殓 移柩 成服 除服 破土 求嗣","j":""},"10-29":{"y":"立券 交易 纳财 开市 动土 祈福 栽种 安床 挂匾 祭祀 拆卸 开光","j":"嫁娶 出行 移徙 入宅 词讼 纳畜 安葬 出火 进人口 破土"},"10-3":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 动土 安葬 破土 上梁","j":"赴任"},"10-30":{"y":"嫁娶 会亲友 出行 移徙 纳采 立券 交易 入宅 纳财 开市 赴任 裁衣 订盟 经络 祈福 安床 安葬 祭祀 修造 拆卸 入殓 安香 进人口 开光 启鑽 上梁 塑绘 谢土 斋醮","j":"开仓 冠笄 伐木 作梁"},"10-31":{"y":"解除 祈福 栽种 纳畜 安葬 祭祀 修造 拆卸 修坟 伐木 开光 立碑 求嗣","j":"嫁娶 出行 移徙 入宅 出火 进人口"},"10-32":{"y":"出行 解除 移徙 修造 拆卸 入殓 修坟 移柩 成服 除服 立碑 启鑽 塑绘 谢土 造船 斋醮","j":""},"10-33":{"y":"安葬 祭祀 入殓 修坟 成服 除服 立碑 破土 启鑽 斋醮","j":"嫁娶 纳采 入宅 订盟 作灶"},"10-34":{"y":"安葬 取渔 入殓 移柩 成服 除服 立碑 破土","j":"嫁娶 入宅 作灶 上梁"},"10-35":{"y":"解除 理发 经络 祈福 栽种 沐浴 祭祀 牧养 治病 掘井 开池 开光 立碑 求嗣 斋醮","j":"嫁娶 安葬 合寿木 行丧 定磉"},"10-36":{"y":"","j":"诸事不宜"},"10-37":{"y":"解除 纳采 立券 交易 纳财 开市 订盟 动土 祈福 栽种 纳畜 安葬 祭祀 造仓 起基 进人口 开池 开光 破土 求嗣","j":"嫁娶 入宅 裁衣 安床 上梁"},"10-38":{"y":"动土 安葬 求医 治病 入殓 破土 上梁","j":"嫁娶 开光"},"10-39":{"y":"嫁娶 会亲友 纳采 订盟 祈福 盖屋 安葬 安门 祭祀 求医 治病 起基 安碓磑 成服 除服 开池 开光 破土 上梁 竖柱 斋醮 筑堤","j":"入宅 开市 词讼 合寿木 掘井"},"10-4":{"y":"出行 移徙 纳采 立券 交易 开市 订盟 动土 祈福 栽种 安床 安机械 纳畜 安葬 祭祀 修造 拆卸 移柩 出火 进人口 开光 破土 普渡 求嗣 上梁","j":"嫁娶 入宅 牧养 掘井"},"10-40":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 安葬 祭祀 求医 治病 破土","j":"开光 针灸"},"10-41":{"y":"嫁娶 解除 移徙 纳采 立券 交易 入宅 开市 订盟 祈福 安床 挂匾 祭祀 出火 进人口 开光 求嗣","j":"出行 栽种 纳畜 安葬 行丧 伐木 造庙 造桥"},"10-42":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 订盟 动土 祈福 安葬 祭祀 破土","j":"安门 斋醮"},"10-43":{"y":"会亲友 纳采 订盟 动土 祈福 安机械 安葬 祭祀 修造 破土","j":"嫁娶 移徙 入宅 开市 出火"},"10-44":{"y":"解除 馀事勿取 坏垣","j":"诸事不宜"},"10-45":{"y":"解除 沐浴 祭祀 馀事勿取 补垣 断蚁 塞穴","j":"嫁娶 入宅 安葬 修造 行丧 造庙"},"10-46":{"y":"安葬 入殓 移柩 成服 除服 结网 破土","j":"诸事不宜"},"10-47":{"y":"出行 移徙 纳采 立券 交易 纳财 开市 动土 修造 拆卸 起基 冠笄 出火 开光 求嗣 上梁 造船","j":"嫁娶 祈福 安葬 破土"},"10-48":{"y":"解除 纳采 动土 祈福 安床 安葬 祭祀 拆卸 入殓 移柩 冠笄 出火 进人口 掘井 开池 开光 破土 求嗣 上梁 造庙","j":""},"10-49":{"y":"会亲友 立券 交易 开市 动土 栽种 安机械 盖屋 开厕 安葬 安门 牧养 求医 修造 造畜稠 治病 作灶 放水 起基 开池 开光 立碑 破土 上梁 竖柱 定磉","j":"嫁娶 移徙 入宅 出火"},"10-5":{"y":"会亲友 立券 开市 赴任 动土 经络 安床 祭祀 拆卸 起基 冠笄 进人口 开光 上梁 塑绘","j":"安葬 定磉"},"10-50":{"y":"立券 交易 纳财 开市 动土 栽种 安床 安葬 修造 拆卸 入殓 成服 除服 破土 上梁","j":"嫁娶 移徙 入宅 纳畜 祭祀 探病 出火 伐木"},"10-51":{"y":"出行 移徙 纳采 入宅 订盟 动土 祈福 安机械 安葬 祭祀 修造 拆卸 起基 入殓 移柩 成服 出火 除服 破土 谢土 造庙 斋醮","j":"嫁娶 开市 栽种 合寿木"},"10-52":{"y":"嫁娶 移徙 立券 交易 入宅 开市 动土 祈福 安床 纳畜 安葬 祭祀 拆卸 入殓 出火 伐木 开光","j":"出行 栽种 作灶 针灸"},"10-53":{"y":"嫁娶 移徙 纳采 入宅 开市 订盟 动土 纳畜 挂匾 牧养 修造 造仓 拆卸 放水 起基 出火 雕刻 开池 开光 求嗣 上梁 造船","j":"安葬 合寿木 行丧"},"10-54":{"y":"嫁娶 出行 移徙 入宅 开市 安床 祭祀 修造 拆卸 出火 开光","j":"置产 纳畜 安葬 修坟 行丧 伐木 立碑 作梁"},"10-55":{"y":"会亲友 解除 入学 纳采 立券 交易 纳财 订盟 动土 经络 祈福 栽种 纳畜 安葬 祭祀 牧养 起基 入殓 开池 开光 立碑 破土 求嗣 斋醮 定磉","j":"嫁娶 移徙 入宅 开市 出火"},"10-56":{"y":"解除 扫舍 馀事勿取","j":"诸事不宜"},"10-57":{"y":"安葬 入殓 修坟 移柩 成服 除服 立碑 启鑽","j":"嫁娶 开市 伐木 作梁"},"10-58":{"y":"安葬 祭祀 移柩 馀事勿取 成服 除服 结网 破土 塞穴 谢土","j":"嫁娶 入宅"},"10-59":{"y":"纳采 立券 入宅 纳财 开市 订盟 动土 沐浴 安门 祭祀 拆卸 起基 冠笄 安香 出火 开光 求嗣 上梁 竖柱 塑绘 合帐","j":"嫁娶 安葬 伐木 造庙"},"10-6":{"y":"嫁娶 出行 移徙 纳采 立券 交易 入宅 开市 订盟 动土 祈福 栽种 安床 造车器 安葬 安门 挂匾 祭祀 修造 拆卸 入殓 成服 除服 开光 立碑 破土 启鑽","j":"纳畜 盖屋 起基 探病 伐木 作梁"},"10-7":{"y":"会亲友 纳采 立券 交易 纳财 开市 裁衣 订盟 经络 祈福 安床 安机械 纳畜 安葬 祭祀 造畜稠 入殓 移柩 冠笄 成服 除服 启鑽 上梁 竖柱 谢土 筑堤 合帐","j":"嫁娶 入宅 赴任 治病"},"10-8":{"y":"嫁娶 出行 解除 移徙 入宅 祈福 纳畜 祭祀 入殓 修坟 开光 立碑 求嗣","j":"动土 栽种 安床 伐木 破土 造桥 作梁"},"10-9":{"y":"安葬 入殓 移柩 馀事勿取 成服 除服 立碑 启鑽","j":"伐木 破土"},"11-0":{"y":"栽种 沐浴 祭祀 捕捉","j":"嫁娶 移徙 入宅 安葬 作灶"},"11-1":{"y":"纳财 纳畜 安门 祭祀 取渔 馀事勿取","j":"嫁娶 入宅"},"11-10":{"y":"嫁娶 纳财 祈福 祭祀 作灶 入殓 捕捉 成服 除服 开光 塑绘 斋醮 畋猎","j":"安床 开仓 盖屋 安葬"},"11-11":{"y":"会亲友 出行 移徙 纳采 入宅 动土 祈福 祭祀 修造","j":"嫁娶 开市 安葬 破土"},"11-12":{"y":"嫁娶 纳财 裁衣 安床 入殓 冠笄 纳婿 合帐","j":"开市 安葬 作灶 作梁"},"11-13":{"y":"解除 祭祀 馀事勿取 捕捉","j":"嫁娶 安葬"},"11-14":{"y":"解除 馀事勿取 结网","j":"诸事不宜"},"11-15":{"y":"祭祀 作灶 馀事勿取","j":"开市 安葬 修坟 掘井 破土"},"11-16":{"y":"纳财 栽种 纳畜 祭祀 作灶 进人口","j":"开市 经络 安床 安葬 修坟 立碑 破土 启鑽"},"11-17":{"y":"嫁娶 会亲友 纳采 立券 纳财 开市 裁衣 订盟 安床 安机械 纳畜 牧养 作灶 冠笄","j":"出行 安葬 行丧 掘井 破土"},"11-18":{"y":"嫁娶 会亲友 理发 祭祀 入殓 移柩 进人口 针灸","j":"入宅 安葬 作灶 探病 伐木 开渠"},"11-19":{"y":"纳财 祭祀 作灶 馀事勿取 捕捉 畋猎","j":"开市 动土 安葬 破土"},"11-2":{"y":"嫁娶 出行 移徙 纳采 入宅","j":"动土 安葬 破土"},"11-20":{"y":"沐浴 祭祀 入殓 移柩 成服 除服 结网","j":"嫁娶 交易 开市 出货财 安床 安葬 作灶 修坟"},"11-21":{"y":"扫舍 纳财 安床 沐浴 祭祀 作灶 捕捉 畋猎","j":"开市 安葬 破土 斋醮"},"11-22":{"y":"解除 祭祀 馀事勿取","j":"诸事不宜"},"11-23":{"y":"移徙 纳采 裁衣 订盟 动土 祈福 安床 纳畜 安门 修造 造仓 拆卸 起基 冠笄 结网 开光 求嗣 塑绘","j":"入宅 安葬 取渔 作灶 伐木"},"11-24":{"y":"嫁娶 理发 冠笄 进人口","j":"置产 纳畜 安葬 造畜稠 作灶 开生坟 伐木 破土 作梁"},"11-25":{"y":"祭祀","j":"嫁娶 安床 馀事勿取 造庙"},"11-26":{"y":"出行 解除 移徙 纳采 入宅 纳畜 牧养 作灶 冠笄 进人口 上梁 竖柱","j":"动土 安床 架马 安葬 祭祀 修造 修坟 伐木 破土"},"11-27":{"y":"修饰垣墙 祭祀 取渔 馀事勿取 捕捉","j":"诸事不宜"},"11-28":{"y":"交易 纳财 栽种 纳畜 祭祀 牧养 作灶 冠笄 结网 进人口","j":"出行 开市 安床 安葬 开生坟 修坟 掘井 开渠 破土 造船"},"11-29":{"y":"嫁娶 解除 移徙 纳采 立券 交易 入宅 纳财 开市 订盟 动土 纳畜 安门 分居 牧养 修造 拆卸 起基 出火 开光 塑绘","j":""},"11-3":{"y":"祭祀 馀事勿取 结网","j":"出行 入宅 安葬 掘井"},"11-30":{"y":"嫁娶 会亲友 理发 祭祀 作灶 移柩 冠笄 进人口","j":"开市 出货财 栽种 开仓 纳畜 盖屋 伐木 破土 启鑽 上梁"},"11-31":{"y":"祭祀 作灶 入殓 成服 除服 畋猎","j":"开市 动土 栽种 安葬"},"11-32":{"y":"解除 扫舍 沐浴 馀事勿取 捕捉 塞穴 畋猎","j":"嫁娶 入宅 开市 安床 修坟 破土"},"11-33":{"y":"纳财 安床 沐浴 祭祀 捕捉 畋猎","j":"开市 破土"},"11-34":{"y":"纳财 祭祀 捕捉 斋醮 畋猎","j":"嫁娶 入宅 开市 安床 安葬 破土"},"11-35":{"y":"纳采 立券 交易 纳财 开市 裁衣 订盟 经络 安床 安机械 沐浴 纳畜 祭祀 取渔 造仓 冠笄 捕捉 酬神 结网 开池 求嗣 合帐","j":"安葬 作灶 伐木 作梁"},"11-36":{"y":"理发 立券 交易 纳财 栽种 取渔 捕捉 教牛马 结网 进人口","j":"入宅 盖屋 安葬 竖柱"},"11-37":{"y":"解除 馀事勿取 坏垣","j":"诸事不宜"},"11-38":{"y":"祭祀 馀事勿取 捕捉 结网","j":"嫁娶 开市 探病"},"11-39":{"y":"栽种 祭祀 馀事勿取","j":"诸事不宜"},"11-4":{"y":"纳财 祭祀 作灶 捕捉","j":"开市 破土"},"11-40":{"y":"嫁娶 会亲友 出行 解除 移徙 入学 纳采 入宅 订盟 祈福 栽种 纳畜 盖屋 祭祀 牧养 拆卸 起基 安香 出火 开光 上梁 竖柱 塑绘 斋醮","j":"开市 出货财 开仓 安葬 破土 启鑽"},"11-41":{"y":"纳采 订盟 祈福 安机械 纳畜 祭祀 作灶","j":"动土 安葬"},"11-42":{"y":"祭祀 冠笄 馀事勿取 捕捉","j":"嫁娶 开市 盖屋 合寿木 作梁"},"11-43":{"y":"祭祀 馀事勿取 塞穴","j":"诸事不宜"},"11-44":{"y":"扫舍 沐浴 祭祀 捕捉 结网 畋猎","j":"嫁娶 纳采 订盟 动土 安床 安葬 破土"},"11-45":{"y":"扫舍 理发 沐浴","j":"嫁娶 入宅 纳畜 安葬 安门 造畜稠 作灶 伐木 上梁 造船 作梁"},"11-46":{"y":"嫁娶 会亲友 纳采 纳财 裁衣 订盟 祭祀 作灶 冠笄 问名 捕捉 进人口","j":"开市 安床 安葬 修坟"},"11-47":{"y":"出行 解除 移徙 雇庸 动土 祈福 安床 安门 祭祀 起基 进人口 开光 上梁","j":"嫁娶 纳畜 安葬 牧养 作灶 行丧 破土 作梁"},"11-48":{"y":"嫁娶 理发 栽种 冠笄 捕捉 进人口 针灸","j":"纳财 开市 安葬 破土"},"11-49":{"y":"解除 破屋 馀事勿取","j":"诸事不宜"},"11-5":{"y":"嫁娶 会亲友 移徙 立券 交易 裁衣 动土 经络 祈福 栽种 安床 祭祀 修造 冠笄 进人口 求嗣 上梁 竖柱","j":"出行 纳畜 安葬 行丧 伐木 造桥 作梁"},"11-50":{"y":"栽种 馀事勿取 捕捉 畋猎","j":"开市 动土 安葬 祭祀 探病 斋醮"},"11-51":{"y":"祭祀 作灶 馀事勿取","j":"诸事不宜"},"11-52":{"y":"纳财 纳畜 祭祀 牧养 馀事勿取 捕捉 进人口","j":"入宅 开市 动土 安床 安葬"},"11-53":{"y":"解除 立券 交易 纳财 纳畜 祭祀 进人口 开光","j":"嫁娶 出行 移徙 理发 入宅 动土 分居 安香 出火 破土"},"11-54":{"y":"嫁娶 祭祀 捕捉","j":"入宅 开市 动土 安门 修造 开光 破土"},"11-55":{"y":"嫁娶 纳财 祭祀 作灶","j":"开市 安葬 修坟 立碑"},"11-56":{"y":"会亲友 解除 入殓 移柩 馀事勿取 捕捉 成服 除服 畋猎","j":"安床 安葬 安门 修坟 破土"},"11-57":{"y":"扫舍 整手足甲 理发 安床 祭祀 作灶 教牛马 开光","j":"嫁娶 交易 开市 动土 纳畜 安葬 开生坟 伐木 破土 作梁"},"11-58":{"y":"祭祀 作灶 入殓 馀事勿取 除服","j":"开市 安床"},"11-59":{"y":"理发 栽种 沐浴 祭祀 作灶 结网","j":"嫁娶 开市 词讼 纳畜 安葬 牧养 造畜稠 行丧 伐木 作梁"},"11-6":{"y":"嫁娶 会亲友 裁衣 祭祀 入殓 移柩 冠笄 捕捉 成服 除服 进人口 纳婿","j":"移徙 入宅 作灶"},"11-7":{"y":"会亲友 移徙 理发 纳财 祭祀 冠笄 捕捉","j":"嫁娶 开市 开厕 开池 破土"},"11-8":{"y":"扫舍 沐浴 馀事勿取","j":"诸事不宜"},"11-9":{"y":"扫舍 理发 纳财 栽种 沐浴 祭祀 捕捉 结网 进人口 畋猎","j":"会亲友 移徙 入宅 开市 安床 安葬 安门 作灶 行丧 出火"},"2-0":{"y":"交易 沐浴 安葬 祭祀 入殓 修坟 捕捉 成服 除服 进人口 启鑽 谢土","j":"入宅 动土 修造 破土 斋醮"},"2-1":{"y":"解除 祭祀 馀事勿取","j":"诸事不宜"},"2-10":{"y":"出行 安床 造车器 盖屋 安门 祭祀 修造 造畜稠 教牛马 上梁","j":"出货财 动土 栽种 开仓 安葬 行丧 伐木 开渠 破土"},"2-11":{"y":"出行 沐浴 祭祀 冠笄 馀事勿取 进人口","j":"嫁娶 动土 安葬 作灶"},"2-12":{"y":"造畜稠 教牛马","j":"嫁娶 扫舍 移徙 入宅 动土 分居 作灶 安香 出火 掘井 造桥"},"2-13":{"y":"解除 扫舍 祭祀 教牛马","j":"馀事勿取"},"2-14":{"y":"会亲友 纳采 立券 安葬 入殓 移柩 启鑽 上梁 竖柱","j":"移徙 入宅 动土 祭祀 破土"},"2-15":{"y":"嫁娶 出行 安床 安葬 祭祀 入殓 移柩 冠笄","j":"动土 栽种 作灶 掘井"},"2-16":{"y":"出行 解除 祭祀 馀事勿取 教牛马","j":"动土 安葬 行丧 探病 开光 破土 作梁"},"2-17":{"y":"解除 扫舍 馀事勿取","j":"诸事不宜"},"2-18":{"y":"交易 纳财 祭祀","j":"动土 开渠 破土 上梁 斋醮"},"2-19":{"y":"出行 交易 祭祀 造畜稠 割蜜","j":"嫁娶 移徙 动土 词讼 安葬 作灶 伐木 掘井 破土 作梁"},"2-2":{"y":"解除 立券 交易 纳畜 安葬 入殓 移柩 伐木 开光 上梁 竖柱","j":"嫁娶 出行 移徙 入宅 动土 祭祀 作灶 破土"},"2-20":{"y":"嫁娶 出行 扫舍 纳财 赴任 沐浴 纳畜 祭祀 冠笄 普渡","j":"开市 动土 安床 开仓 破土 上梁"},"2-21":{"y":"出行 扫舍 祭祀 馀事勿取","j":"诸事不宜"},"2-22":{"y":"嫁娶 会亲友 移徙 纳采 立券 交易 置产 开市 订盟 祈福 纳畜 盖屋 安门 祭祀 求医 治病 放水 捕捉 合嵴 求嗣 上梁 竖柱","j":"动土 安葬 破土 造船 造庙"},"2-23":{"y":"沐浴 祭祀","j":"馀事勿取"},"2-24":{"y":"裁衣 馀事勿取 教牛马 合帐","j":"嫁娶 入宅 动土 作灶 破土 造船"},"2-25":{"y":"解除 祭祀 造畜稠 馀事勿取 教牛马 针灸","j":"嫁娶 动土 安葬 开池"},"2-26":{"y":"会亲友 纳财 裁衣 入殓 成服 除服 合帐","j":"嫁娶 移徙 入宅 祈福 祭祀"},"2-27":{"y":"嫁娶 会亲友 出行 交易 开市 安葬 祭祀 移柩 冠笄 成服 除服 教牛马 启鑽 求嗣 斋醮","j":"移徙 入宅 动土 祈福"},"2-28":{"y":"嫁娶 出行 解除 扫舍 裁衣 安床 祭祀 冠笄 进人口","j":"动土 安葬 掘井 开光 破土"},"2-29":{"y":"馀事勿取 断蚁 结网 塞穴 畋猎","j":"嫁娶 出行 入宅 动土 词讼 安葬"},"2-3":{"y":"会亲友 出行 纳采 立券 交易 开市 赴任 裁衣 订盟 祈福 安床 安葬 入殓 移柩 成服 酬神 除服 开光 立碑 启鑽 竖柱 塑绘","j":"动土 栽种 作灶 掘井"},"2-30":{"y":"安葬 祭祀 入殓 移柩 启鑽","j":"动土 破土 上梁"},"2-31":{"y":"嫁娶 出行 交易 纳财 裁衣 造车器 祭祀 造畜稠 冠笄 雕刻 教牛马","j":"移徙 入宅 动土 栽种 安葬 作灶 行丧 伐木 破土 上梁"},"2-32":{"y":"嫁娶 出行 纳畜 安葬 祭祀 入殓 启鑽","j":"动土 作灶 破土"},"2-33":{"y":"出行 扫舍 沐浴 安葬 祭祀 馀事勿取","j":"置产 动土 掘井 破土"},"2-34":{"y":"造畜稠 作灶","j":"安葬 行丧"},"2-35":{"y":"出行 解除 修饰垣墙 冠笄 馀事勿取","j":"嫁娶 开市 动土 安葬 破土"},"2-36":{"y":"教牛马","j":"入宅 动土 馀事勿取 破土"},"2-37":{"y":"会亲友 解除 祭祀 造畜稠 馀事勿取 教牛马","j":"嫁娶 出行 入宅 动土 安葬 行丧 破土"},"2-38":{"y":"解除 立券 交易 纳财 裁衣 安床 纳畜 安葬 牧养 入殓 移柩 启鑽 上梁 竖柱","j":"嫁娶 出行 入宅 动土 祭祀 掘井 开渠"},"2-39":{"y":"会亲友 出行 立券 交易 纳财 祭祀 冠笄","j":"嫁娶 动土 起基 掘井 破土 定磉"},"2-4":{"y":"修饰垣墙 祭祀 馀事勿取","j":"动土 修造 开光 破土"},"2-40":{"y":"出行 修饰垣墙 造畜稠 馀事勿取 教牛马","j":"诸事不宜"},"2-41":{"y":"会亲友 解除 祭祀 馀事勿取 断蚁","j":"嫁娶 安葬"},"2-42":{"y":"解除 祭祀 馀事勿取","j":"诸事不宜"},"2-43":{"y":"出行 造车器 盖屋 祭祀 修造 造畜稠 割蜜 教牛马 竖柱","j":"动土 安葬 掘井 破土"},"2-44":{"y":"出行 解除 移徙 纳财 祈福 纳畜 盖屋 安葬 安门 祭祀 牧养 入殓 开光 启鑽 求嗣 上梁","j":"置产 动土 安床 掘井 破土"},"2-45":{"y":"出行 祭祀","j":"嫁娶 会亲友 入宅 动土 修造 破土"},"2-46":{"y":"嫁娶 会亲友 出行 移徙 纳财 裁衣 纳畜 祭祀 造畜稠 冠笄 上梁 竖柱","j":"动土 安葬 开生坟 行丧 伐木 作梁"},"2-47":{"y":"出行 沐浴 祭祀 馀事勿取","j":"开市 动土 安葬 行丧 破土"},"2-48":{"y":"安葬 入殓 移柩 成服 除服 启鑽","j":"馀事勿取"},"2-49":{"y":"会亲友 解除 祭祀 馀事勿取 教牛马","j":"动土 安葬 破土"},"2-5":{"y":"馀事勿取 结网 塞穴","j":"诸事不宜"},"2-50":{"y":"立券 交易 纳财 裁衣 伐木 作梁","j":"诸事不宜"},"2-51":{"y":"嫁娶 会亲友 立券 交易 裁衣 祭祀 冠笄 进人口 合帐","j":"动土 栽种 安葬 修坟 探病 掘井"},"2-52":{"y":"出行 扫舍 祭祀 馀事勿取 教牛马","j":"安葬 伐木 开光 破土"},"2-53":{"y":"馀事勿取 断蚁 结网 塞穴","j":"安葬 破土"},"2-54":{"y":"祭祀 馀事勿取 断蚁 教牛马","j":"移徙 入宅 动土 斋醮"},"2-55":{"y":"会亲友 纳财 开市 裁衣 经络 开仓 安机械 纳畜 祭祀 牧养 造畜稠 冠笄 教牛马 塑绘","j":"动土 安葬 治病 破土"},"2-56":{"y":"出行 扫舍 纳财 裁衣 纳畜 安门 祭祀 造畜稠 作灶 进人口","j":"动土 安床 安葬 合寿木 开生坟"},"2-57":{"y":"出行 扫舍 交易 祈福 沐浴 祭祀 教牛马 求嗣","j":"动土 安葬 作灶 修坟 行丧"},"2-58":{"y":"出行 解除 移徙 入宅 纳财 祈福 安床 纳畜 安门 祭祀 造畜稠 开光 求嗣 上梁","j":"嫁娶 安葬 行丧 伐木 开渠 破土"},"2-59":{"y":"沐浴 祭祀 馀事勿取","j":"诸事不宜"},"2-6":{"y":"出行 馀事勿取 割蜜 教牛马","j":"动土 盖屋 破土 斋醮"},"2-7":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 祈福 祭祀","j":"动土 安葬"},"2-8":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 纳财 订盟 祈福 纳畜 安葬 祭祀 入殓 启鑽 求嗣 上梁 竖柱","j":"置产 动土 栽种 安床 掘井 破土"},"2-9":{"y":"出行 沐浴 祭祀 入殓 成服 除服","j":"移徙 入宅 开市 动土 冠笄 上梁 竖柱"},"3-0":{"y":"嫁娶 会亲友 出行 扫舍 纳采 纳财 赴任 裁衣 订盟 动土 祈福 栽种 沐浴 纳畜 祭祀 修造 入殓 移柩 成服 除服 伐木 开光 启鑽 上梁 竖柱 塑绘","j":"入宅 安床 开仓 作灶"},"3-1":{"y":"嫁娶 出行 入学 纳采 立券 交易 入宅 订盟 动土 祈福 造车器 盖屋 归宁 安门 祭祀 求医 修造 治病 起基 安香 出火 上梁 竖柱 造庙","j":"安葬 行丧 伐木 斋醮 作梁"},"3-10":{"y":"出行 赴任 沐浴 祭祀 馀事勿取","j":"诸事不宜"},"3-11":{"y":"出行 解除 扫舍 移徙 入宅 安床 祭祀 修造 造畜稠 拆卸 出火 伐木 开光 作梁","j":"嫁娶 动土 栽种 作灶 掘井 造庙 造桥"},"3-12":{"y":"嫁娶 移徙 整手足甲 理发 入学 纳采 入宅 赴任 裁衣 订盟 祈福 沐浴 安葬 祭祀 治病 拆卸 入殓 修坟 移柩 冠笄 安香 开光 破土 启鑽 塑绘 谢土 斋醮 作梁","j":"开市"},"3-13":{"y":"会亲友 出行 移徙 纳采 立券 交易 入宅 开市 订盟 动土 祈福 栽种 安床 安机械 纳畜 造车器 盖屋 祭祀 修造 造畜稠 起基 安香 上梁","j":"安葬 开生坟 行丧 破土"},"3-14":{"y":"解除 移徙 立券 交易 入宅 开市 动土 栽种 安床 纳畜 安葬 挂匾 拆卸 出火 伐木 开光 上梁 作梁","j":"嫁娶 出行 置产 祭祀"},"3-15":{"y":"出行 移徙 立券 入宅 开市 动土 祈福 安葬 祭祀 破土 斋醮","j":"嫁娶 纳畜 作灶 掘井 开光"},"3-16":{"y":"塞穴","j":"嫁娶 安葬 安门 作灶"},"3-17":{"y":"会亲友 解除 扫舍 理发 栽种 沐浴 求医 造畜稠 治病 斋醮","j":"嫁娶 移徙 入宅 开市 安葬 掘井"},"3-18":{"y":"出行 立券 交易 入宅 开市 动土 栽种 安葬 安门 挂匾 拆卸 修坟 移柩 进人口 开光 破土 上梁","j":"嫁娶 安床 作灶 探病"},"3-19":{"y":"嫁娶 会亲友 出行 入学 纳采 入宅 纳财 订盟 动土 栽种 安机械 造车器 开厕 安门 祭祀 牧养 修造 拆卸 起基 冠笄 安香 出火 开光 塑绘","j":"作灶 行丧 伐木 作梁"},"3-2":{"y":"解除 扫舍 移徙 纳采 立券 交易 入宅 纳财 裁衣 订盟 动土 沐浴 安葬 修造 拆卸 修坟 移柩 冠笄 成服 除服 伐木 破土 启鑽","j":"出行 祭祀 作灶 上梁"},"3-20":{"y":"嫁娶 移徙 立券 交易 入宅 开市 动土 祈福 栽种 纳畜 挂匾 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 启鑽 求嗣","j":""},"3-21":{"y":"解除 整手足甲 理发 沐浴 安葬 祭祀 入殓 移柩 冠笄 破土 启鑽","j":"嫁娶 出行 入宅 开市 安门"},"3-22":{"y":"嫁娶 出行 解除 扫舍 整手足甲 理发 动土 安床 祭祀 放水 开池 开光 塑绘","j":"安葬 作灶 行丧 伐木 作梁"},"3-23":{"y":"会亲友 出行 解除 扫舍 移徙 入宅 开市 裁衣 安机械 造车器 造畜稠 冠笄 雕刻 作梁","j":"嫁娶 动土 修坟 破土"},"3-24":{"y":"嫁娶 出行 解除 移徙 入宅 动土 栽种 纳畜 安葬 修造 拆卸 成服 出火 除服 进人口 掘井 开光","j":"置产 安床"},"3-25":{"y":"嫁娶 会亲友 出行 解除 扫舍 纳采 订盟 动土 经络 祈福 栽种 祭祀 牧养 求医 修造 造畜稠 治病 拆卸 起基 安香 出火 定磉","j":"安葬 行丧 掘井 斋醮 作梁"},"3-26":{"y":"纳采 立券 交易 纳财 开市 订盟 动土 沐浴 安葬 放水 起基 修坟 移柩 开光 立碑 破土 启鑽 塑绘 定磉","j":"入宅 安门 祭祀 谢土"},"3-27":{"y":"嫁娶 会亲友 出行 纳采 入宅 裁衣 订盟 祈福 祭祀 放水 入殓 移柩 冠笄 安香 立碑 破土 求嗣 上梁 谢土 斋醮 合帐","j":"掘井"},"3-28":{"y":"解除 整手足甲 馀事勿取 捕捉 结网 塞穴 畋猎","j":"嫁娶 安葬 作灶 掘井"},"3-29":{"y":"移徙 纳采 入宅 动土 求医 治病 开光 上梁","j":"嫁娶 开市 安葬"},"3-3":{"y":"嫁娶 出行 解除 动土 祈福 栽种 安床 纳畜 安葬 祭祀 拆卸 起基 伐木 进人口 开光 破土 启鑽 求嗣 上梁 谢土","j":"移徙 入宅 作灶 出火 掘井"},"3-30":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 订盟 祈福 栽种 纳畜 祭祀 牧养 入殓 出火 开光 破土 求嗣","j":"动土 安床 开仓 盖屋 安葬 作灶"},"3-31":{"y":"会亲友 出行 纳采 订盟 祈福 安床 斋醮","j":"移徙 入宅 安葬"},"3-32":{"y":"解除 扫舍 动土 安机械 沐浴 盖屋 安葬 祭祀 修造 造畜稠 治病 拆卸 合寿木 开生坟 起基 入殓 移柩 开池 立碑 破土 启鑽","j":"出行 入宅 开市 安床 作灶"},"3-33":{"y":"纳采 订盟 动土 祈福 安葬 祭祀 修造 破土 上梁","j":"嫁娶 开市"},"3-34":{"y":"嫁娶 出行 解除 扫舍 整手足甲 纳采 开市 动土 安床 盖屋 祭祀 求医 修造 治病 起基 合嵴 上梁 定磉","j":"安葬 作灶 行丧 伐木 造船 造庙"},"3-35":{"y":"理发 入学 习艺 沐浴 进人口","j":"嫁娶 入宅"},"3-36":{"y":"嫁娶 会亲友 出行 解除 移徙 纳采 立券 入宅 开市 订盟 动土 祈福 栽种 盖屋 安葬 安门 挂匾 祭祀 求医 修造 治病 起基 进人口 开光 求嗣","j":"经络 安床 作灶"},"3-37":{"y":"嫁娶 出行 祈福 纳畜 祭祀 求医 治病 上梁","j":"开市 安葬"},"3-38":{"y":"嫁娶 解除 移徙 入宅 动土 栽种 安床 修造 拆卸 入殓 修坟 成服 出火 除服 进人口 开光","j":"出行 纳采 开市 订盟 纳畜 安葬 祭祀 作灶 探病 谢土"},"3-39":{"y":"嫁娶 会亲友 出行 解除 移徙 立券 交易 入宅 开市 动土 安床 安葬 挂匾 祭祀 拆卸 出火 开光 破土 启鑽","j":"词讼 掘井"},"3-4":{"y":"扫舍 祭祀 塞穴","j":"嫁娶 栽种 安葬 作灶"},"3-40":{"y":"解除 扫舍 沐浴 祭祀 牧养 塞穴","j":"嫁娶 安葬 安门 行丧"},"3-41":{"y":"解除 移徙 入宅 动土 祈福 安床 祭祀 修造 造畜稠 拆卸 出火 伐木 开光 求嗣","j":"嫁娶 出行 立券 纳财 开市 栽种 安葬 作灶"},"3-42":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 造车器 祭祀 修造 治病","j":"出行 开市 安床 安葬 作灶"},"3-43":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 挂匾 祭祀 拆卸 出火 开光 求嗣","j":"安葬 行丧 伐木 作梁"},"3-44":{"y":"解除 扫舍 入学 沐浴 祭祀 牧养 治病 开池 开光 塑绘","j":"嫁娶 出行 纳采 入宅 作灶"},"3-45":{"y":"解除 扫舍 整手足甲 理发 沐浴 安葬 祭祀 入殓 移柩 破土","j":"嫁娶 会亲友 出行 移徙 入宅 赴任 作灶 进人口"},"3-46":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 动土 祈福 祭祀 修造","j":"安葬 行丧 伐木 造庙 针灸 作梁"},"3-47":{"y":"出行 解除 移徙 祈福 安床 纳畜 祭祀 拆卸 出火 伐木 开光 求嗣","j":"嫁娶 纳采 动土 安葬 作灶 修坟 破土 造庙"},"3-48":{"y":"嫁娶 会亲友 出行 扫舍 移徙 理发 入宅 动土 栽种 造车器 盖屋 归岫 安门 修造 造畜稠 拆卸 起基 安香 出火 雕刻 合嵴 开光","j":"纳采 开市 安床 安葬 开渠 造庙"},"3-49":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 祈福 栽种 安床 挂匾 祭祀 拆卸 出火 求嗣","j":"词讼 安葬 作灶 行丧 伐木 塑绘"},"3-5":{"y":"嫁娶 会亲友 移徙 入宅 祈福 造车器 盖屋 安门 祭祀 治病 起基 出火 掘井 开池 开光 求嗣 上梁 竖柱 斋醮","j":"出行 纳采 立券 开市 安葬 作灶 修坟"},"3-50":{"y":"会亲友 解除 扫舍 移徙 入学 纳采 立券 交易 入宅 纳财 开市 订盟 安床 安门 挂匾 求医 治病 拆卸 合寿木 开生坟 入殓 修坟 安香 出火 破土 启鑽","j":"出行 盖屋 安葬 祭祀 探病 上梁 谢土"},"3-51":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 安床 安葬 挂匾 祭祀 拆卸 入殓 成服 出火 除服 进人口 开光 破土 启鑽 求嗣 上梁","j":""},"3-52":{"y":"扫舍 馀事勿取 塞穴","j":"诸事不宜"},"3-53":{"y":"解除 扫舍 纳采 订盟 祈福 栽种 纳畜 祭祀 牧养 进人口 开光 求嗣","j":"出行 入宅 盖屋 安葬 作灶 修坟 造桥"},"3-54":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 架马 安葬 造畜稠 拆卸 入殓 移柩 成服 出火 除服 伐木 开光 造船 造庙 造桥","j":""},"3-55":{"y":"嫁娶 出行 扫舍 移徙 纳采 立券 纳财 开市 订盟 动土 祈福 栽种 安床 祭祀 修造 造畜稠 拆卸 放水 起基 安香 掘井 开池 竖柱 造船 定磉","j":"安葬 作灶 行丧 伐木 破土 斋醮"},"3-56":{"y":"嫁娶 会亲友 移徙 入宅 祈福 盖屋 祭祀 治病 起基 安香","j":"出行 开市 经络 安床 斋醮"},"3-57":{"y":"解除 动土 安床 安门 祭祀 修造 拆卸 起基 入殓 开池 开渠 破土 启鑽 上梁","j":"嫁娶 出行 移徙 入宅 赴任 栽种 作灶 进人口"},"3-58":{"y":"出行 解除 移徙 纳采 入宅 开市 动土 栽种 安床 开厕 修造 起基 冠笄 雕刻 合嵴 上梁","j":"安葬 安门 行丧 造庙"},"3-59":{"y":"出行 解除 理发 安床 祭祀 造畜稠 拆卸 出火 伐木 合嵴 开光 上梁","j":"嫁娶 动土 词讼 安葬 作灶 行丧 破土 造桥"},"3-6":{"y":"嫁娶 出行 纳采 订盟 动土 祈福 安葬 祭祀 破土 上梁 斋醮","j":"移徙 入宅"},"3-7":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 纳财 动土 祈福 栽种 安床 纳畜 挂匾 祭祀 修造 造畜稠 拆卸 出火 进人口 开光 求嗣","j":"安葬 开生坟 行丧"},"3-8":{"y":"嫁娶 祈福 安葬 祭祀 治病 破土 斋醮","j":"入宅 开市"},"3-9":{"y":"解除 动土 祈福 安床 纳畜 盖屋 安葬 祭祀 修造 起基 入殓 合嵴 破土 求嗣 上梁 竖柱","j":"嫁娶 出行 移徙 入宅 开市 赴任 词讼 出火 进人口 开光"},"4-0":{"y":"会亲友 理发 纳采 裁衣 订盟 安床 沐浴 安葬 开生坟 移柩 冠笄 成服 除服 启鑽","j":"嫁娶 出行 入宅 开市 动土 祈福 安门 修坟 上梁 谢土"},"4-1":{"y":"会亲友 理发 补垣 结网 塞穴","j":"嫁娶 移徙 入宅 安门"},"4-10":{"y":"嫁娶 会亲友 理发 经络 栽种 沐浴 牧养 补垣 开光 塞穴 塑绘","j":"入宅 开市 动土 祈福 安床 开仓 安葬 作灶 破土 上梁"},"4-11":{"y":"","j":"诸事不宜"},"4-12":{"y":"会亲友 解除 移徙 入学 纳采 立券 交易 开市 出货财 订盟 安床 开仓 纳畜 开厕 安葬 牧养 起基 入殓 问名 成服 除服 启鑽","j":"入宅 出火 上梁 谢土 斋醮"},"4-13":{"y":"","j":"诸事不宜"},"4-14":{"y":"会亲友 纳采 订盟 栽种 安机械 纳畜 盖屋 安葬 修造 造畜稠 起基 入殓 修坟 移柩 开光 立碑 启鑽 上梁 竖柱 造桥","j":"嫁娶 入宅 开市 动土 祈福 出火 破土"},"4-15":{"y":"嫁娶 纳采 立券 交易 纳财 开市 安床 纳畜 取渔 补垣 开池","j":"入宅 动土 祈福 安葬 安门 修造 作灶 探病 掘井 上梁"},"4-16":{"y":"会亲友 理发 冠笄 捕捉 结网 开光 求嗣","j":"开市 动土 安葬 破土"},"4-17":{"y":"会亲友 理发 入学 纳采 立券 交易 纳财 开市 裁衣 经络 祈福 安床 安机械 架马 安门 祭祀 造仓 冠笄 开光 开柱眼 求嗣 塑绘 作梁 合帐","j":"嫁娶 出行 安葬 斋醮"},"4-18":{"y":"嫁娶 会亲友 出行 解除 纳采 交易 订盟 安床 纳畜 安葬 牧养 入殓 移柩 成服 除服 进人口 启鑽 求嗣","j":"开市 动土 祈福 修造 破土 谢土"},"4-19":{"y":"会亲友 进人口","j":"动土 词讼 安葬 伐木 塞穴 上梁"},"4-2":{"y":"会亲友 出行 解除 纳采 立券 交易 开市 订盟 安床 安机械 盖屋 安葬 安门 拆卸 起基 入殓 修坟 移柩 成服 除服 伐木 立碑 平治道涂 启鑽 上梁 竖柱","j":"嫁娶 入宅 动土 祈福 出火 破土"},"4-20":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 架马 安葬 挂匾 修造 合寿木 开生坟 起基 入殓 移柩 冠笄 安香 成服 出火 除服 伐木 开光 开柱眼 求嗣","j":"出货财 动土 安床 作灶 破土"},"4-21":{"y":"嫁娶 解除 扫舍 理发 开市 安床 安葬 牧养 入殓 移柩 开光 启鑽","j":"移徙 入宅 动土 祈福 栽种 修造 作灶 上梁"},"4-22":{"y":"嫁娶 会亲友 裁衣 经络 栽种 纳畜 牧养 冠笄 补垣 捕捉 进人口 塞穴 塑绘","j":"开市 动土 祈福 安葬 行丧"},"4-23":{"y":"出行 移徙 立券 交易 入宅 开市 安床 挂匾 出火 开光 上梁","j":"嫁娶 理发 乘船 安葬 作灶 行丧"},"4-24":{"y":"会亲友 理发 立券 交易 纳财 开市 安床 沐浴 冠笄 教牛马 结网","j":"嫁娶 出行 移徙 入宅 祈福"},"4-25":{"y":"会亲友 理发 裁衣 安床 安门 结网 开光","j":"嫁娶 出行 移徙 入宅 动土 祈福 栽种 安葬 冠笄 出火 伐木 上梁"},"4-26":{"y":"会亲友 扫舍 立券 交易 纳财 开市 动土 经络 栽种 安床 安葬 祭祀 牧养 求医 修造 治病 拆卸 合寿木 开生坟 入殓 安香 进人口 启鑽","j":"嫁娶 移徙 入宅 祈福 出火"},"4-27":{"y":"嫁娶 出行 理发 立券 交易 纳财 开市 安床 安葬 牧养 修坟 开池 启鑽","j":"入宅 动土 祈福 修造 作灶 掘井 上梁 谢土"},"4-28":{"y":"纳采 入宅 开仓 祭祀 问名 求嗣 合帐","j":"安床 安葬 作灶 斋醮"},"4-29":{"y":"立券 交易 纳财 开市 安床 盖屋 修造 起基 开光 上梁","j":"嫁娶 出行 移徙 入宅 赴任 动土 词讼 安葬 行丧 破土 谢土"},"4-3":{"y":"嫁娶 会亲友 出行 纳采 裁衣 订盟 安床 安葬 祭祀 入殓 进人口 启鑽","j":""},"4-30":{"y":"会亲友 开市 安床 安葬 祭祀 启鑽","j":"嫁娶 动土 破土"},"4-31":{"y":"纳采 裁衣 安床 造仓 作灶 冠笄 进人口 开光 塞穴","j":"嫁娶 出行 动土 栽种 安葬 修造 伐木 谢土 作梁"},"4-32":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 安葬 求医 治病 启鑽","j":"动土 破土"},"4-33":{"y":"嫁娶 出行 纳采 立券 交易 开市 订盟 栽种 安床 造车器 牧养 拆卸 起基 入殓 移柩 成服 除服 开光 启鑽","j":"入宅 动土 祈福 祭祀 修造 破土 上梁 斋醮"},"4-34":{"y":"会亲友 出行 移徙 纳采 入宅 订盟 修造 上梁","j":"开市 安葬"},"4-35":{"y":"移徙 纳采 立券 交易 入宅 纳财 开市 订盟 栽种 安床 安门 挂匾 修造 拆卸 出火 进人口 开光","j":"嫁娶 动土 安葬 作灶 行丧 破土 斋醮"},"4-36":{"y":"会亲友 安葬 开光 启鑽 针灸","j":"开市 动土 破土"},"4-37":{"y":"会亲友 理发 祭祀 牧养 造畜稠 结网 开池 塑绘 畋猎","j":"嫁娶 出行 入宅 开市 动土 祈福 安葬 作灶 上梁 谢土"},"4-38":{"y":"解除 立券 开市 安机械 安葬 开光 启鑽 上梁","j":"嫁娶 祈福"},"4-39":{"y":"嫁娶 出行 立券 交易 纳财 栽种 安床 安葬 起基 入殓 移柩","j":"入宅 动土 词讼 祈福 安门 挂匾 作灶 掘井 开池 破土 上梁 作梁"},"4-4":{"y":"会亲友 经络 祈福 安床 安机械 祭祀 冠笄 求嗣","j":"嫁娶 开市 动土 安葬 作灶"},"4-40":{"y":"嫁娶 会亲友 安床 牧养 开光 求嗣 塑绘 针灸","j":"移徙 立券 交易 入宅 开市 动土 安葬 分居 作灶 安香 出火 伐木"},"4-41":{"y":"会亲友 理发 立券 交易 纳财 开市 安床 造仓 结网 开光 针灸","j":"移徙 入宅 栽种"},"4-42":{"y":"嫁娶 会亲友 出行 理发 纳采 开市 栽种 安床 牧养 入殓 移柩 开光 启鑽","j":"入宅 祈福 安门 修造 作灶 上梁 谢土 斋醮"},"4-43":{"y":"嫁娶 会亲友 纳采 订盟 经络 安机械 祭祀 冠笄 结网 进人口 求嗣","j":"开市 动土 安葬 作灶 行丧"},"4-44":{"y":"出行 解除 移徙 立券 交易 入宅 开市 栽种 安葬 牧养 修造 拆卸 起基 入殓 成服 出火 除服 伐木 开光 求嗣 上梁","j":"置产 安床"},"4-45":{"y":"出行 解除 扫舍 移徙 立券 交易 纳财 开市 出货财 祈福 栽种 安床 开仓 纳畜 祭祀 牧养 起基 补垣 开光 求嗣 塞穴 竖柱","j":"入宅 安葬 安门 行丧 破土 斋醮"},"4-46":{"y":"栽种 纳畜 牧养 补垣 进人口 开光 塞穴 塑绘","j":"嫁娶 立券 交易 纳财 开市 动土 祈福 安葬 修造 上梁"},"4-47":{"y":"出行 移徙 立券 交易 开市 安机械 出火 上梁","j":"嫁娶 动土 安葬 造桥"},"4-48":{"y":"会亲友 理发 立券 交易 纳财 开市 安葬 入殓 移柩 开光 启鑽","j":"嫁娶 出行 移徙 入宅 祈福 安床 作灶 出火 上梁"},"4-49":{"y":"会亲友 裁衣 经络 安机械 结网 塞穴 塑绘","j":"嫁娶 开市 祈福 安葬 斋醮"},"4-5":{"y":"会亲友 解除 立券 交易 纳财 开市 裁衣 开仓 安机械 盖屋 造仓 拆卸 冠笄 伐木 开光 上梁 竖柱 塑绘","j":"嫁娶 出行 入宅 安葬"},"4-50":{"y":"解除 理发 立券 交易 开市 栽种 安床 安葬 挂匾 修造 拆卸 开光","j":"嫁娶 移徙 入宅 祈福 盖屋 祭祀 作灶 探病 掘井 谢土"},"4-51":{"y":"嫁娶 会亲友 出行 解除 入学 纳采 立券 交易 纳财 习艺 出货财 订盟 经络 祈福 安床 开仓 纳畜 安葬 祭祀 入殓 修坟 启鑽 求嗣","j":"入宅 开市 动土 开光"},"4-52":{"y":"嫁娶 会亲友 出行 纳采 祈福 安床 安机械 盖屋 安门 祭祀 牧养 修造 起基 冠笄 开光 上梁 畋猎","j":"移徙 入宅 安葬 治病 作灶"},"4-53":{"y":"会亲友 解除 纳采 立券 交易 纳财 开市 裁衣 订盟 经络 栽种 安床 安机械 冠笄 结网 开光 上梁 竖柱 塑绘 合帐","j":"出行 入宅 安葬 作灶"},"4-54":{"y":"嫁娶 出行 理发 交易 开市 安床 开光 塞穴","j":"置产 入宅 动土 祈福 安葬 修造 出火 破土 上梁"},"4-55":{"y":"置产 牧养 馀事勿取 结网 进人口 塞穴","j":"诸事不宜"},"4-56":{"y":"嫁娶 出行 解除 扫舍 移徙 入宅 纳财 开市 祈福 栽种 盖屋 安葬 祭祀 修造 造仓 作灶 拆卸 放水 起基 安香 补垣 出火 开光 塞穴 上梁 竖柱 造船","j":"纳采 订盟 动土 安床 破土 谢土"},"4-57":{"y":"嫁娶 出行 立券 交易 裁衣 安葬 牧养 造畜稠 开生坟 入殓 移柩 冠笄 成服 除服 进人口 纳婿 启鑽 塑绘","j":""},"4-58":{"y":"会亲友 出行 解除 移徙 纳采 入宅 订盟 经络 栽种 安床 安机械 纳畜 修造 拆卸 安香 出火 开光 上梁","j":"动土 祈福 安葬 祭祀 作灶 行丧 伐木 破土 谢土"},"4-59":{"y":"出行 解除 开市 裁衣 开厕 挂匾 作灶 冠笄 补垣 开池 开光 塞穴 塑绘","j":""},"4-6":{"y":"嫁娶 会亲友 出行 纳采 开市 安床 安葬 祭祀 移柩 成服 除服 结网 开光 启鑽 塑绘","j":"入宅 动土 祈福 盖屋 探病 破土"},"4-7":{"y":"会亲友 纳采 订盟 安床 造畜稠 作灶","j":"开市 安葬"},"4-8":{"y":"解除 扫舍 纳采 开市 祈福 安机械 沐浴 归岫 安葬 祭祀 修造 拆卸 放水 合寿木 开生坟 安碓磑 补垣 成服 出火 除服 开柱眼 启鑽 求嗣 塞穴 上梁 竖柱 谢土","j":"嫁娶 动土 安床 作灶 破土 造船"},"4-9":{"y":"嫁娶 出行 开市 安床 安葬 入殓 启鑽","j":"动土 祈福 破土"},"5-0":{"y":"修饰垣墙 祈福 祭祀 入殓 移柩 平治道涂","j":"嫁娶 入宅 安门 上梁"},"5-1":{"y":"解除 修饰垣墙 祭祀 造畜稠 馀事勿取 平治道涂","j":"嫁娶 入学 交易 入宅 开市 安葬"},"5-10":{"y":"嫁娶 裁衣 沐浴 祭祀 冠笄 结网","j":"置产 出货财 动土 栽种 开仓 安葬 掘井 破土"},"5-11":{"y":"理发 修饰垣墙 沐浴 祭祀 作灶 平治道涂","j":"嫁娶 祈福 栽种 安葬 安门 伐木 造桥 作梁"},"5-12":{"y":"沐浴 入殓 移柩 成服 除服 平治道涂 破土","j":"嫁娶 移徙 入宅 开市"},"5-13":{"y":"祭祀 馀事勿取 平治道涂","j":"嫁娶 开市"},"5-14":{"y":"出行 移徙 立券 交易 入宅 纳财 开市 安床 纳畜 安葬 挂匾 入殓 移柩 开光","j":"嫁娶 置产 动土 祈福 栽种 祭祀 作灶 破土"},"5-15":{"y":"祭祀 修坟 馀事勿取 成服 除服 平治道涂","j":"嫁娶 移徙 入宅 安葬 掘井"},"5-16":{"y":"解除 修饰垣墙 祭祀 平治道涂","j":"馀事勿取"},"5-17":{"y":"祭祀 馀事勿取 平治道涂","j":"嫁娶 祈福 安葬 掘井"},"5-18":{"y":"嫁娶 安葬 祭祀 纳婿","j":"入宅 栽种 盖屋 作灶"},"5-19":{"y":"祭祀 作灶 馀事勿取 平治道涂","j":"嫁娶 动土 安床 安葬 治病"},"5-2":{"y":"会亲友 出行 移徙 纳采 立券 交易 入宅 纳财 开市 赴任 裁衣 订盟 动土 经络 祈福 安床 开仓 安葬 祭祀 修造 拆卸 起基 入殓 移柩 安香 成服 除服 进人口 上梁 竖柱 谢土","j":"治病 作灶 伐木 作梁"},"5-20":{"y":"扫舍 沐浴 安葬 入殓 成服 除服 平治道涂 破土","j":"嫁娶 移徙 祈福 安床 盖屋 祭祀 伐木 作梁"},"5-21":{"y":"嫁娶 扫舍 整手足甲 理发 修饰垣墙 沐浴 祭祀 作灶 平治道涂","j":"出行 治病 合寿木 斋醮"},"5-22":{"y":"解除 祭祀 馀事勿取","j":"诸事不宜"},"5-23":{"y":"出行 移徙 纳采 裁衣 订盟 沐浴 纳畜 牧养 上梁 竖柱","j":"嫁娶 动土 安葬 安门"},"5-24":{"y":"修饰垣墙 沐浴 祭祀 馀事勿取 平治道涂","j":"诸事不宜"},"5-25":{"y":"修饰垣墙 祭祀 造畜稠 馀事勿取 平治道涂","j":"嫁娶 开市 安床 掘井"},"5-26":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 栽种 安床 修造 拆卸 出火 开光 上梁","j":"祈福 祭祀 作灶 伐木 掘井 谢土"},"5-27":{"y":"祭祀 入殓 移柩 馀事勿取","j":"入宅 动土 安门 修造 破土 上梁"},"5-28":{"y":"解除 馀事勿取 平治道涂","j":"移徙 入宅 栽种 治病 掘井 开池 造庙 针灸"},"5-29":{"y":"作灶 平治道涂","j":"祈福 安葬 安门 祭祀 馀事勿取"},"5-3":{"y":"安葬 祭祀 馀事勿取 成服 除服 平治道涂","j":"嫁娶 纳采 入宅 订盟 掘井"},"5-30":{"y":"嫁娶 置产 修饰垣墙 祈福 祭祀 冠笄 平治道涂","j":"立券 交易 开市 出货财 栽种 开仓 盖屋 作灶"},"5-31":{"y":"祭祀 作灶 掘井 平治道涂","j":"嫁娶 安葬"},"5-32":{"y":"嫁娶 出行 移徙 理发 纳采 立券 交易 开市 裁衣 动土 栽种 纳畜 挂匾 修造 进人口 上梁","j":"祈福 安床 安葬 祭祀 伐木"},"5-33":{"y":"嫁娶 扫舍 修饰垣墙 沐浴 祭祀","j":"安葬 行丧"},"5-34":{"y":"嫁娶 祭祀 结网 畋猎","j":"动土 治病 开渠 破土"},"5-35":{"y":"修饰垣墙 沐浴 平治道涂","j":"嫁娶 祈福 馀事勿取"},"5-36":{"y":"修饰垣墙 沐浴 祭祀 馀事勿取 平治道涂","j":"嫁娶 出行 入宅 安床"},"5-37":{"y":"祭祀 造畜稠 结网","j":"馀事勿取"},"5-38":{"y":"会亲友 出行 移徙 立券 交易 修饰垣墙 入宅 纳财 开市 出货财 裁衣 动土 经络 拆卸 安香 进人口 平治道涂","j":"安葬 作灶 修坟 行丧 探病 伐木 谢土 造庙 作梁"},"5-39":{"y":"馀事勿取 平治道涂","j":"诸事不宜"},"5-4":{"y":"修饰垣墙 入殓 移柩 馀事勿取 平治道涂","j":"嫁娶 移徙 入宅 开光"},"5-40":{"y":"馀事勿取 平治道涂","j":"嫁娶 出货财 开仓 安葬 探病 开光 造船"},"5-41":{"y":"解除 作灶 平治道涂","j":"出行 祈福 栽种 纳畜 安葬 安门 牧养 行丧 伐木 作梁"},"5-42":{"y":"嫁娶 会亲友 立券 交易 置产 纳财 安机械 冠笄","j":"开市 盖屋 治病 作灶"},"5-43":{"y":"解除 修饰垣墙 祭祀 馀事勿取 平治道涂","j":"诸事不宜"},"5-44":{"y":"扫舍 移徙 沐浴 安葬 祭祀 平治道涂 破土","j":"嫁娶 入宅 祈福 安床 作灶"},"5-45":{"y":"扫舍 整手足甲 理发 修饰垣墙 沐浴 祭祀 平治道涂","j":"嫁娶 出行 入宅 安门 修造 上梁"},"5-46":{"y":"修饰垣墙 祭祀 平治道涂","j":"嫁娶 开市 动土 安葬 修造 破土"},"5-47":{"y":"修饰垣墙 沐浴 作灶 馀事勿取 平治道涂","j":"诸事不宜"},"5-48":{"y":"修饰垣墙 沐浴 祭祀 馀事勿取 平治道涂","j":"嫁娶 出行 移徙 入宅 上梁 斋醮"},"5-49":{"y":"造畜稠 馀事勿取 平治道涂","j":"诸事不宜"},"5-5":{"y":"解除 作灶 馀事勿取 平治道涂","j":"祈福 安葬 安门 祭祀"},"5-50":{"y":"会亲友 出行 移徙 纳采 立券 交易 修饰垣墙 入宅 纳财 开市 动土 开厕 修造 起基 安香 出火 开池 平治道涂 竖柱 造庙 定磉","j":"开仓 盖屋 祭祀 造桥"},"5-51":{"y":"修饰垣墙 祭祀 馀事勿取","j":"诸事不宜"},"5-52":{"y":"嫁娶 会亲友 裁衣 祭祀 冠笄 结网 进人口 平治道涂","j":"移徙 入宅 安葬 治病 作灶 造庙"},"5-53":{"y":"修饰垣墙 祭祀 馀事勿取 平治道涂","j":"诸事不宜"},"5-54":{"y":"嫁娶 祭祀 入殓 移柩 成服 除服 纳婿","j":"入宅 动土 安床 作灶 开光"},"5-55":{"y":"修饰垣墙 祭祀 作灶 馀事勿取 结网 平治道涂 畋猎","j":"嫁娶 安床 治病"},"5-56":{"y":"嫁娶 出行 开光","j":"会亲友 移徙 开市 动土 纳畜 安葬 修造 起基 入殓 修坟 移柩 成服 除服 进人口 立碑 破土"},"5-57":{"y":"嫁娶 整手足甲 理发 修饰垣墙 沐浴 祭祀 作灶 冠笄 平治道涂","j":"出行 栽种 破土"},"5-58":{"y":"嫁娶 祭祀 取渔 冠笄 捕捉 结网 畋猎","j":"馀事勿取"},"5-59":{"y":"修饰垣墙 沐浴 祭祀 作灶 平治道涂","j":"嫁娶 置产 词讼 祈福 栽种 安葬 安门 治病 伐木 作梁"},"5-6":{"y":"修饰垣墙 入殓 移柩 冠笄 成服 除服 平治道涂","j":"盖屋 治病 作灶 探病"},"5-7":{"y":"祭祀 作灶 馀事勿取 平治道涂","j":"入宅 栽种 安床 安碓磑"},"5-8":{"y":"扫舍 沐浴 安葬 入殓 移柩 馀事勿取 平治道涂 破土 启鑽","j":"诸事不宜"},"5-9":{"y":"整手足甲 理发 修饰垣墙 沐浴 祭祀 馀事勿取 平治道涂","j":"出行 入宅 开市 词讼 修造"},"6-0":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 动土 祈福 安床 安葬 祭祀 修造 拆卸 入殓 安香 成服 出火 除服 进人口 开光 破土 求嗣 谢土","j":"开市 开仓 作灶 造船 斋醮"},"6-1":{"y":"嫁娶 会亲友 出行 纳采 立券 交易 开市 赴任 裁衣 动土 经络 安葬 祭祀 修造 入殓 移柩 安香 成服 除服 进人口 开光 上梁 塑绘 斋醮","j":"入宅 伐木"},"6-10":{"y":"嫁娶 出行 移徙 纳采 立券 入宅 动土 祈福 安葬 祭祀 破土","j":"开仓 盖屋 架马 作灶 开光"},"6-11":{"y":"移徙 立券 交易 入宅 开市 动土 祈福 安床 修造 拆卸 出火 进人口 开光 求嗣","j":"嫁娶 置产 栽种 安葬 修坟 行丧 破土"},"6-12":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 动土 祈福 安机械 盖屋 安葬 安门 祭祀 修造 起基 开光 破土 普渡 上梁 竖柱 斋醮 定磉","j":"立券 置产 开市 作灶 造桥"},"6-13":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 沐浴 纳畜 安葬 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 启鑽 求嗣","j":""},"6-14":{"y":"馀事勿取 捕捉 畋猎","j":"交易 入宅 开市 安葬 祭祀"},"6-15":{"y":"嫁娶 出行 解除 移徙 入宅 动土 祈福 栽种 安床 纳畜 安葬 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 立碑 求嗣","j":""},"6-16":{"y":"嫁娶 出行 移徙 入学 入宅 动土 祈福 盖屋 安葬 安门 祭祀 修造 造畜稠 起基 冠笄 安香 成服 出火 除服 雕刻 掘井 开光 破土 求嗣 上梁 竖柱","j":"纳采 开市 订盟 经络 作灶 造船 造庙"},"6-17":{"y":"嫁娶 会亲友 动土 祈福 纳畜 开厕 祭祀 牧养 造仓 起基 进人口 求嗣","j":"出行 入宅 开市 栽种 安葬 安门 作灶 掘井"},"6-18":{"y":"嫁娶 移徙 纳采 入宅 开市 动土 祈福 安机械 安葬 修造 入殓 移柩 成服 除服 伐木 破土 求嗣 谢土 造庙 斋醮","j":"置产 盖屋 安门 作灶 探病 合嵴 开光"},"6-19":{"y":"会亲友 出行 移徙 入学 立券 入宅 裁衣 订盟 经络 安机械 安葬 安门 祭祀 拆卸 放水 起基 入殓 移柩 成服 除服 开光 立碑 启鑽 上梁 竖柱 塑绘 定磉 合帐","j":"伐木 作梁"},"6-2":{"y":"安葬 入殓 馀事勿取 成服 除服 破土 启鑽","j":"置产 入宅 开市 祭祀 补垣 塞穴"},"6-20":{"y":"交易 开市 祈福 安机械 纳畜 造车器 盖屋 安葬 安门 祭祀 开生坟 起基 雕刻 合嵴 开光 立碑 求嗣 谢土 斋醮 定磉","j":"入宅 出货财 动土 开仓"},"6-21":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 开市 动土 祈福 安床 安葬 安门 挂匾 祭祀 拆卸 出火 进人口 开光 破土 求嗣 上梁 谢土","j":""},"6-22":{"y":"会亲友 出行 解除 移徙 纳采 入宅 订盟 动土 祈福 安床 安机械 盖屋 安葬 祭祀 修造 拆卸 起基 入殓 安香 出火 立碑 破土 斋醮 定磉","j":"开市 作灶 伐木 作梁"},"6-23":{"y":"入宅 动土 祈福 安床 纳畜 挂匾 祭祀 修造 拆卸 出火 伐木 开光 求嗣 上梁","j":"嫁娶 理发 栽种 作灶 修坟 行丧"},"6-24":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 盖屋 安葬 安门 祭祀 修造 起基 安香 出火 开光 破土 普渡 启鑽 上梁 竖柱 造庙 造桥","j":"立券 纳财 开市 作灶"},"6-25":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 纳畜 安葬 挂匾 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 求嗣","j":""},"6-26":{"y":"安葬 入殓 移柩 捕捉 成服 除服 结网 立碑 破土 启鑽","j":"嫁娶 移徙 入宅 盖屋 祭祀"},"6-27":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 祈福 安床 安葬 挂匾 祭祀 拆卸 出火 伐木 开光 求嗣","j":"置产 栽种 掘井"},"6-28":{"y":"纳采 入宅 赴任 裁衣 订盟 安床 安葬 修造 拆卸 冠笄 出火 开光 塑绘 谢土","j":"作灶 伐木 掘井 斋醮"},"6-29":{"y":"嫁娶 移徙 入宅 动土 安床 纳畜 祭祀 修造 拆卸 出火 伐木 开光 上梁","j":"出行 置产 开市 出货财 词讼 栽种 安葬 治病 行丧"},"6-3":{"y":"会亲友 移徙 纳采 入宅 赴任 裁衣 订盟 动土 祈福 安床 安葬 祭祀 修造 拆卸 起基 入殓 移柩 安香 进人口 谢土","j":"治病 作灶"},"6-30":{"y":"会亲友 出行 纳采 纳财 裁衣 订盟 动土 安床 沐浴 纳畜 安门 挂匾 修造 拆卸 放水 安香 酬神 出火 伐木 进人口 开光 上梁 塑绘 造庙 斋醮 合帐","j":"栽种 盖屋 安葬 作灶"},"6-31":{"y":"嫁娶 出行 扫舍 移徙 入宅 纳财 祈福 安床 安门 挂匾 祭祀 修造 拆卸 出火 进人口 开光 求嗣","j":"动土 安葬 行丧 伐木"},"6-32":{"y":"开市 动土 安葬 祭祀 入殓 破土 斋醮","j":"嫁娶 移徙 入宅"},"6-33":{"y":"出行 立券 交易 开市 动土 祈福 安床 安机械 盖屋 安葬 挂匾 祭祀 修造 起基 成服 除服 立碑 破土 启鑽 斋醮 定磉","j":"嫁娶 移徙 理发 入宅 作灶"},"6-34":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 订盟 动土 祈福 安葬 祭祀 破土","j":"作灶"},"6-35":{"y":"会亲友 出行 解除 理发 入学 纳采 立券 交易 纳财 开市 订盟 动土 祈福 栽种 纳畜 祭祀 牧养 造仓 起基 开光 求嗣","j":"嫁娶 置产 入宅 安葬 作灶 出火"},"6-36":{"y":"嫁娶 移徙 入宅 动土 祈福 祭祀 斋醮","j":"开市 安葬"},"6-37":{"y":"会亲友 纳财 动土 祈福 栽种 开厕 牧养 修造 造仓 开光 求嗣 斋醮","j":"移徙 入宅 祭祀 作灶 出火 进人口 开渠"},"6-38":{"y":"安葬 入殓 移柩 成服 除服 破土 启鑽","j":"移徙 入宅"},"6-39":{"y":"嫁娶 出行 移徙 纳采 立券 交易 纳财 订盟 动土 祈福 安床 安葬 祭祀 修造 拆卸 安香 成服 出火 除服 进人口 开光 斋醮","j":"置产 词讼 栽种 掘井"},"6-4":{"y":"会亲友 出行 移徙 纳采 订盟 动土 祈福 安床 安机械 盖屋 安葬 安门 祭祀 修造 拆卸 起基 入殓 安香 出火 开光 破土 上梁 竖柱 造船 造桥 定磉","j":"置产 开市 掘井 造庙"},"6-40":{"y":"纳采 订盟 动土 栽种 安机械 纳畜 安葬 牧养 修造 拆卸 入殓 移柩 成服 出火 除服 破土 求嗣 塑绘 造桥 斋醮","j":"嫁娶 开市"},"6-41":{"y":"嫁娶 会亲友 移徙 纳采 置产 入宅 订盟 安床 安机械 盖屋 挂匾 祭祀 拆卸 起基 安香 出火 定磉","j":"出行 开市 安葬 行丧"},"6-42":{"y":"解除 沐浴","j":"诸事不宜"},"6-43":{"y":"嫁娶 移徙 纳采 立券 入宅 开市 订盟 祈福 安机械 造车器 安葬 祭祀 破土","j":"理发 纳畜 合寿木"},"6-44":{"y":"解除 扫舍 交易 纳财 动土 祈福 纳畜 祭祀 开光","j":"嫁娶 出行 置产 赴任 安床 安葬 作灶 进人口"},"6-45":{"y":"移徙 入宅 祈福 安机械 纳畜 盖屋 安葬 安门 祭祀 作灶 起基 安香 出火 开光 启鑽 求嗣 上梁 竖柱 塑绘 斋醮","j":"嫁娶 动土 破土"},"6-46":{"y":"嫁娶 出行 移徙 立券 交易 入宅 动土 祈福 栽种 安床 纳畜 安葬 挂匾 祭祀 修造 拆卸 入殓 出火 进人口 开光 破土 启鑽 求嗣","j":""},"6-47":{"y":"会亲友 移徙 纳采 立券 入宅 订盟 祈福 安床 安机械 挂匾 祭祀 牧养 拆卸 安香 出火 教牛马 开光 上梁 竖柱","j":"嫁娶 安葬 修坟 行丧 破土"},"6-48":{"y":"出行 解除 动土 栽种 安床 纳畜 安葬 祭祀 修造 拆卸 起基 入殓 成服 出火 除服 伐木 进人口 开光 破土 求嗣 作梁","j":"嫁娶 移徙"},"6-49":{"y":"嫁娶 出行 移徙 立券 入宅 开市 动土 祈福 安机械 造车器 安葬 祭祀 修造 安香 出火 开光 破土","j":"纳采 订盟 词讼 架马 开渠"},"6-5":{"y":"嫁娶 会亲友 移徙 纳采 入宅 动土 祈福 安床 纳畜 祭祀 修造 安香 进人口 开光 上梁 竖柱 塑绘 斋醮","j":"出行 开市 安葬 治病"},"6-50":{"y":"安葬 入殓 成服 除服 破土 启鑽","j":"馀事勿取"},"6-51":{"y":"会亲友 出行 移徙 纳采 立券 入宅 纳财 开市 订盟 动土 祈福 盖屋 安门 祭祀 修造 起基 安香 出火 教牛马 破土 上梁 竖柱","j":"嫁娶 置产 安葬 掘井 造船"},"6-52":{"y":"入宅 动土 安床 纳畜 安葬 挂匾 祭祀 拆卸 入殓 出火 开光 破土","j":"嫁娶 置产 开市 作灶 伐木 作梁"},"6-53":{"y":"祭祀 馀事勿取 安碓磑 结网","j":"嫁娶 安葬"},"6-54":{"y":"出行 移徙 纳采 立券 交易 入宅 开市 订盟 祈福 安床 造车器 安葬 安门 祭祀 出火 求嗣 谢土","j":"动土 栽种 盖屋 作灶 开光"},"6-55":{"y":"嫁娶 解除 移徙 纳采 入宅 裁衣 订盟 动土 祈福 栽种 安床 安葬 修造 拆卸 放水 修坟 移柩 冠笄 安香 开光 立碑 启鑽 求嗣 竖柱 塑绘 谢土 斋醮","j":"赴任"},"6-56":{"y":"解除 沐浴 安葬 祭祀 移柩 馀事勿取 破土 谢土","j":"嫁娶 入宅 开光 上梁 斋醮"},"6-57":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 动土 祈福 安葬 祭祀 破土","j":"安门"},"6-58":{"y":"嫁娶 出行 移徙 纳采 立券 交易 入宅 纳财 订盟 祈福 安床 安葬 挂匾 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 启鑽 求嗣","j":"动土 掘井 破土"},"6-59":{"y":"扫舍 沐浴 馀事勿取","j":"诸事不宜"},"6-6":{"y":"嫁娶 置产 修饰垣墙 祭祀 冠笄","j":"动土 经络 盖屋 作灶 探病"},"6-7":{"y":"嫁娶 会亲友 纳采 立券 交易 入宅 纳财 裁衣 祈福 安床 安葬 挂匾 祭祀 修造 造仓 放水 入殓 移柩 安碓磑 安香 求嗣 谢土 合帐","j":"栽种 伐木"},"6-8":{"y":"祈福 沐浴 纳畜 安葬 祭祀 入殓 破土 求嗣 斋醮","j":"嫁娶 出行 移徙 入宅 安床"},"6-9":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 安葬 安门 挂匾 祭祀 拆卸 出火 进人口 开光 破土 求嗣 上梁","j":""},"7-0":{"y":"解除 纳采 动土 祈福 安葬 祭祀 破土","j":"嫁娶 移徙 入宅"},"7-1":{"y":"安葬 祭祀 入殓 移柩 馀事勿取 捕捉 成服 除服 破土","j":"嫁娶 交易 入宅 开市"},"7-10":{"y":"出行 解除 裁衣 安葬 祭祀 入殓 移柩 成服 除服 开光 破土 启鑽 塑绘","j":"嫁娶 入宅 动土 架马 修造 拆卸 出火 伐木 开柱眼 上梁"},"7-11":{"y":"出行 移徙 纳采 入宅 订盟 动土 祈福 盖屋 安门 祭祀 修造 拆卸 起基 冠笄 安香 出火 开池 上梁 竖柱 斋醮 定磉","j":"嫁娶 开市 安葬 合寿木"},"7-12":{"y":"解除 整手足甲 沐浴 安葬 祭祀 入殓 移柩 破土 启鑽","j":"嫁娶 移徙 交易 入宅 开市 栽种 安门 作灶"},"7-13":{"y":"解除 安葬 祭祀 入殓 捕捉 结网 破土 普渡 畋猎","j":"嫁娶 交易 入宅 开市"},"7-14":{"y":"解除 动土 安葬 拆卸 起基 修坟 移柩 开光 立碑 破土 启鑽 上梁","j":"嫁娶 出行 移徙 置产 入宅 安床 祭祀 作灶 出火 进人口"},"7-15":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 祈福 安床 纳畜 安葬 祭祀 起基 安香 捕捉 出火 开光 纳婿 求嗣 上梁 竖柱 造庙 斋醮","j":"开市 合寿木 掘井 破土"},"7-16":{"y":"解除 安床 纳畜 安葬 修造 拆卸 入殓 开光 启鑽","j":"嫁娶 移徙 入宅 开市 动土 栽种 分居 作灶 安香 出火 掘井 破土"},"7-17":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 盖屋 安门 祭祀 修造 起基 安碓磑 安香 出火 合嵴 求嗣 上梁 斋醮","j":"出行 安葬 行丧 掘井 破土"},"7-18":{"y":"嫁娶 移徙 动土 祈福 安床 祭祀 修造 进人口 开光 求嗣","j":"出行 入宅 开市 栽种 安葬 安门 作灶 掘井"},"7-19":{"y":"嫁娶 会亲友 出行 入学 纳采 习艺 订盟 安葬 牧养 入殓 移柩 捕捉 进人口 启鑽","j":"入宅 开市 动土 盖屋 开光"},"7-2":{"y":"会亲友 沐浴 安葬 拆卸 起基 移柩 冠笄 捕捉 成服 除服 开光 启鑽 塑绘","j":"嫁娶 入宅 祭祀 作灶"},"7-20":{"y":"嫁娶 移徙 理发 入学 赴任 裁衣 动土 祈福 架马 安葬 祭祀 修造 拆卸 放水 起基 入殓 移柩 冠笄 出火 伐木 开光 求嗣 塑绘 谢土 斋醮 作梁 定磉 合帐","j":"入宅 安门"},"7-21":{"y":"解除 纳采 订盟 祈福 安葬 祭祀 求医 取渔 治病 起基 入殓 开光 启鑽 求嗣 谢土 造船 斋醮 定磉","j":"开市 动土 掘井 开池"},"7-22":{"y":"嫁娶 会亲友 解除 裁衣 动土 祈福 安床 架马 祭祀 修造 放水 起基 冠笄 伐木 进人口 开光 求嗣 上梁 竖柱 作梁 合帐","j":""},"7-23":{"y":"沐浴 祭祀 取渔 馀事勿取 捕捉 结网 畋猎","j":"嫁娶 交易 开市 安葬 行丧"},"7-24":{"y":"解除 理发 安葬 祭祀 入殓 破土","j":"嫁娶 移徙 置产 入宅 开市 安门 作灶 出火 斋醮"},"7-25":{"y":"纳畜 安葬 祭祀 牧养 入殓 移柩 捕捉 成服 除服 破土 启鑽 畋猎","j":"嫁娶 纳采 入宅 开市 订盟"},"7-26":{"y":"解除 馀事勿取 坏垣","j":"诸事不宜"},"7-27":{"y":"会亲友 立券 交易 纳财 开市 习艺 经络 祈福 栽种 安机械 开厕 安葬 祭祀 牧养 求医 治病 出火 结网 开池 破土 启鑽 求嗣 造庙 斋醮 畋猎","j":"嫁娶 伐木 掘井 开光 作梁"},"7-28":{"y":"解除 整手足甲 理发 祭祀 进人口 针灸","j":"嫁娶 出行 移徙 入宅 开市 动土 安葬 修造 作灶 掘井 开池 破土 上梁 造船"},"7-29":{"y":"嫁娶 移徙 纳采 入宅 裁衣 动土 安床 祭祀 修造 拆卸 放水 冠笄 安香 捕捉 伐木 结网 进人口 开光 上梁 竖柱 塑绘 畋猎","j":"出行 开市 安葬 修坟"},"7-3":{"y":"嫁娶 出行 动土 祈福 安床 纳畜 祭祀 修造 拆卸 入殓 开光 破土 求嗣 上梁","j":"移徙 理发 交易 入宅 开市 作灶 伐木 掘井"},"7-30":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 订盟 动土 祈福 安床 纳畜 安葬 祭祀 拆卸 出火 开光 破土 谢土","j":"交易 开市 盖屋 安门 作灶 伐木 上梁"},"7-31":{"y":"嫁娶 解除 移徙 纳采 入宅 裁衣 订盟 祈福 安床 安葬 安门 祭祀 取渔 入殓 移柩 冠笄 安香 捕捉 酬神 出火 伐木 启鑽 合帐","j":"开市 动土 栽种 作灶"},"7-32":{"y":"嫁娶 出行 解除 移徙 入宅 祈福 栽种 安葬 祭祀 出火 伐木 开光 破土 求嗣 谢土","j":"交易 纳财 开市 安床 盖屋 作灶 上梁 造船"},"7-33":{"y":"嫁娶 出行 移徙 纳采 祈福 祭祀 求医","j":"开市 动土 破土"},"7-34":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 订盟 动土 祈福 栽种 安床 安葬 挂匾 祭祀 修造 拆卸 入殓 移柩 出火 进人口 开光 破土 求嗣 谢土","j":"立券 开市 合寿木 造船"},"7-35":{"y":"出行 移徙 纳采 入宅 订盟 动土 祈福 祭祀 修造","j":"开市 安葬"},"7-36":{"y":"解除 整手足甲 祈福 安床 沐浴 安葬 祭祀 入殓 移柩 破土 启鑽 谢土","j":"嫁娶 出行 移徙 入宅 开市 安门 作灶 出火 伐木 斋醮"},"7-37":{"y":"安葬 入殓 捕捉 结网 破土","j":"嫁娶 入宅"},"7-38":{"y":"解除 动土 安葬 安门 牧养 修造 拆卸 修坟 移柩 开光 破土 竖柱","j":"嫁娶 移徙 入宅 开市 祈福 安床 祭祀 探病 出火"},"7-39":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 动土 祈福 安葬 祭祀 破土","j":"开市 赴任"},"7-4":{"y":"嫁娶 纳采 订盟 安床 安葬 祭祀 入殓 移柩 成服 除服 进人口 开光 立碑 启鑽 塑绘","j":"交易 开市 作灶 破土"},"7-40":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 订盟 栽种 安葬 祭祀 修造 拆卸 入殓 出火 伐木 开光","j":"交易 开市 动土 安门 作灶 破土"},"7-41":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 祭祀 修造","j":"开市 安葬"},"7-42":{"y":"整手足甲 理发 沐浴 安葬 入殓 修坟 捕捉 成服 除服 立碑 破土 启鑽 谢土 畋猎","j":"嫁娶 纳采 开市 订盟 盖屋 安门 上梁 斋醮"},"7-43":{"y":"嫁娶 出行 解除 移徙 入宅 动土 祈福 栽种 安床 纳畜 安葬 祭祀 拆卸 出火 破土 启鑽 上梁","j":"理发 立券 开市 作灶"},"7-44":{"y":"出行 移徙 入宅 动土 祈福 安葬 修造 破土 斋醮","j":"嫁娶 纳采 开市 安床 开光"},"7-45":{"y":"解除 入宅 祈福 安床 纳畜 安葬 安门 祭祀 修造 拆卸 出火 开光 启鑽 求嗣","j":"交易 纳财 开市 动土 挂匾 伐木 掘井 破土"},"7-46":{"y":"嫁娶 会亲友 解除 纳采 订盟 动土 祈福 纳畜 安葬 祭祀 牧养 求医 治病 入殓 捕捉 开光 破土 斋醮","j":"移徙 入宅 盖屋 架马"},"7-47":{"y":"出行 移徙 入宅 动土 祈福 安床 祭祀 修造 拆卸 起基 出火 伐木 开光 求嗣","j":"嫁娶 交易 开市 安葬 修坟 行丧"},"7-48":{"y":"理发 沐浴 安葬 入殓 移柩 捕捉 启鑽","j":"嫁娶 入宅 动土 作灶 出火 破土 上梁"},"7-49":{"y":"安葬 祭祀 入殓 移柩 馀事勿取 破土 塞穴","j":"诸事不宜"},"7-5":{"y":"嫁娶 会亲友 祈福 安床 祭祀 冠笄 捕捉 伐木 进人口 掘井 开柱眼 求嗣 斋醮 作梁 畋猎","j":"安葬 开生坟 行丧 破土"},"7-50":{"y":"沐浴 安葬 入殓 捕捉 成服 除服 破土 启鑽","j":"嫁娶 入宅 开市 安床 祭祀 探病 上梁"},"7-51":{"y":"安葬 祭祀 开生坟 入殓 移柩 成服 除服 破土 启鑽","j":"馀事勿取"},"7-52":{"y":"嫁娶 解除 移徙 纳采 订盟 祈福 安床 安葬 祭祀 求医 治病 入殓 移柩 捕捉 成服 除服 伐木 结网 开光 立碑 塑绘 谢土 作梁 畋猎","j":"开市 动土 破土 造庙"},"7-53":{"y":"解除 祭祀 馀事勿取","j":"诸事不宜"},"7-54":{"y":"嫁娶 出行 移徙 理发 入宅 裁衣 沐浴 安葬 祭祀 放水 入殓 移柩 捕捉 成服 除服 启鑽 畋猎","j":"开市 动土 盖屋 破土"},"7-55":{"y":"嫁娶 动土 安葬 入殓 移柩 破土","j":"入宅 开市 裁衣 安床 作灶 上梁"},"7-56":{"y":"解除 扫舍 理发 沐浴 安葬 祭祀 取渔 入殓 修坟 移柩 捕捉 成服 除服 结网 立碑 启鑽 谢土 畋猎","j":"嫁娶 入宅 安床 作灶"},"7-57":{"y":"解除 扫舍 整手足甲 安葬 祭祀 取渔 入殓 移柩 捕捉 成服 除服 启鑽 谢土 斋醮 畋猎","j":"动土 破土"},"7-58":{"y":"嫁娶 移徙 纳采 入宅 动土 安葬 求医 修造 治病 破土","j":"开市 开光"},"7-59":{"y":"沐浴 祭祀 取渔 馀事勿取 捕捉 结网 畋猎","j":"嫁娶 开市 安葬 行丧 启鑽"},"7-6":{"y":"嫁娶 会亲友 出行 纳采 赴任 裁衣 订盟 动土 祈福 栽种 安床 沐浴 安葬 安门 祭祀 修造 拆卸 入殓 移柩 捕捉 伐木 破土 上梁 竖柱 谢土 斋醮","j":"入宅 开市 盖屋 作灶"},"7-7":{"y":"嫁娶 出行 移徙 纳采 动土 祈福 安葬 祭祀 修造 破土","j":"入宅 开市 斋醮"},"7-8":{"y":"扫舍 纳采 裁衣 订盟 动土 祈福 沐浴 安葬 祭祀 修造 拆卸 起基 移柩 出火 伐木 开柱眼 上梁 谢土 斋醮 合帐","j":"立券 开市 安床 作灶"},"7-9":{"y":"出行 纳采 祈福 盖屋 安葬 安门 祭祀 起基 入殓 求嗣 斋醮 定磉","j":"嫁娶 纳财 开市 出火"},"8-0":{"y":"破屋 祭祀 馀事勿取 坏垣","j":"移徙 入宅 出货财 开仓"},"8-1":{"y":"破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-10":{"y":"解除 沐浴 破屋 祭祀 求医 治病 馀事勿取 坏垣","j":"开市 祈福 安葬 斋醮"},"8-11":{"y":"解除 破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-12":{"y":"沐浴 破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 移徙 入宅"},"8-13":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-14":{"y":"沐浴 破屋 馀事勿取 坏垣","j":"开市 斋醮"},"8-15":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-16":{"y":"解除 沐浴 破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 开市"},"8-17":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-18":{"y":"沐浴 破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 出行 移徙 入宅 盖屋 探病"},"8-19":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-2":{"y":"破屋 治病 馀事勿取 坏垣","j":"嫁娶 纳采 入宅 订盟 祈福 安葬"},"8-20":{"y":"解除 扫舍 沐浴 破屋 祭祀 求医 治病 馀事勿取 坏垣","j":"入宅 开市 安葬"},"8-21":{"y":"破屋 祭祀 治病 馀事勿取 坏垣","j":"诸事不宜"},"8-22":{"y":"解除 沐浴 破屋 祭祀 求医 治病 馀事勿取 坏垣","j":"嫁娶 交易 入宅 开市 安葬"},"8-23":{"y":"解除 沐浴 破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-24":{"y":"破屋 求医 治病 馀事勿取 坏垣 畋猎","j":"嫁娶 入宅"},"8-25":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-26":{"y":"破屋 治病 馀事勿取 坏垣","j":"安葬 行丧"},"8-27":{"y":"破屋 祭祀 治病 馀事勿取 坏垣","j":"诸事不宜"},"8-28":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-29":{"y":"破屋 求医 治病 馀事勿取 坏垣","j":"嫁娶 安葬"},"8-3":{"y":"沐浴 破屋 祭祀 馀事勿取 坏垣","j":"出行 移徙 入宅 栽种"},"8-30":{"y":"破屋 祭祀 求医 馀事勿取 坏垣","j":"诸事不宜"},"8-31":{"y":"解除 破屋 祭祀 馀事勿取 坏垣","j":"开市 动土 破土"},"8-32":{"y":"破屋 求医","j":"诸事不宜"},"8-33":{"y":"破屋 求医 治病 馀事勿取 坏垣","j":"嫁娶 开光"},"8-34":{"y":"解除 祭祀 求医 治病 馀事勿取","j":"诸事不宜"},"8-35":{"y":"解除 沐浴 破屋 祭祀 馀事勿取 坏垣","j":"安葬 开光"},"8-36":{"y":"","j":"诸事不宜"},"8-37":{"y":"解除 破屋 馀事勿取 坏垣","j":"嫁娶 安葬"},"8-38":{"y":"沐浴 破屋 治病 馀事勿取 坏垣","j":"诸事不宜"},"8-39":{"y":"破屋 求医 治病 馀事勿取 坏垣","j":"移徙 入宅"},"8-4":{"y":"沐浴 破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 出行 入宅 安葬 上梁"},"8-40":{"y":"解除 破屋 祭祀 坏垣","j":"馀事勿取"},"8-41":{"y":"解除 破屋 祭祀 求医 治病 馀事勿取 坏垣","j":"嫁娶 安葬"},"8-42":{"y":"破屋 治病 馀事勿取 坏垣","j":"诸事不宜"},"8-43":{"y":"破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 开市 斋醮"},"8-44":{"y":"解除 扫舍 破屋 祭祀 治病 坏垣","j":"馀事勿取"},"8-45":{"y":"破屋 馀事勿取 坏垣","j":"嫁娶 移徙 入宅 开市"},"8-46":{"y":"解除 破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-47":{"y":"解除 沐浴 破屋 祭祀 馀事勿取 坏垣","j":"安葬 行丧"},"8-48":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-49":{"y":"破屋 求医 治病 馀事勿取 坏垣","j":"嫁娶 出行"},"8-5":{"y":"解除 破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-50":{"y":"破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-51":{"y":"","j":"探病 馀事勿取"},"8-52":{"y":"解除 破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-53":{"y":"破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 安葬"},"8-54":{"y":"沐浴 破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-55":{"y":"破屋 馀事勿取 坏垣","j":"嫁娶 开市 安葬"},"8-56":{"y":"破屋 求医 治病 馀事勿取 坏垣","j":"嫁娶 开市"},"8-57":{"y":"破屋 坏垣","j":"诸事不宜"},"8-58":{"y":"解除 沐浴 破屋 祭祀 求医 治病 馀事勿取 坏垣","j":"嫁娶 开市"},"8-59":{"y":"破屋 祭祀 馀事勿取 坏垣","j":"诸事不宜"},"8-6":{"y":"破屋 治病 馀事勿取 坏垣","j":"移徙 入宅"},"8-7":{"y":"解除 破屋 馀事勿取 坏垣","j":"诸事不宜"},"8-8":{"y":"解除 扫舍 理发 沐浴 破屋 祭祀 馀事勿取 坏垣","j":"嫁娶 安葬"},"8-9":{"y":"破屋 求医 治病 坏垣","j":"诸事不宜"},"9-0":{"y":"嫁娶 出行 移徙 纳采 入宅 动土 安葬 祭祀 破土 上梁","j":"祈福 斋醮"},"9-1":{"y":"出行 动土 安床 开厕 祭祀 修造 造畜稠 放水 结网 掘井 开池 开光 破土 塑绘 斋醮","j":"入宅 出火"},"9-10":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 赴任 订盟 动土 祈福 安床 安机械 安葬 祭祀 造仓 拆卸 入殓 移柩 安香 进人口 立碑 破土 求嗣 上梁 谢土","j":"出货财 开光"},"9-11":{"y":"沐浴 取渔 捕捉 结网 畋猎","j":"嫁娶 入宅 安葬 祭祀 作灶"},"9-12":{"y":"嫁娶 会亲友 出行 解除 移徙 入宅 动土 祈福 栽种 安床 纳畜 安门 祭祀 牧养 修造 拆卸 出火 进人口 开光 求嗣 上梁 竖柱","j":""},"9-13":{"y":"嫁娶 出行 交易 裁衣 祈福 安机械 祭祀 放水 掘井 开池 开光 求嗣 塑绘 斋醮 合帐","j":"理发 安葬 作灶 行丧 造桥"},"9-14":{"y":"嫁娶 出行 移徙 理发 立券 交易 入宅 开市 动土 栽种 安床 挂匾 修造 拆卸 出火 开光 作梁","j":"纳畜 祭祀 伐木"},"9-15":{"y":"纳采 立券 入宅 开市 订盟 祈福 安葬 挂匾 祭祀 安香 出火 启鑽 造桥","j":"嫁娶 动土 安床 掘井 破土"},"9-16":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 祈福 栽种 安床 挂匾 修造 拆卸 入殓 成服 出火 除服 伐木 进人口 开光 破土 求嗣 上梁","j":""},"9-17":{"y":"会亲友 纳采 立券 交易 纳财 订盟 栽种 纳畜 牧养","j":"嫁娶 入宅 开市 祈福 安葬"},"9-18":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 纳财 开市 动土 栽种 安床 纳畜 挂匾 祭祀 修造 拆卸 出火 开光","j":"安葬 探病"},"9-19":{"y":"理发 立券 交易 纳财 安床 放水 冠笄 出火 结网 掘井 开池 畋猎","j":"动土 安葬 安门 行丧 成服 破土"},"9-2":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 动土 安葬 破土 上梁","j":"祈福 祭祀"},"9-20":{"y":"嫁娶 出行 移徙 立券 交易 入宅 开市 动土 安葬 修造 拆卸 移柩 成服 出火 除服 开光 破土 启鑽","j":"祈福 安床 纳畜 伐木"},"9-21":{"y":"嫁娶 入宅 开市 动土 盖屋 安葬 祭祀 修造 拆卸 起基 入殓 移柩 冠笄 成服 除服 开池 破土 塞穴 上梁","j":"栽种 安床 治病 作灶"},"9-22":{"y":"嫁娶 出行 移徙 立券 交易 开市 动土 安床 祭祀 修造 入殓 移柩 冠笄 进人口 破土","j":"安葬 作灶 开光 斋醮"},"9-23":{"y":"","j":"诸事不宜"},"9-24":{"y":"嫁娶 移徙 纳采 入宅 订盟 动土 祈福 栽种 安床 造车器 安葬 挂匾 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 破土 求嗣","j":"立券 开市"},"9-25":{"y":"嫁娶 出行 经络 安床 安机械 祭祀 治病 入殓 结网 开光 破土 塞穴 塑绘","j":"开市 安门 作灶 掘井"},"9-26":{"y":"嫁娶 出行 入学 纳采 立券 交易 纳财 开市 出货财 订盟 动土 栽种 开仓 纳畜 安葬 牧养 开光 立碑 破土 启鑽","j":"移徙 入宅 祭祀 作灶 谢土"},"9-27":{"y":"嫁娶 出行 立券 交易 入宅 纳财 开市 祈福 安葬 入殓 移柩 冠笄 成服 除服 雕刻 开柱眼 启鑽 造桥 斋醮","j":"订盟 动土 安床 开池 破土"},"9-28":{"y":"嫁娶 出行 移徙 理发 纳采 入宅 订盟 动土 栽种 安床 纳畜 安葬 挂匾 祭祀 修造 拆卸 入殓 成服 出火 除服 进人口 开光 破土 作梁","j":"开市 掘井 开渠 造船 造桥"},"9-29":{"y":"嫁娶 会亲友 纳采 纳财 订盟 动土 安床 修造 拆卸 起基 纳婿 上梁 竖柱","j":"出行 祈福 安葬 作灶"},"9-3":{"y":"嫁娶 出行 解除 移徙 立券 交易 入宅 开市 祈福 栽种 安床 安葬 祭祀 安香 出火 伐木 开光 求嗣","j":"理发 动土 作灶 掘井 开池 破土"},"9-30":{"y":"嫁娶 会亲友 出行 解除 移徙 入学 纳采 入宅 纳财 开市 订盟 动土 祈福 安床 安门 祭祀 牧养 修造 造畜稠 起基 雕刻 开池 造庙","j":"出货财 开仓 盖屋 上梁 造船"},"9-31":{"y":"出行 移徙 入宅 祈福 安床 安机械 祭祀 移柩 冠笄 安香 成服 除服 启鑽 斋醮","j":"栽种 安门 治病 作灶 开光"},"9-32":{"y":"嫁娶 移徙 纳采 立券 交易 入宅 纳财 开市 裁衣 订盟 动土 栽种 盖屋 安葬 安门 牧养 修造 起基 入殓 安香 成服 出火 除服 掘井 开池 开光 立碑 破土 畋猎","j":"祈福 安床 祭祀 谢土 造庙"},"9-33":{"y":"嫁娶 出行 解除 纳采 入宅 纳财 订盟 动土 祈福 沐浴 安葬 安门 修造 放水 移柩 安香 开光 破土 求嗣 上梁 竖柱 塑绘 谢土 斋醮","j":"安床 作灶"},"9-34":{"y":"纳采 立券 交易 动土 安床 安机械 安葬 移柩 立碑 破土","j":"嫁娶 作灶 开光"},"9-35":{"y":"沐浴 取渔 结网","j":"嫁娶 入宅 安葬"},"9-36":{"y":"嫁娶 出行 解除 移徙 纳采 入宅 订盟 动土 祈福 栽种 安床 纳畜 安葬 祭祀 拆卸 修坟 出火 开光 破土 求嗣 谢土","j":"开市 经络 作灶"},"9-37":{"y":"嫁娶 纳采 订盟 祈福 安葬 祭祀 入殓 破土","j":"开市 开光"},"9-38":{"y":"嫁娶 会亲友 移徙 立券 入宅 开市 出货财 经络 栽种 安床 开仓 安机械 纳畜 安葬 安门 挂匾 牧养 拆卸 入殓 移柩 开池 立碑 破土 启鑽","j":"祈福 祭祀 探病 谢土 造桥"},"9-39":{"y":"嫁娶 出行 移徙 纳采 入宅 开市 订盟 祈福 安葬 祭祀 启鑽","j":"动土 破土"},"9-4":{"y":"嫁娶 出行 解除 交易 入宅 开市 订盟 安床 挂匾 祭祀 拆卸 起基 入殓 移柩 成服 除服 开光 开柱眼 破土 塑绘 谢土","j":"盖屋 冠笄 掘井 造桥"},"9-40":{"y":"嫁娶 出行 移徙 纳采 入宅 订盟 动土 祈福 安床 祭祀 修造 拆卸 放水 移柩 成服 出火 除服 合嵴 进人口 掘井 开光 破土 求嗣 上梁 谢土","j":"开市 开仓 安葬 安门"},"9-41":{"y":"会亲友 纳采 纳财 订盟 安机械 牧养","j":"祈福 安葬"},"9-42":{"y":"扫舍 安葬 入殓 移柩 馀事勿取 成服 除服 立碑 破土 启鑽","j":"嫁娶 入宅 动土 祭祀 修造"},"9-43":{"y":"入学 交易 订盟 动土 祈福 祭祀 修造 放水 起基 冠笄 伐木 开池 开光 求嗣 斋醮","j":"理发 栽种 安门 作灶 造庙 造桥"},"9-44":{"y":"立券 交易 纳财 开市 出货财 栽种 开仓 沐浴 纳畜 安葬 牧养 入殓 破土 畋猎","j":"嫁娶 入宅 祈福 安床 造船"},"9-45":{"y":"出行 移徙 入宅 动土 祈福 安葬 挂匾 祭祀 修造 拆卸 入殓 出火 开池 开光 破土 启鑽 求嗣 上梁","j":"嫁娶 安床 作灶"},"9-46":{"y":"嫁娶 会亲友 出行 动土 祭祀 修造 入殓 冠笄 破土","j":"成服 除服 开光 塑绘 造桥"},"9-47":{"y":"扫舍 馀事勿取 塞穴","j":"诸事不宜"},"9-48":{"y":"扫舍 沐浴 馀事勿取","j":"嫁娶 开市 作灶 斋醮"},"9-49":{"y":"立券 交易 纳财 开市 动土 经络 安床 开厕 祭祀 修造 放水 结网 开池 破土","j":"嫁娶 移徙 词讼 栽种 安门 作灶 造桥"},"9-5":{"y":"会亲友 纳财 经络 安床 安门 祭祀 牧养 放水 冠笄 割蜜 进人口 求嗣 畋猎","j":"嫁娶 纳采 入宅 订盟 祈福 安葬 斋醮"},"9-50":{"y":"嫁娶 会亲友 出行 移徙 纳采 立券 交易 入宅 纳财 开市 订盟 安床 盖屋 安葬 挂匾 作灶 拆卸 起基 入殓 移柩 安香 出火 立碑 破土 启鑽","j":"祈福 开仓 牧养 掘井 上梁"},"9-51":{"y":"安葬 祭祀 入殓 移柩 馀事勿取 成服 除服 结网 启鑽","j":"诸事不宜"},"9-52":{"y":"移徙 纳采 立券 入宅 订盟 动土 祈福 安门 祭祀 修造 起基 安香 出火 开池 破土 上梁 竖柱 定磉","j":"嫁娶 安葬 作灶 造船 造庙 造桥"},"9-53":{"y":"嫁娶 会亲友 纳采 纳财 纳畜 牧养 结网 进人口 求嗣","j":"出行 理发 安葬 安门 作灶 伐木 上梁"},"9-54":{"y":"嫁娶 移徙 纳采 裁衣 订盟 安床 架马 开厕 安葬 祭祀 作灶 入殓 移柩 冠笄 成服 除服 伐木 结网 开池 开柱眼 启鑽 作梁 定磉 畋猎","j":"动土 盖屋 破土 造船"},"9-55":{"y":"动土 祈福 安床 架马 开厕 祭祀 入殓 冠笄 成服 除服 伐木 结网 开池 求嗣","j":"栽种 安门 治病 作灶"},"9-56":{"y":"会亲友 扫舍 入学 纳采 裁衣 订盟 栽种 纳畜 安葬 挂匾 祭祀 造仓 拆卸 入殓 修坟 出火 结网 掘井 开池 立碑 破土 求嗣 塑绘","j":"嫁娶 祈福 安床 谢土 造庙"},"9-57":{"y":"沐浴 安葬 祭祀 合寿木 开生坟 入殓 移柩 成服 除服 破土 斋醮","j":"嫁娶 会亲友 入宅 开市 安床 作灶 上梁"},"9-58":{"y":"出行 纳采 裁衣 订盟 动土 安床 安葬 祭祀 取渔 作灶 入殓 移柩 冠笄 结网 进人口 破土 合帐 畋猎","j":"造庙 作梁"},"9-59":{"y":"扫舍 沐浴 取渔 馀事勿取 结网 塞穴 畋猎","j":"祈福 安葬"},"9-6":{"y":"出行 解除 移徙 纳采 赴任 裁衣 订盟 动土 祈福 栽种 安床 纳畜 安葬 祭祀 修造 拆卸 入殓 移柩 冠笄 成服 除服 伐木 开光 破土 启鑽 上梁 竖柱 塑绘 斋醮","j":"盖屋 治病"},"9-7":{"y":"出行 理发 安床 架马 开厕 祭祀 入殓 修坟 移柩 成服 除服 伐木 开光 开柱眼 立碑 破土 启鑽 塑绘 作梁 畋猎","j":"开市 安葬 安门 作灶 造桥"},"9-8":{"y":"嫁娶 出行 纳采 订盟 安葬 入殓 移柩 成服 除服 开光 立碑 纳婿 启鑽 塑绘","j":"入宅 安床"},"9-9":{"y":"出行 移徙 纳采 入宅 开市 订盟 动土 祈福 安葬 祭祀 修造 安香 出火 破土","j":"会亲友 安床 作灶 造船"}};
var jxData={"1-甲子":{"JSYQ":"天恩 母仓 时阳 生气 益后 青龙","XSYJ":"灾煞 天火 四忌 八龙 复日"},"1-乙丑":{"JSYQ":"天恩 续世 明堂","XSYJ":"月煞 月虚 血支 天贼 五虚 土符 归忌 血忌"},"1-丙寅":{"JSYQ":"月德 天恩 月恩 四相 王日 天仓 不将 要安 五合 鸣吠对","XSYJ":"月建 小时 土府 往亡 天刑"},"1-丁卯":{"JSYQ":"天德 天恩 四相 官日 吉期 不将 玉宇 五合 鸣吠对","XSYJ":"大时 大败 咸池 朱雀"},"1-戊辰":{"JSYQ":"天恩 守日 天巫 福德 六仪 金堂 金匮","XSYJ":"厌对 招摇 九空 九坎 九焦"},"1-己巳":{"JSYQ":"相日 宝光","XSYJ":"天罡 死神 月刑 月害 游祸 五虚 重日"},"1-庚午":{"JSYQ":"时德 民日 三合 临日 天马 时阴 鸣吠","XSYJ":"死气 地囊 白虎"},"1-辛未":{"JSYQ":"月德合 敬安 玉堂 普护 解神","XSYJ":"小耗"},"1-壬申":{"JSYQ":"天德合 月空 驿马 天后 普护 解神 除神 鸣吠","XSYJ":"月破 大耗 五离 天牢"},"1-癸酉":{"JSYQ":"阴德 福生 除神 鸣吠","XSYJ":"天吏 致死 五虚 五离 元武"},"1-甲戌":{"JSYQ":"阳德 三合 天喜 天医 司命","XSYJ":"月厌 地火 四击 大煞 复日 大会"},"1-乙亥":{"JSYQ":"母仓 天愿 六合 五富 圣心","XSYJ":"河魁 劫煞 四穷 八龙 重日 勾陈"},"1-丙子":{"JSYQ":"月德 母仓 月恩 四相 时阳 生气 不将 益后 青龙 鸣吠对","XSYJ":"灾煞 天火 触水龙"},"1-丁丑":{"JSYQ":"天德 四相 不将 续世 明堂","XSYJ":"月煞 月虚 血支 天贼 五虚 八风 土符 归忌 血忌"},"1-戊寅":{"JSYQ":"天赦 王日 天仓 要安 五合","XSYJ":"月建 小时 土府 往亡 天刑"},"1-己卯":{"JSYQ":"天恩 官日 吉期 不将 玉宇 五合","XSYJ":"大时 大败 咸池 朱雀"},"1-庚辰":{"JSYQ":"天恩 守日 天巫 福德 六仪 金堂 金匮","XSYJ":"厌对 招摇 九空 九坎 九焦"},"1-辛巳":{"JSYQ":"月德合 天恩 相日 宝光","XSYJ":"天罡 死神 月刑 月害 游祸 五虚 重日"},"1-壬午":{"JSYQ":"天德合 月空 天恩 时德 民日 三合 临日 天马 时阴 鸣吠","XSYJ":"死气 白虎"},"1-癸未":{"JSYQ":"天恩 敬安 玉堂","XSYJ":"小耗 触水龙"},"1-甲申":{"JSYQ":"驿马 天后 普护 解神 除神 鸣吠","XSYJ":"月破 大耗 复日 五离 天牢"},"1-乙酉":{"JSYQ":"天恩 阴德 福生 除神 鸣吠","XSYJ":"天吏 致死 五虚 五离 元武"},"1-丙戌":{"JSYQ":"月德 天恩 四相 阳德 三合 天喜 天医 司命","XSYJ":"月厌 地火 四击 大煞"},"1-丁亥":{"JSYQ":"天德 母仓 四相 六合 五富 不将 圣心","XSYJ":"河魁 劫煞 重日 勾陈"},"1-戊子":{"JSYQ":"母仓 时阳 生气 益后 青龙","XSYJ":"灾煞 天火"},"1-己丑":{"JSYQ":"不将 续世 明堂","XSYJ":"月煞 月虚 血支 天贼 五虚 土符 归忌 血忌"},"1-庚寅":{"JSYQ":"王日 天仓 不将 要安 五合 鸣吠对","XSYJ":"月建 小时 土府 往亡 天刑"},"1-辛卯":{"JSYQ":"月德合 官日 吉期 不将 玉宇 五合 鸣吠对","XSYJ":"大时 大败 咸池"},"1-壬辰":{"JSYQ":"天德合 月空 守日 天巫 福德 六仪 金堂 金匮","XSYJ":"厌对 招摇 九空 九坎 九焦"},"1-癸巳":{"JSYQ":"相日 宝光","XSYJ":"天罡 死神 月刑 月害 游祸 五虚 重日"},"1-甲午":{"JSYQ":"时德 民日 三合 临日 天马 时阴 鸣吠","XSYJ":"死气 复日 白虎"},"1-乙未":{"JSYQ":"敬安 玉堂","XSYJ":"小耗 五墓"},"1-丙申":{"JSYQ":"月德 月恩 四相 驿马 天后 普护 解神 除神 鸣吠","XSYJ":"月破 大耗 五离"},"1-丁酉":{"JSYQ":"天德 四相 阴德 福生 除神 鸣吠","XSYJ":"天吏 致死 五虚 五离 元武"},"1-戊戌":{"JSYQ":"阳德 三合 天喜 天医 司命","XSYJ":"月厌 地火 四击 大煞"},"1-己亥":{"JSYQ":"母仓 六合 五富 不将 圣心","XSYJ":"河魁 劫煞 重日 勾陈"},"1-庚子":{"JSYQ":"母仓 时阳 生气 不将 益后 青龙 鸣吠对","XSYJ":"灾煞 天火 地囊"},"1-辛丑":{"JSYQ":"月德合 不将 续世 明堂","XSYJ":"月煞 月虚 血支 天贼 五虚 土符 归忌 血忌"},"1-壬寅":{"JSYQ":"天德合 月空 王日 天仓 要安 五合 鸣吠对","XSYJ":"月建 小时 土府 往亡 天刑"},"1-癸卯":{"JSYQ":"官日 吉期 玉宇 五合 鸣吠对","XSYJ":"大时 大败 咸池 朱雀"},"1-甲辰":{"JSYQ":"守日 天巫 福德 六仪 金堂 金匮","XSYJ":"厌对 招摇 九空 九坎 九焦 复日"},"1-乙巳":{"JSYQ":"相日 宝光","XSYJ":"天罡 死神 月刑 月害 游祸 五虚 重日"},"1-丙午":{"JSYQ":"月德 月恩 四相 时德 民日 三合 临日 天马 时阴 鸣吠","XSYJ":"死气 白虎"},"1-丁未":{"JSYQ":"天德 四相 敬安 玉堂","XSYJ":"小耗 八专"},"1-戊申":{"JSYQ":"驿马 天后 普护 解神 除神","XSYJ":"月破 大耗 五离 天牢"},"1-己酉":{"JSYQ":"天恩 阴德 福生 除神 鸣吠","XSYJ":"天吏 致死 五虚 五离 元武"},"1-庚戌":{"JSYQ":"天恩 阳德 三合 天喜 天医 司命","XSYJ":"月厌 地火 四击 大煞 阴错"},"1-辛亥":{"JSYQ":"月德合 天恩 母仓 六合 五富 不将 圣心","XSYJ":"河魁 劫煞 重日 勾陈"},"1-壬子":{"JSYQ":"天德合 月空 天恩 母仓 时阳 生气 益后 青龙 鸣吠对","XSYJ":"灾煞 天火 四耗"},"1-癸丑":{"JSYQ":"天恩 续世 明堂","XSYJ":"月煞 月虚 血支 天贼 五虚 土符 归忌 血忌 八专 触水龙"},"1-甲寅":{"JSYQ":"王日 天仓 要安 五合 鸣吠对","XSYJ":"月建 小时 土府 往亡 复日 八专 天刑 阳错"},"1-乙卯":{"JSYQ":"官日 吉期 玉宇 五合 鸣吠对","XSYJ":"大时 大败 咸池 朱雀"},"1-丙辰":{"JSYQ":"月德 月恩 四相 守日 天巫 福德 六仪 金堂 金匮","XSYJ":"厌对 招摇 九空 九坎 九焦"},"1-丁巳":{"JSYQ":"天德 四相 相日 宝光","XSYJ":"天罡 死神 月刑 月害 游祸 五虚 八风 重日"},"1-戊午":{"JSYQ":"时德 民日 三合 临日 天马 时阴","XSYJ":"死气 白虎"},"1-己未":{"JSYQ":"敬安 玉堂","XSYJ":"小耗 八专"},"1-庚申":{"JSYQ":"驿马 天后 普护 解神 除神 鸣吠","XSYJ":"月破 大耗 四废 五离 八专 天牢"},"1-辛酉":{"JSYQ":"月德合 阴德 福生 除神 鸣吠","XSYJ":"天吏 致死 四废 五虚 五离 元武 三阴"},"1-壬戌":{"JSYQ":"天德合 月空 阳德 三合 天喜 天医 司命","XSYJ":"月厌 地火 四击 大煞"},"1-癸亥":{"JSYQ":"母仓 六合 五富 圣心","XSYJ":"河魁 劫煞 重日 勾陈"},"2-甲子":{"JSYQ":"月德 天恩 母仓 阳德 司命","XSYJ":"天罡 月刑 大时 大败 咸池 天贼 四忌 八龙"},"2-乙丑":{"JSYQ":"天恩 时阳 生气 天仓 不将 敬安","XSYJ":"五虚 九空 九坎 九焦 复日 勾陈"},"2-丙寅":{"JSYQ":"天恩 四相 王日 五富 不将 普护 五合 青龙 鸣吠对","XSYJ":"游祸 血支 归忌"},"2-丁卯":{"JSYQ":"天恩 月恩 四相 官日 六仪 福生 五合 明堂 鸣吠对","XSYJ":"月建 小时 土府 厌对 招摇"},"2-戊辰":{"JSYQ":"天恩 守日 吉期","XSYJ":"月害 天刑"},"2-己巳":{"JSYQ":"月德合 相日 驿马 天后 天巫 福德 圣心","XSYJ":"五虚 土符 大煞 往亡 重日 朱雀"},"2-庚午":{"JSYQ":"月空 时德 民日 益后 金匮 鸣吠对","XSYJ":"河魁 死神 天吏 致死"},"2-辛未":{"JSYQ":"阴德 三合 时阴 续世 宝光","XSYJ":"死气 血忌"},"2-壬申":{"JSYQ":"天马 要安 解神 鸣吠","XSYJ":"劫煞 小耗 五离 白虎"},"2-癸酉":{"JSYQ":"玉宇 除神 玉堂 鸣吠","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 五离"},"2-甲戌":{"JSYQ":"月德 天愿 六合 金堂","XSYJ":"月煞 月虚 四击 天牢"},"2-乙亥":{"JSYQ":"母仓 三合 临日 天喜 天医 不将","XSYJ":"四穷 八龙 复日 重日 元武"},"2-丙子":{"JSYQ":"母仓 四相 阳德 不将 司命 鸣吠对","XSYJ":"天罡 月刑 大时 大败 咸池 天贼 触水龙"},"2-丁丑":{"JSYQ":"月恩 四相 时阳 生气 不将 敬安","XSYJ":"五虚 八风 九空 九坎 九焦 勾陈"},"2-戊寅":{"JSYQ":"天赦 王日 五富 普护 五合 青龙","XSYJ":"游祸 血支 归忌"},"2-己卯":{"JSYQ":"月德合 天恩 官日 六仪 福生 五合 明堂","XSYJ":"月建 小时 土府 厌对 招摇 小会"},"2-庚辰":{"JSYQ":"月空 天恩 守日 吉期","XSYJ":"月害 天刑"},"2-辛巳":{"JSYQ":"天恩 相日 驿马 天后 天巫 福德 圣心","XSYJ":"五虚 土符 大煞 往亡 重日 朱雀"},"2-壬午":{"JSYQ":"天恩 时德 民日 益后 金匮 鸣吠","XSYJ":"河魁 死神 天吏 致死"},"2-癸未":{"JSYQ":"天恩 阴德 三合 时阴 续世 宝光","XSYJ":"死气 血忌 触水龙"},"2-甲申":{"JSYQ":"月德 天马 要安 解神 除神 鸣吠","XSYJ":"劫煞 小耗 五离 白虎"},"2-乙酉":{"JSYQ":"玉宇 除神 玉堂 鸣吠","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 复日 五离 白虎"},"2-丙戌":{"JSYQ":"四相 六合 不将 金堂","XSYJ":"月煞 月虚 四击 天牢"},"2-丁亥":{"JSYQ":"母仓 月恩 四相 三合 临日 天喜 天医 不将","XSYJ":"重日 元武"},"2-戊子":{"JSYQ":"母仓 阳德 司命","XSYJ":"天罡 月刑 大时 大败 咸池 天贼"},"2-己丑":{"JSYQ":"月德合 时阳 生气 天仓 不将 敬安","XSYJ":"五虚 九空 九坎 九焦 勾陈"},"2-庚寅":{"JSYQ":"月空 王日 五富 不将 普护 五合 青龙 鸣吠对","XSYJ":"游祸 血支 归忌"},"2-辛卯":{"JSYQ":"官日 六仪 福生 五合 明堂 鸣吠","XSYJ":"月建 小时 土府 厌对 招摇"},"2-壬辰":{"JSYQ":"守日 吉期","XSYJ":"月害 天刑"},"2-癸巳":{"JSYQ":"相日 驿马 天后 天巫 福德 圣心","XSYJ":"五虚 土符 大煞 往亡 重日 朱雀"},"2-甲午":{"JSYQ":"月德 时德 民日 益后 金匮 鸣吠","XSYJ":"河魁 死神 天吏 致死"},"2-乙未":{"JSYQ":"阴德 三合 时阴 续世 宝光","XSYJ":"死气 五墓 地囊 血忌 复日"},"2-丙申":{"JSYQ":"四相 天马 要安 解神 除神 鸣吠","XSYJ":"劫煞 小耗 五离 白虎"},"2-丁酉":{"JSYQ":"月恩 四相 玉宇 除神 玉堂 鸣吠","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 五离"},"2-戊戌":{"JSYQ":"六合 金堂","XSYJ":"月煞 月虚 四击 天牢"},"2-己亥":{"JSYQ":"月德合 母仓 三合 临日 天喜 天医 不将","XSYJ":"重日 元武"},"2-庚子":{"JSYQ":"月空 母仓 阳德 不将 司命 鸣吠对","XSYJ":"天罡 月刑 大时 大败 咸池 天贼"},"2-辛丑":{"JSYQ":"时阳 生气 天仓 敬安","XSYJ":"五虚 九空 九坎 九焦 勾陈"},"2-壬寅":{"JSYQ":"王日 五富 普护 五合 青龙 鸣吠对","XSYJ":"游祸 血支 归忌"},"2-癸卯":{"JSYQ":"官日 六仪 福生 五合 明堂 鸣吠对","XSYJ":"月建 小时 土府 厌对 招摇"},"2-甲辰":{"JSYQ":"月德 守日 吉期","XSYJ":"月害 天刑"},"2-乙巳":{"JSYQ":"相日 驿马 天后 天巫 福德 圣心","XSYJ":"五虚 土符 大煞 往亡 复日 重日 朱雀"},"2-丙午":{"JSYQ":"四相 时德 民日 益后 金匮 鸣吠","XSYJ":"河魁 死神 天吏 致死"},"2-丁未":{"JSYQ":"月恩 四相 阴德 三合 时阴 续世 宝光","XSYJ":"死气 血忌 八专"},"2-戊申":{"JSYQ":"天马 要安 解神 除神","XSYJ":"劫煞 小耗 五离 白虎"},"2-己酉":{"JSYQ":"月德合 天恩 玉宇 除神 玉堂 鸣吠","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 五离 阴道冲阳"},"2-庚戌":{"JSYQ":"月空 天恩 六合 不将 金堂","XSYJ":"月煞 月虚 四击 天牢"},"2-辛亥":{"JSYQ":"天恩 母仓 三合 临日 天喜 天医","XSYJ":"重日 元武"},"2-壬子":{"JSYQ":"天恩 母仓 阳德 司命 鸣吠对","XSYJ":"天罡 月刑 大时 大败 咸池 天贼 四耗"},"2-癸丑":{"JSYQ":"天恩 时阳 生气 天仓 敬安","XSYJ":"五虚 九空 九坎 九焦 地囊 八专 触水龙 勾陈"},"2-甲寅":{"JSYQ":"月德 王日 五富 普护 五合 青龙 鸣吠对","XSYJ":"游祸 血支 归忌"},"2-乙卯":{"JSYQ":"官日 六仪 福生 五合 明堂 鸣吠对","XSYJ":"月建 小时 土府 厌对 招摇 复日 阳错"},"2-丙辰":{"JSYQ":"四相 守日 吉期","XSYJ":"月害 天刑"},"2-丁巳":{"JSYQ":"月恩 四相 相日 驿马 天后 天巫 福德 圣心","XSYJ":"五虚 八风 土符 大煞 往亡 重日 朱雀"},"2-戊午":{"JSYQ":"时德 民日 益后 金匮","XSYJ":"河魁 死神 天吏 致死"},"2-己未":{"JSYQ":"月德合 阴德 三合 时阴 续世 宝光","XSYJ":"死气 血忌 八专"},"2-庚申":{"JSYQ":"月空 天马 要安 解神 除神 鸣吠","XSYJ":"劫煞 小耗 四废 五离 八专 白虎"},"2-辛酉":{"JSYQ":"玉宇 除神 玉堂 鸣吠","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 四废 五虚 五离 阴错"},"2-壬戌":{"JSYQ":"六合 金堂","XSYJ":"月煞 月虚 四击 天牢"},"2-癸亥":{"JSYQ":"母仓 三合 临日 天喜 天医","XSYJ":"重日 元武"},"3-甲子":{"JSYQ":"天恩 母仓 三合 天喜 天医 天仓 不将 圣心","XSYJ":"四忌 八龙 地囊 归忌 天牢"},"3-乙丑":{"JSYQ":"天恩 不将 益后","XSYJ":"河魁 五虚 元武"},"3-丙寅":{"JSYQ":"月空 天恩 四相 阳德 王日 驿马 天后 时阳 生气 六仪 续世 五合 司命 鸣吠对","XSYJ":"厌对 招摇 血忌"},"3-丁卯":{"JSYQ":"天德合 月德合 天恩 四相 官日 要安 五合 鸣吠对","XSYJ":"月害 天吏 致死 血支 勾陈"},"3-戊辰":{"JSYQ":"天恩 守日 玉宇 青龙","XSYJ":"月建 小时 土府 月刑 五墓 复日 小会 单阴"},"3-己巳":{"JSYQ":"阴德 相日 吉期 五富 金堂 明堂","XSYJ":"劫煞 五虚 重日"},"3-庚午":{"JSYQ":"月恩 时德 民日 天巫 福德 鸣吠","XSYJ":"灾煞 天火 大煞 天刑"},"3-辛未":{"JSYQ":"[无神煞]","XSYJ":"天罡 死神 月煞 朱雀"},"3-壬申":{"JSYQ":"天德 月德 三合 临日 时阴 敬安 除神 金匮 鸣吠","XSYJ":"月厌 地火 死气 往亡 五离 孤辰"},"3-癸酉":{"JSYQ":"六合 普护 除神 宝光 鸣吠","XSYJ":"大时 大败 咸池 小耗 五虚 土符 五离"},"3-甲戌":{"JSYQ":"天马 不将 福生 解神","XSYJ":"月破 大耗 四击 九空 九坎 九焦 白虎"},"3-乙亥":{"JSYQ":"母仓 不将 玉宇","XSYJ":"游祸 天贼 四穷 八龙 重日"},"3-丙子":{"JSYQ":"月空 母仓 四相 三合 天喜 天医 天仓 不将 圣心 鸣吠对","XSYJ":"归忌 触水龙 天牢"},"3-丁丑":{"JSYQ":"天德合 月德合 四相 不将 益后","XSYJ":"河魁 五虚 八风 元武"},"3-戊寅":{"JSYQ":"天赦 阳德 王日 驿马 天后 时阳 生气 六仪 续世 五合 司命","XSYJ":"厌对 招摇 血忌 复日"},"3-己卯":{"JSYQ":"天恩 官日 要安 五合","XSYJ":"月害 天吏 致死 血支 勾陈"},"3-庚辰":{"JSYQ":"天恩 月恩 守日 玉宇 青龙","XSYJ":"月建 小时 土府 月刑 阴位"},"3-辛巳":{"JSYQ":"天恩 阴德 相日 吉期 五富 金堂 明堂","XSYJ":"劫煞 五虚 重日"},"3-壬午":{"JSYQ":"天德 月德 天恩 时德 民日 天巫 福德 鸣吠","XSYJ":"灾煞 天火 地囊 大煞 天刑"},"3-癸未":{"JSYQ":"天恩","XSYJ":"天罡 死神 月煞 月虚 触水龙 朱雀"},"3-甲申":{"JSYQ":"三合 临日 时阴 敬安 除神 金匮 鸣吠","XSYJ":"月厌 地火 死气 往亡 五离 行狠"},"3-乙酉":{"JSYQ":"天愿 六合 不将 普护 除神 宝光 鸣吠","XSYJ":"大时 大败 咸池 小耗 五虚 土符 五离"},"3-丙戌":{"JSYQ":"月空 四相 天马 不将 福生 解神","XSYJ":"月破 大耗 四击 九空 九坎 九焦 白虎"},"3-丁亥":{"JSYQ":"天德合 月德合 母仓 四相 不将 玉堂","XSYJ":"游祸 天贼 重日"},"3-戊子":{"JSYQ":"母仓 三合 天喜 天医 天仓 圣心","XSYJ":"归忌 复日 天牢"},"3-己丑":{"JSYQ":"不将 益后","XSYJ":"河魁 五虚 元武"},"3-庚寅":{"JSYQ":"月恩 阳德 王日 驿马 天后 时阳 生气 六仪 续世 五合 司命 鸣吠对","XSYJ":"厌对 招摇 血忌"},"3-辛卯":{"JSYQ":"官日 要安 五合 鸣吠对","XSYJ":"月害 天吏 致死 血支 勾陈"},"3-壬辰":{"JSYQ":"天德 月德 守日 玉宇 青龙","XSYJ":"月建 小时 土府 月刑"},"3-癸巳":{"JSYQ":"阴德 相日 吉期 五富 金堂 明堂","XSYJ":"劫煞 五虚 重日"},"3-甲午":{"JSYQ":"时德 民日 天巫 福德 鸣吠","XSYJ":"灾煞 天火 大煞 天刑"},"3-乙未":{"JSYQ":"[无神煞]","XSYJ":"天罡 死神 月煞 月虚 朱雀"},"3-丙申":{"JSYQ":"月空 四相 三合 临日 时阴 敬安 除神 金匮 鸣吠","XSYJ":"月厌 地火 死气 往亡 五离 了戾"},"3-丁酉":{"JSYQ":"天德合 月德合 四相 六合 不将 普护 除神 宝光 鸣吠","XSYJ":"大时 大败 咸池 小耗 五虚 土符 五离"},"3-戊戌":{"JSYQ":"天马 福生 解神","XSYJ":"月破 大耗 四击 九空 九坎 九焦 复日 白虎"},"3-己亥":{"JSYQ":"母仓 不将 玉堂","XSYJ":"游祸 天贼 重日"},"3-庚子":{"JSYQ":"母仓 月恩 三合 天喜 天医 天仓 圣心 鸣吠对","XSYJ":"归忌 天牢"},"3-辛丑":{"JSYQ":"益后","XSYJ":"河魁 五虚 元武"},"3-壬寅":{"JSYQ":"阴德 月德 阳德 王日 驿马 天后 时阳 生气 六仪 续世 五合 司命 鸣吠对","XSYJ":"厌对 招摇 血忌"},"3-癸卯":{"JSYQ":"官日 要安 五合 鸣吠对","XSYJ":"月害 天吏 致死 血支 勾陈"},"3-甲辰":{"JSYQ":"守日 玉宇 青龙","XSYJ":"月建 小时 土府 月刑 阳错"},"3-乙巳":{"JSYQ":"阴德 相日 吉期 五富 金堂 明堂","XSYJ":"劫煞 五虚 重日"},"3-丙午":{"JSYQ":"月空 四相 时德 民日 天巫 福德 鸣吠","XSYJ":"灾煞 天火 大煞 天刑"},"3-丁未":{"JSYQ":"天德合 月德合 四相","XSYJ":"天罡 死神 月煞 月虚 八专 朱雀"},"3-戊申":{"JSYQ":"三合 临日 时阴 敬安 除神 金匮","XSYJ":"月厌 地火 死气 往亡 复日 五离 孤辰"},"3-己酉":{"JSYQ":"天恩 六合 不将 普护 除神 宝光 鸣吠","XSYJ":"大时 大败 咸池 小耗 五虚 土符 五离"},"3-庚戌":{"JSYQ":"天恩 月恩 天马 福生 解神","XSYJ":"月破 大耗 四击 九空 九坎 九焦 白虎"},"3-辛亥":{"JSYQ":"天恩 母仓 玉堂","XSYJ":"游祸 天贼 重日"},"3-壬子":{"JSYQ":"天德 月德 天恩 母仓 三合 天喜 天医 天仓 圣心 鸣吠对","XSYJ":"四耗 归忌 天牢"},"3-癸丑":{"JSYQ":"天恩 益后","XSYJ":"河魁 五虚 八专 触水龙 元武"},"3-甲寅":{"JSYQ":"阳德 王日 驿马 天后 时阳 生气 六仪 续世 五合 司命 鸣吠对","XSYJ":"厌对 招摇 血忌 八专"},"3-乙卯":{"JSYQ":"官日 要安 五合 鸣吠对","XSYJ":"月害 天吏 致死 血支 勾陈"},"3-丙辰":{"JSYQ":"月空 四相 守日 玉宇 青龙","XSYJ":"月建 小时 土府 月刑"},"3-丁巳":{"JSYQ":"天德合 月德合 四相 阴德 相日 吉期 五富 金堂 明堂","XSYJ":"劫煞 五虚 八风 重日"},"3-戊午":{"JSYQ":"时德 民日 天巫 福德","XSYJ":"灾煞 天火 大煞 复日 天刑"},"3-己未":{"JSYQ":"[无神煞]","XSYJ":"天罡 死神 月煞 月虚 八专 朱雀"},"3-庚申":{"JSYQ":"月恩 三合 临日 时阴 敬安 除神 金匮 鸣吠","XSYJ":"月厌 地火 死气 四废 往亡 五离 八专 孤辰 阴错"},"3-辛酉":{"JSYQ":"六合 普护 除神 宝光 鸣吠","XSYJ":"大时 大败 咸池 小耗 四废 五虚 土符 五离"},"3-壬戌":{"JSYQ":"天德 月德 天马 福生 解神","XSYJ":"月破 大耗 四击 九空 九坎 九焦 白虎"},"3-癸亥":{"JSYQ":"母仓 玉堂","XSYJ":"游祸 天贼 重日"},"4-甲子":{"JSYQ":"月空 天恩 天马 不将","XSYJ":"天吏 致死 五虚 白虎"},"4-乙丑":{"JSYQ":"月德合 天恩 三合 临日 天喜 天医 六仪 玉堂","XSYJ":"厌对 招摇 四击 归忌"},"4-丙寅":{"JSYQ":"天德合 天恩 母仓 敬安 五合 鸣吠对","XSYJ":"天罡 劫煞 月害 土符 复日 天牢"},"4-丁卯":{"JSYQ":"天恩 母仓 阴德 时阳 生气 普护 五合 鸣吠对","XSYJ":"灾煞 天火 元武"},"4-戊辰":{"JSYQ":"天恩 四相 时德 阳德 福生 司命","XSYJ":"月煞 月虚 血支 五虚 绝阴"},"4-己巳":{"JSYQ":"月恩 四相 王日","XSYJ":"月建 小时 土府 重日 勾陈 小会 纯阳 阳错"},"4-庚午":{"JSYQ":"月德 官日 吉期 圣心 青龙 鸣吠","XSYJ":"大时 大败 咸池"},"4-辛未":{"JSYQ":"天德 守日 天巫 福德 益后 明堂","XSYJ":"月厌 地火 九空 九坎 九焦 大煞 孤辰"},"4-壬申":{"JSYQ":"相日 六合 五富 续世 除神 鸣吠","XSYJ":"河魁 死神 月刑 游祸 五虚 血忌 五离 天刑"},"4-癸酉":{"JSYQ":"民日 三合 时阴 要安 除神 鸣吠","XSYJ":"死气 五离 朱雀"},"4-甲戌":{"JSYQ":"月空 不将 玉宇 解神 金匮","XSYJ":"小耗 天贼"},"4-乙亥":{"JSYQ":"月德合 驿马 天后 天仓 不将 金堂 宝光","XSYJ":"月破 大耗 往亡 重日"},"4-丙子":{"JSYQ":"天德合 天马 不将 鸣吠对","XSYJ":"天吏 致死 四忌 七鸟 五虚 复日 触水龙 白虎"},"4-丁丑":{"JSYQ":"三合 临日 天喜 天医 六仪 玉堂","XSYJ":"厌对 招摇 四击 归忌"},"4-戊寅":{"JSYQ":"母仓 四相 敬安 五合","XSYJ":"天罡 劫煞 月害 土符 天牢"},"4-己卯":{"JSYQ":"天恩 母仓 月恩 四相 阴德 时阳 生气 普护 五合","XSYJ":"灾煞 天火 地囊 元武"},"4-庚辰":{"JSYQ":"月德 天恩 时德 阴德 福生 司命","XSYJ":"月煞 月虚 血支 五虚"},"4-辛巳":{"JSYQ":"天德 天恩 王日","XSYJ":"月建 小时 土府 重日 勾陈"},"4-壬午":{"JSYQ":"天恩 官日 吉期 圣心 青龙 鸣吠","XSYJ":"大时 大败 咸池"},"4-癸未":{"JSYQ":"天恩 守日 天巫 福德 益后 明堂","XSYJ":"月厌 地火 九空 九坎 九焦 大煞 触水龙 孤辰"},"4-甲申":{"JSYQ":"月空 相日 六合 五富 不将 续世 除神 鸣吠","XSYJ":"河魁 死神 月刑 游祸 五虚 八风 血忌 五离 天刑"},"4-乙酉":{"JSYQ":"月德合 民日 三合 时阴 不将 要安 除神 鸣吠","XSYJ":"死气 五离 朱雀"},"4-丙戌":{"JSYQ":"天德合 不将 玉宇 解神 金匮","XSYJ":"小耗 天贼 五墓 复日"},"4-丁亥":{"JSYQ":"驿马 天后 天仓 不将 金堂 宝光","XSYJ":"月破 大耗 四穷 七鸟 往亡 重日"},"4-戊子":{"JSYQ":"四相 天马 不将","XSYJ":"天吏 致死 五虚 白虎"},"4-己丑":{"JSYQ":"月恩 四相 三合 临日 天喜 天医 六仪 玉堂","XSYJ":"厌对 招摇 四击 归忌"},"4-庚寅":{"JSYQ":"月德 母仓 敬安 五合 鸣吠对","XSYJ":"天罡 劫煞 月害 土符 天牢"},"4-辛卯":{"JSYQ":"天德 母仓 阴德 时阴 生气 普护 五合 鸣吠对","XSYJ":"灾煞 天火 元武"},"4-壬辰":{"JSYQ":"时德 阳德 福生 司命","XSYJ":"月煞 月虚 血支 五虚"},"4-癸巳":{"JSYQ":"王日","XSYJ":"月建 小时 土府 重日 勾陈"},"4-甲午":{"JSYQ":"月空 天赦 官日 吉期 圣心 青龙 鸣吠","XSYJ":"大时 大败 咸池"},"4-乙未":{"JSYQ":"月德合 守日 天巫 福德 益后 明堂","XSYJ":"月厌 地火 九空 九坎 九焦 大煞 行狠"},"4-丙申":{"JSYQ":"天德合 天愿 相日 六合 五富 不将 续世 除神 鸣吠","XSYJ":"河魁 死神 月刑 游祸 五虚 血忌 复日 五离 天刑"},"4-丁酉":{"JSYQ":"民日 三合 时阴 不将 要安 除神 鸣吠","XSYJ":"死气 五离 朱雀"},"4-戊戌":{"JSYQ":"四相 不将 玉宇 解神 金匮","XSYJ":"小耗 天贼"},"4-己亥":{"JSYQ":"月恩 四相 驿马 天后 天仓 金堂 宝光","XSYJ":"月破 大耗 往亡 重日"},"4-庚子":{"JSYQ":"月德 天马 鸣吠对","XSYJ":"天吏 致死 五虚 白虎"},"4-辛丑":{"JSYQ":"天德 三合 临日 天喜 天医 六仪 玉堂","XSYJ":"厌对 招摇 四击 归忌"},"4-壬寅":{"JSYQ":"母仓 敬安 五合 鸣吠对","XSYJ":"天罡 劫煞 月害 土符 天牢"},"4-癸卯":{"JSYQ":"母仓 阴德 时阳 生气 普护 五合 鸣吠对","XSYJ":"灾煞 天火 元武"},"4-甲辰":{"JSYQ":"月空 时德 阳德 福生 司命","XSYJ":"月煞 月虚 血支 五虚 八风"},"4-乙巳":{"JSYQ":"月德合 王日","XSYJ":"月建 小时 土府 重日 勾陈"},"4-丙午":{"JSYQ":"天德合 官日 吉期 圣心 青龙 鸣吠","XSYJ":"大时 大败 咸池 复日 岁薄"},"4-丁未":{"JSYQ":"守日 天巫 福德 益后 明堂","XSYJ":"月厌 地火 九空 九坎 九焦 大煞 八专 了戾 阴错"},"4-戊申":{"JSYQ":"四相 相日 六合 五富 不将 续世 除神","XSYJ":"河魁 死神 月刑 游祸 五虚 血忌 五离 天刑"},"4-己酉":{"JSYQ":"天恩 月恩 四相 民日 三合 时阴 要安 除神 鸣吠","XSYJ":"死气 地囊 五离 朱雀"},"4-庚戌":{"JSYQ":"月德 天恩 玉宇 解神 金匮","XSYJ":"小耗 天贼"},"4-辛亥":{"JSYQ":"天德 天恩 驿马 天后 天仓 金堂 宝光","XSYJ":"月破 大耗 往亡 重日"},"4-壬子":{"JSYQ":"天恩 天马 鸣吠对","XSYJ":"天吏 致死 四废 五虚 白虎"},"4-癸丑":{"JSYQ":"天恩 三合 临日 天喜 天医 六仪 玉堂","XSYJ":"厌对 招摇 四击 归忌 八专 触水龙"},"4-甲寅":{"JSYQ":"月空 母仓 敬安 五合 鸣吠对","XSYJ":"天罡 劫煞 月害 土符 八专 天牢"},"4-乙卯":{"JSYQ":"月德合 母仓 阴德 时阴 生气 普护 五合 鸣吠对","XSYJ":"灾煞 天火 四耗 元武"},"4-丙辰":{"JSYQ":"天德合 时德 阳德 福生 司命","XSYJ":"月煞 月虚 血支 五虚 复日"},"4-丁巳":{"JSYQ":"王日","XSYJ":"月建 小时 土府 重日 勾陈 阳错"},"4-戊午":{"JSYQ":"四相 官日 吉期 圣心 青龙","XSYJ":"大时 大败 咸池 岁薄"},"4-己未":{"JSYQ":"月恩 四相 守日 天巫 福德 益后 明堂","XSYJ":"月厌 地火 九空 九坎 九焦 大煞 八专 孤辰 阴错"},"4-庚申":{"JSYQ":"月德 相日 六合 五富 续世 除神 鸣吠","XSYJ":"河魁 死神 月刑 游祸 五虚 血忌 五离 八专 天刑"},"4-辛酉":{"JSYQ":"天德 民日 三合 时阴 要安 除神 鸣吠","XSYJ":"死气 五离 朱雀"},"4-壬戌":{"JSYQ":"玉宇 解神 金匮","XSYJ":"小耗 天贼"},"4-癸亥":{"JSYQ":"驿马 天后 天仓 金堂 宝光","XSYJ":"月破 大耗 四废 往亡 重日 阴阳交破"},"5-甲子":{"JSYQ":"天恩 六仪 解神 金匮","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚"},"5-乙丑":{"JSYQ":"天恩 阴德 圣心 宝光","XSYJ":"月煞 月虚 月害 四击"},"5-丙寅":{"JSYQ":"月德 天恩 母仓 三合 天马 天喜 天医 益后 五合 鸣吠对","XSYJ":"大煞 归忌 白虎"},"5-丁卯":{"JSYQ":"天恩 母仓 续世 五合 玉堂 鸣吠对","XSYJ":"河魁 大时 大败 咸池 九坎 九焦 血忌 往亡 复日"},"5-戊辰":{"JSYQ":"天恩 月恩 四相 时德 时阳 生气 要安","XSYJ":"五虚 九空 天牢"},"5-己巳":{"JSYQ":"四相 王日 玉宇","XSYJ":"游祸 血支 重日 元武"},"5-庚午":{"JSYQ":"阳德 官日 金堂 司命 鸣吠","XSYJ":"月建 小时 土府 月刑 月厌 地火 土符"},"5-辛未":{"JSYQ":"月德合 守日 吉期 六合","XSYJ":"勾陈"},"5-壬申":{"JSYQ":"月空 相日 驿马 天后 天巫 福德 除神 青龙 鸣吠","XSYJ":"五虚 五离"},"5-癸酉":{"JSYQ":"民日 不将 敬安 除神 明堂 鸣吠","XSYJ":"天罡 死神 天吏 致死 天贼 五离"},"5-甲戌":{"JSYQ":"三合 临日 时阴 天仓 不将 普护","XSYJ":"死气 天刑"},"5-乙亥":{"JSYQ":"五富 不将 福生","XSYJ":"劫煞 小耗 重日 朱雀"},"5-丙子":{"JSYQ":"月德 六仪 解神 金匮 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 四忌 七鸟 五虚 触水龙"},"5-丁丑":{"JSYQ":"阴德 圣心 宝光","XSYJ":"月煞 月虚 月害 复日"},"5-戊寅":{"JSYQ":"母仓 月恩 四相 三合 天马 天喜 天医 益后 五合","XSYJ":"大煞 归忌 白虎"},"5-己卯":{"JSYQ":"天恩 母仓 四相 续世 五合 玉堂","XSYJ":"河魁 大时 大败 咸池 九坎 九焦 血忌 往亡"},"5-庚辰":{"JSYQ":"天恩 时德 时阳 生气 要安","XSYJ":"五虚 九空 天牢"},"5-辛巳":{"JSYQ":"月德合 天恩 王日 玉宇","XSYJ":"游祸 血支 重日 元武"},"5-壬午":{"JSYQ":"月空 天恩 阳德 官日 金堂 司命 鸣吠","XSYJ":"月建 小时 土府 月刑 月厌 地火 土符"},"5-癸未":{"JSYQ":"天恩 守日 吉期 六合 不将","XSYJ":"触水龙 勾陈"},"5-甲申":{"JSYQ":"相日 驿马 天后 天巫 福德 不将 除神 青龙 鸣吠","XSYJ":"五虚 八风 五离"},"5-乙酉":{"JSYQ":"民日 不将 敬安 除神 明堂 鸣吠","XSYJ":"天罡 死神 天吏 致死 天贼 五离"},"5-丙戌":{"JSYQ":"月德 三合 临日 时阴 天仓 不将 普护","XSYJ":"死气 五墓 天刑"},"5-丁亥":{"JSYQ":"五富 福生","XSYJ":"劫煞 小耗 四穷 七鸟 复日 重日 朱雀"},"5-戊子":{"JSYQ":"月恩 四相 六仪 解神 金匮","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚"},"5-己丑":{"JSYQ":"四相 阴德 圣心 宝光","XSYJ":"月煞 月虚 月害 四击"},"5-庚寅":{"JSYQ":"母仓 三合 天马 天喜 天医 益后 五合 鸣吠对","XSYJ":"大煞 归忌 白虎"},"5-辛卯":{"JSYQ":"月德合 母仓 续世 五合 玉堂 鸣吠对","XSYJ":"河魁 大时 大败 咸池 九坎 九焦 血忌 往亡"},"5-壬辰":{"JSYQ":"月空 时德 时阳 生气 要安","XSYJ":"五虚 九空 天牢"},"5-癸巳":{"JSYQ":"王日 玉宇","XSYJ":"游祸 血支 重日 元武"},"5-甲午":{"JSYQ":"天赦 阳德 官日 金堂 司命 鸣吠","XSYJ":"月建 小时 土府 月刑 月厌 地火 土符"},"5-乙未":{"JSYQ":"守日 吉期 六合 不将","XSYJ":"勾陈"},"5-丙申":{"JSYQ":"月德 相日 驿马 天后 天巫 福德 不将 除神 青龙 鸣吠","XSYJ":"五虚 五离"},"5-丁酉":{"JSYQ":"民日 敬安 除神 明堂 鸣吠","XSYJ":"天罡 死神 天吏 致死 天贼 复日 五离"},"5-戊戌":{"JSYQ":"月恩 四相 三合 临日 时阴 天仓 不将","XSYJ":"死气 天刑"},"5-己亥":{"JSYQ":"四相 五富 福生","XSYJ":"劫煞 小耗 重日 朱雀"},"5-庚子":{"JSYQ":"六仪 解神 金匮 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚"},"5-辛丑":{"JSYQ":"月德合 阴德 圣心 宝光","XSYJ":"月煞 月虚 月害 四击"},"5-壬寅":{"JSYQ":"月空 母仓 三合 天马 天喜 天医 益后 五合 鸣吠对","XSYJ":"大煞 归忌 白虎"},"5-癸卯":{"JSYQ":"母仓 续世 五合 玉堂 鸣吠对","XSYJ":"河魁 大时 大败 咸池 九坎 九焦 血忌 往亡"},"5-甲辰":{"JSYQ":"时德 时阳 生气 要安","XSYJ":"五虚 八风 九空 地囊 天牢"},"5-乙巳":{"JSYQ":"王日 玉宇","XSYJ":"游祸 血支 重日 元武"},"5-丙午":{"JSYQ":"月德 阳德 官日 金堂 司命 鸣吠","XSYJ":"月建 小时 土府 月刑 月厌 地火 土符 大会 阴阳俱错"},"5-丁未":{"JSYQ":"天愿 守日 吉期 六合","XSYJ":"复日 八专 勾陈"},"5-戊申":{"JSYQ":"月恩 四相 相日 驿马 天后 天巫 福德 不将 除神 青龙","XSYJ":"五虚 五离"},"5-己酉":{"JSYQ":"天恩 四相 民日 敬安 除神 明堂 鸣吠","XSYJ":"天罡 死神 天吏 致死 天贼 五离"},"5-庚戌":{"JSYQ":"天恩 三合 临日 时阴 天仓 普护","XSYJ":"死气 天刑"},"5-辛亥":{"JSYQ":"月德合 天恩 五富 福生","XSYJ":"劫煞 小耗 重日 朱雀"},"5-壬子":{"JSYQ":"月空 天恩 六仪 解神 金匮 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 四废 五虚 阴阳击冲"},"5-癸丑":{"JSYQ":"天恩 阴德 圣心 宝光","XSYJ":"月煞 月虚 月害 四击 八专 触水龙"},"5-甲寅":{"JSYQ":"母仓 三合 天马 天喜 天医 益后 五合 鸣吠对","XSYJ":"大煞 归忌 八专 白虎"},"5-乙卯":{"JSYQ":"母仓 续世 五合 玉堂 鸣吠对","XSYJ":"河魁 大时 大败 咸池 四耗 九坎 九焦 血忌 往亡"},"5-丙辰":{"JSYQ":"月德 时德 时阳 生气 要安","XSYJ":"五虚 九空 天牢"},"5-丁巳":{"JSYQ":"王日 玉宇","XSYJ":"游祸 血支 复日 重日 元武"},"5-戊午":{"JSYQ":"月德 四相 阳德 官日 金堂 司命","XSYJ":"月建 小时 土府 月刑 月厌 地火 土符 小会"},"5-己未":{"JSYQ":"四相 守日 吉期 六合","XSYJ":"八专 勾陈"},"5-庚申":{"JSYQ":"相日 驿马 天后 天巫 福德 除神 青龙 鸣吠","XSYJ":"五虚 五离 八专"},"5-辛酉":{"JSYQ":"月德合 民日 敬安 除神 明堂 鸣吠","XSYJ":"天罡 死神 天吏 致死 天贼 五离"},"5-壬戌":{"JSYQ":"月空 三合 临日 时阴 天仓 普护","XSYJ":"死气 地囊 天刑"},"5-癸亥":{"JSYQ":"五富 不将 福生","XSYJ":"劫煞 小耗 四废 重日 朱雀"},"6-甲子":{"JSYQ":"天德 月德 天恩 金堂 解神","XSYJ":"月害 大时 大败 咸池 小耗 五虚 九坎 九焦 归忌 天刑"},"6-乙丑":{"JSYQ":"天恩","XSYJ":"月破 大耗 月刑 四击 九空 朱雀"},"6-丙寅":{"JSYQ":"天恩 母仓 五富 五合 金匮 鸣吠对","XSYJ":"游祸"},"6-丁卯":{"JSYQ":"天恩 母仓 三合 临日 天喜 天医 敬安 五合 宝光 鸣吠对","XSYJ":"大煞"},"6-戊辰":{"JSYQ":"天恩 四相 时德 天马 普护","XSYJ":"天罡 五虚 五墓 白虎"},"6-己巳":{"JSYQ":"天德合 月德合 四相 王日 驿马 天后 时阳 生气 福生 玉堂","XSYJ":"月厌 地火 复日 重日 阴错"},"6-庚午":{"JSYQ":"月空 官日 六合 鸣吠","XSYJ":"天吏 致死 血支 往亡 天牢"},"6-辛未":{"JSYQ":"月恩 守日 圣心","XSYJ":"月建 小时 土府 元武"},"6-壬申":{"JSYQ":"阳德 相日 吉期 不将 益后 除神 司命 鸣吠","XSYJ":"劫煞 天贼 五虚 五离"},"6-癸酉":{"JSYQ":"民日 天巫 福德 天仓 不将 续世 除神 鸣吠","XSYJ":"劫煞 天贼 五虚 五离"},"6-甲戌":{"JSYQ":"天德 月德 不将 要安 青龙","XSYJ":"河魁 死神 月煞 月虚 土符"},"6-乙亥":{"JSYQ":"阴德 三合 时阴 六仪 玉宇 明堂","XSYJ":"厌对 招摇 死气 重日"},"6-丙子":{"JSYQ":"金堂 解神 鸣吠对","XSYJ":"月害 大时 大败 咸池 小耗 四忌 七鸟 五虚 九坎 九焦 归忌 触水龙 天刑"},"6-丁丑":{"JSYQ":"[无神煞]","XSYJ":"月破 大耗 月刑 四击 九空 朱雀"},"6-戊寅":{"JSYQ":"母仓 四相 五富 五合 金匮","XSYJ":"游祸"},"6-己卯":{"JSYQ":"天德合 月德合 天恩 母仓 四相 三合 临日 天喜 天医 敬安 五合 宝光","XSYJ":"大煞 复日"},"6-庚辰":{"JSYQ":"月空 天恩 时德 天马 普护","XSYJ":"天罡 五虚 白虎"},"6-辛巳":{"JSYQ":"天恩 月恩 王日 驿马 天后 时阳 生气 福生 玉堂","XSYJ":"月厌 地火 重日"},"6-壬午":{"JSYQ":"天恩 官日 六合 不将 鸣吠","XSYJ":"天吏 致死 血支 往亡 天牢"},"6-癸未":{"JSYQ":"天恩 守日 不将 圣心","XSYJ":"月建 小时 土府 触水龙 元武"},"6-甲申":{"JSYQ":"天德 月德 阳德 相日 吉期 不将 益后 除神 司命 鸣吠","XSYJ":"劫煞 天贼 五虚 八风 五离"},"6-乙酉":{"JSYQ":"民日 天巫 福德 天仓 不将 续世 除神 鸣吠","XSYJ":"灾煞 天火 血忌 五离 勾陈"},"6-丙戌":{"JSYQ":"要安 青龙","XSYJ":"河魁 死神 月煞 月虚 土符 地囊"},"6-丁亥":{"JSYQ":"阴德 三合 时阴 六仪 玉宇 明堂","XSYJ":"厌对 招摇 死气 四穷 七鸟 重日"},"6-戊子":{"JSYQ":"四相 金堂 解神","XSYJ":"月害 大时 大败 咸池 小耗 五虚 九坎 九焦 归忌 天刑"},"6-己丑":{"JSYQ":"天德合 月德合 四相","XSYJ":"月破 大耗 月刑 四击 九空 复日 朱雀"},"6-庚寅":{"JSYQ":"月空 母仓 五富 五合 金匮 鸣吠对","XSYJ":"游祸"},"6-辛卯":{"JSYQ":"母仓 月恩 三合 临日 天喜 天医 敬安 五合 宝光 鸣吠对","XSYJ":"大煞"},"6-壬辰":{"JSYQ":"时德 天马 普护","XSYJ":"天罡 五虚 白虎"},"6-癸巳":{"JSYQ":"王日 驿马 天后 时阳 生气 福生 玉堂","XSYJ":"月厌 地火 重日"},"6-甲午":{"JSYQ":"天德 月德 天赦 官日 六合 不将 鸣吠","XSYJ":"天吏 致死 血支 往亡 天牢"},"6-乙未":{"JSYQ":"守日 不将 圣心","XSYJ":"月建 小时 土府 元武"},"6-丙申":{"JSYQ":"阳德 相日 吉期 益后 除神 司命 鸣吠","XSYJ":"劫煞 天贼 五虚 五离"},"6-丁酉":{"JSYQ":"民日 天巫 福德 天仓 续世 除神 鸣吠","XSYJ":"灾煞 天火 血忌 五离 勾陈"},"6-戊戌":{"JSYQ":"四相 不将 要安 青龙","XSYJ":"河魁 死神 月煞 月虚 土符"},"6-己亥":{"JSYQ":"天德合 月德合 四相 阴德 三合 时阴 六仪 玉宇 明堂","XSYJ":"厌对 招摇 死气 复日 重日"},"6-庚子":{"JSYQ":"月空 金堂 解神 鸣吠对","XSYJ":"月害 大时 大败 咸池 小耗 五虚 九坎 九焦 归忌 天刑"},"6-辛丑":{"JSYQ":"月恩","XSYJ":"月破 大耗 月刑 四击 九空 朱雀"},"6-壬寅":{"JSYQ":"母仓 五富 五合 金匮 鸣吠对","XSYJ":"游祸"},"6-癸卯":{"JSYQ":"母仓 三合 临日 天喜 天医 敬安 五合 宝光 鸣吠对","XSYJ":"大煞"},"6-甲辰":{"JSYQ":"天德 月德 时德 天马 普护","XSYJ":"天罡 五虚 八风 白虎"},"6-乙巳":{"JSYQ":"王日 驿马 天后 时阳 生气 福生 玉堂","XSYJ":"月厌 地火 重日"},"6-丙午":{"JSYQ":"官日 六合 鸣吠","XSYJ":"天吏 致死 血支 往亡 天牢 逐阵"},"6-丁未":{"JSYQ":"守日 圣心","XSYJ":"月建 小时 土府 八专 元武 阳错"},"6-戊申":{"JSYQ":"四相 阳德 相日 吉期 不将 益后 除神 司命","XSYJ":"劫煞 天贼 五虚 五离"},"6-己酉":{"JSYQ":"天德合 月德合 天恩 四相 民日 天巫 福德 天仓 续世 除神 鸣吠","XSYJ":"灾煞 天火 血忌 复日 五离 勾陈"},"6-庚戌":{"JSYQ":"月空 天恩 要安 青龙","XSYJ":"河魁 死神 月煞 月虚 土符"},"6-辛亥":{"JSYQ":"天恩 月恩 阴德 三合 时阴 六仪 玉宇 明堂","XSYJ":"厌对 招摇 死气 重日"},"6-壬子":{"JSYQ":"天恩 金堂 解神 鸣吠对","XSYJ":"月害 大时 大败 咸池 小耗 四废 五虚 九坎 九焦 归忌 天刑"},"6-癸丑":{"JSYQ":"天恩","XSYJ":"月破 大耗 月刑 四击 九空 八专 触水龙 朱雀 阳错阴冲"},"6-甲寅":{"JSYQ":"天德 月德 母仓 五富 五合 金匮 鸣吠对","XSYJ":"游祸 八专"},"6-乙卯":{"JSYQ":"母仓 三合 临日 天喜 天医 敬安 五合 宝光 鸣吠对","XSYJ":"四耗 大煞"},"6-丙辰":{"JSYQ":"时德 天马 普护","XSYJ":"天罡 五虚 地囊 白虎"},"6-丁巳":{"JSYQ":"王日 驿马 天后 时阳 生气 福生 玉堂","XSYJ":"月厌 地火 重日 大会 阴错"},"6-戊午":{"JSYQ":"天愿 四相 官日 六合 不将","XSYJ":"天吏 致死 血支 往亡 天牢 逐阵"},"6-己未":{"JSYQ":"天德合 月德合 四相 守日 圣心","XSYJ":"月建 小时 土府 复日 八专 元武 阳错"},"6-庚申":{"JSYQ":"月空 阳德 相日 吉期 益后 除神 司命 鸣吠","XSYJ":"劫煞 天贼 五虚 五离 八专"},"6-辛酉":{"JSYQ":"月恩 民日 天巫 福德 天仓 续世 除神 鸣吠","XSYJ":"灾煞 天火 血忌 五离 勾陈"},"6-壬戌":{"JSYQ":"不将 要安 青龙","XSYJ":"河魁 死神 月煞 月虚 土符"},"6-癸亥":{"JSYQ":"阴德 三合 时阴 六仪 玉宇 明堂","XSYJ":"厌对 招摇 死气 四废 重日"},"7-甲子":{"JSYQ":"天恩 时阳 民日 三合 临日 时阴 福生 青龙","XSYJ":"死气"},"7-乙丑":{"JSYQ":"天恩 母仓 明堂","XSYJ":"小耗 归忌"},"7-丙寅":{"JSYQ":"月空 天恩 驿马 天后 圣心 解神 五合 鸣吠对","XSYJ":"月破 大耗 月刑 天刑"},"7-丁卯":{"JSYQ":"月德合 天恩 益后 五合 鸣吠对","XSYJ":"天吏 致死 朱雀 五虚 七符"},"7-戊辰":{"JSYQ":"天德合 天恩 母仓 三合 天喜 天医 续世 金匮","XSYJ":"月厌 地火 四击 大煞 血忌"},"7-己巳":{"JSYQ":"天愿 六合 五富 要安 宝光","XSYJ":"河魁 劫煞 重日"},"7-庚午":{"JSYQ":"天马 时阳 生气 玉宇 鸣吠","XSYJ":"灾煞 天火 复日 白虎"},"7-辛未":{"JSYQ":"母仓 金堂 玉堂","XSYJ":"月煞 月虚 血支 天贼 五虚"},"7-壬申":{"JSYQ":"月德 月恩 四相 王日","XSYJ":"月建 小时 土符 五离 天牢"},"7-癸酉":{"JSYQ":"天德 四相 阴德 官日 吉期 不将 除神 鸣吠","XSYJ":"大时 大败 咸池 九坎 九焦 往亡 五离 元武"},"7-甲戌":{"JSYQ":"母仓 阳德 守日 天巫 福德 六仪 敬安 司命","XSYJ":"厌对 招摇 天狗 九空"},"7-乙亥":{"JSYQ":"相日 普护","XSYJ":"天罡 死神 月害 游祸 重日 勾陈"},"7-丙子":{"JSYQ":"月空 时德 民日 三合 临日 时阴 福生 青龙 鸣吠对","XSYJ":"死气 触水龙"},"7-丁丑":{"JSYQ":"月德合 母仓 明堂","XSYJ":"小耗 归忌"},"7-戊寅":{"JSYQ":"天德合 驿马 天后 圣心 解神 五合","XSYJ":"月破 大耗 月刑"},"7-己卯":{"JSYQ":"天恩 益后 五合","XSYJ":"天吏 致死 五虚 土符 朱雀"},"7-庚辰":{"JSYQ":"天恩 母仓 三合 天喜 天医 续世 金匮","XSYJ":"月厌 地火 四击 大煞 血忌 复日 大会"},"7-辛巳":{"JSYQ":"天恩 六合 五富 要安 宝光","XSYJ":"河魁 劫煞 重日"},"7-壬午":{"JSYQ":"月德 天德 月恩 四相 天马 时阳 生气 不将 玉宇 鸣吠","XSYJ":"灾煞 天火 白虎"},"7-癸未":{"JSYQ":"天德 天恩 母仓 四相 不将 金堂 玉堂","XSYJ":"月煞 月虚 血支 天贼 五虚 触水龙"},"7-甲申":{"JSYQ":"王日 天仓 不将 除神 鸣吠","XSYJ":"月建 小时 土府 五离 天牢"},"7-乙酉":{"JSYQ":"阴德 官日 吉期 不将 除神 鸣吠","XSYJ":"大时 大败 咸池 九坎 九焦 往亡 五离 元武"},"7-丁亥":{"JSYQ":"月德合 相日 普护","XSYJ":"天罡 死神 月害 游祸 五虚 八风 地囊 重日 勾陈"},"7-戊子":{"JSYQ":"天德合 时德 民日 三合 临日 时阴 福生 青龙","XSYJ":"死气"},"7-己丑":{"JSYQ":"母仓 明堂","XSYJ":"小耗 归忌"},"7-庚寅":{"JSYQ":"驿马 天后 圣心","XSYJ":"五合 鸣吠对"},"7-辛卯":{"JSYQ":"益后 五合 鸣吠对","XSYJ":"天吏 致死 五虚 土符 朱雀"},"7-壬辰":{"JSYQ":"月德 母仓 月恩 四相 三合 天喜 天医 续世 金匮","XSYJ":"月厌 地火 四击 大煞 血忌"},"7-癸巳":{"JSYQ":"天德 四相 六合 五富 不将 要安 宝光","XSYJ":"河魁 劫煞 重日"},"7-甲午":{"JSYQ":"天马 时阳 生气 不将 玉宇 鸣吠","XSYJ":"灾煞 天火 白虎"},"7-乙未":{"JSYQ":"母仓 不将 金堂","XSYJ":"月煞 月虚 血支 天贼 五虚"},"7-丙申":{"JSYQ":"月空 王日 天仓 除神 鸣吠","XSYJ":"月建 小时 土府 五离 天牢"},"7-丁酉":{"JSYQ":"月德合 阴德 官日 吉期 除神 鸣吠","XSYJ":"大时 大败 咸池 九坎 九焦 往亡 五离 元武"},"7-戊戌":{"JSYQ":"天德合 母仓 阳德 守日 天巫 福德 六仪 敬安 司命","XSYJ":"厌对 招摇 天狗 九空"},"7-己亥":{"JSYQ":"相日 普护","XSYJ":"天罡 死神 月害 游祸 五虚 重日 勾陈"},"7-庚子":{"JSYQ":"时德 民日 三合 临日 时阴 福生 青龙 鸣吠对","XSYJ":"死气 四忌 九虎 复日"},"7-辛丑":{"JSYQ":"母仓 明堂","XSYJ":"小耗 五墓 归忌"},"7-壬寅":{"JSYQ":"月德 月恩 四相 驿马 天后 圣心 解神 五合 鸣吠对","XSYJ":"月破 大耗 月刑 天刑"},"7-癸卯":{"JSYQ":"天德 四相 益后 五合 鸣吠对","XSYJ":"天吏 致死 五虚 土符 朱雀"},"7-甲辰":{"JSYQ":"母仓 三合 天喜 天医 续世 金匮","XSYJ":"月厌 地火 四击 大煞 血忌 阴错"},"7-乙巳":{"JSYQ":"六合 五富 不将 要安 宝光","XSYJ":"河魁 劫煞 重日"},"7-丙午":{"JSYQ":"月空 天马 时阳 生气 玉宇 鸣吠","XSYJ":"灾煞 天火 白虎"},"7-丁未":{"JSYQ":"月德合 母仓 金堂 玉堂","XSYJ":"月煞 月虚 血支 天贼 五虚 八风 八专"},"7-戊申":{"JSYQ":"天德合 天赦 王日 天仓 不将","XSYJ":"月建 小时 土府 五离 天牢"},"7-己酉":{"JSYQ":"天恩 阴德 官日 吉期 除神 鸣吠","XSYJ":"大时 大败 咸池 九坎 九焦 往亡 五离 元武"},"7-庚戌":{"JSYQ":"天恩 母仓 阳德 守日 天巫 福德 六仪 敬安 司命","XSYJ":"厌对 招摇 天狗 九空 复日"},"7-辛亥":{"JSYQ":"天恩 相日 普护","XSYJ":"天罡 死神 月害 游祸 四穷 九虎 五虚 重日 勾陈"},"7-壬子":{"JSYQ":"月德 天恩 月恩 四相 时德 民日 三合 临日 时阴 福生 青龙 鸣吠对","XSYJ":"死气"},"7-癸丑":{"JSYQ":"天德 天恩 母仓 四相 明堂","XSYJ":"小耗 归忌 八专 触水龙"},"7-甲寅":{"JSYQ":"驿马 天后 圣心 解神 五合 鸣吠对","XSYJ":"月破 大耗 月刑 四废 八专 天刑"},"7-乙卯":{"JSYQ":"益后 五合 鸣吠对","XSYJ":"天吏 致死 四废 五虚 土符 朱雀 三阴"},"7-丙辰":{"JSYQ":"月空 母仓 三合 天喜 天医 续世 金匮","XSYJ":"月厌 地火 四击 大煞 血忌"},"7-丁巳":{"JSYQ":"月德合 六合 五富 要安 宝光","XSYJ":"河魁 劫煞 地囊 重日"},"7-戊午":{"JSYQ":"天德合 天马 时阳 生气 不将 玉宇","XSYJ":"四耗 白虎"},"7-己未":{"JSYQ":"母仓 金堂 玉堂","XSYJ":"月煞 月虚 血支 天贼 五虚 八专"},"7-庚申":{"JSYQ":"王日 天仓 除神 鸣吠","XSYJ":"月建 小时 土府 复日 五离 八专 天牢 阳错"},"7-辛酉":{"JSYQ":"阴德 官日 吉期 除神 鸣吠","XSYJ":"大时 大败 咸池 九坎 九焦 往亡 五离 元武"},"7-壬戌":{"JSYQ":"月德 母仓 月恩 四相 阳德 守日 天巫 福德 六仪 敬安 司命","XSYJ":"厌对 招摇 天狗 九空"},"7-癸亥":{"JSYQ":"天德 四相 相日 普护","XSYJ":"天罡 死神 月害 游祸 五虚 重日 勾陈"},"8-甲子":{"JSYQ":"月空 天恩 时德 阳德 民日 玉宇 司命","XSYJ":"河魁 死神 天吏 致死 往亡"},"8-乙丑":{"JSYQ":"月德合 天恩 母仓 三合 时阴 金堂","XSYJ":"死气 勾陈"},"8-丙寅":{"JSYQ":"天恩 解神 五合 青龙 鸣吠对","XSYJ":"劫煞 小耗 地囊 归忌"},"8-丁卯":{"JSYQ":"天恩 五合 明堂 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚"},"8-戊辰":{"JSYQ":"天恩 母仓 六合 不将 敬安","XSYJ":"月煞 月虚 四击 天刑"},"8-己巳":{"JSYQ":"三合 临日 天喜 天医 普护","XSYJ":"成日 朱雀"},"8-庚午":{"JSYQ":"月德 福生 金匮 鸣吠","XSYJ":"天罡 大时 大败 咸池 天贼 九坎 九焦"},"8-辛未":{"JSYQ":"母仓 阴德 时阳 生气 天仓 不将 宝光","XSYJ":"五虚 九空 土符 复日"},"8-壬申":{"JSYQ":"四相 王日 天马 五富 不将 圣心 除神 鸣吠","XSYJ":"游祸 血支 五离 白虎"},"8-癸酉":{"JSYQ":"月恩 四相 官日 六仪 益后 除神 除神 玉堂 鸣吠","XSYJ":"月建 小时 土府 月刑 厌对 招摇 五离"},"8-甲戌":{"JSYQ":"月空 母仓 守日 吉期 续世","XSYJ":"月害 血忌 天牢"},"8-乙亥":{"JSYQ":"月德合 相日 驿马 天后 天巫 福德 要安","XSYJ":"五虚 大煞 重日 元武"},"8-丙子":{"JSYQ":"时德 阳德 民日 玉宇 司命 鸣吠对","XSYJ":"河魁 死神 天吏 致死 往亡 触水龙"},"8-丁丑":{"JSYQ":"母仓 三合 时阴 金堂","XSYJ":"死气 勾陈"},"8-戊寅":{"JSYQ":"解神 五合 青龙","XSYJ":"劫煞 小耗 归忌"},"8-己卯":{"JSYQ":"天恩 五合 明堂","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 阴道冲阳"},"8-庚辰":{"JSYQ":"月德 天恩 母仓 天愿 六合 敬安","XSYJ":"月煞 月虚 四击 天刑"},"8-辛巳":{"JSYQ":"天恩 三合 临日 天喜 天医 不将 普护","XSYJ":"复日 重日 朱雀"},"8-壬午":{"JSYQ":"天恩 四相 不将 福生 金匮 鸣吠","XSYJ":"天罡 大时 大败 咸池 天贼 九坎 九焦"},"8-癸未":{"JSYQ":"天恩 母仓 月恩 四相 阴德 时阳 生气 天仓 不将 宝光","XSYJ":"五虚 九空 土符 触水龙"},"8-甲申":{"JSYQ":"月空 王日 天马 五富 不将 圣心 除神 鸣吠","XSYJ":"游祸 血支 五离 白虎"},"8-乙酉":{"JSYQ":"月德合 官日 六仪 益后 除神 玉堂 鸣吠","XSYJ":"月建 小时 土府 月刑 厌对 招摇 五离"},"8-丙戌":{"JSYQ":"母仓 守日 吉期 续世","XSYJ":"月害 血忌 天牢"},"8-丁亥":{"JSYQ":"相日 驿马 天后 天巫 福德 要安","XSYJ":"五虚 八风 大煞 重日 元武"},"8-戊子":{"JSYQ":"时德 阳德 民日 玉宇 司命","XSYJ":"河魁 死神 天吏 致死 往亡"},"8-己丑":{"JSYQ":"母仓 三合 时阴 金堂","XSYJ":"死气 勾陈"},"8-庚寅":{"JSYQ":"月德 解神 五合 青龙 鸣吠对","XSYJ":"劫煞 小耗 归忌"},"8-辛卯":{"JSYQ":"五合 明堂 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚 复日 大会"},"8-壬辰":{"JSYQ":"母仓 四相 六合 不将 敬安","XSYJ":"月煞 月虚 四击 天刑"},"8-癸巳":{"JSYQ":"月恩 四相 三合 临日 天喜 天医 不将 普护","XSYJ":"重日 朱雀"},"8-甲午":{"JSYQ":"月空 不将 福生 金匮 鸣吠","XSYJ":"天罡 大时 大败 咸池 天贼 九坎 九焦"},"8-乙未":{"JSYQ":"月德合 母仓 阳德 时阳 生气 天仓 宝光","XSYJ":"五虚 九空 土符"},"8-丙申":{"JSYQ":"王日 天马 五富 圣心 除神 鸣吠","XSYJ":"游祸 血支 地囊 五离 白虎"},"8-丁酉":{"JSYQ":"官日 六仪 益后 除神 玉堂 鸣吠","XSYJ":"月建 小时 土府 月刑 厌对 招摇 五离"},"7-丙戌":{"JSYQ":"月空 母仓 阳德 守日 天巫 福德 六仪 敬安 司命","XSYJ":"厌对 招摇 天狗 九空"},"8-戊戌":{"JSYQ":"母仓 守日 吉期 续世","XSYJ":"月害 血忌 天牢"},"8-己亥":{"JSYQ":"相日 驿马 天后 天巫 福德 要安","XSYJ":"五虚 大煞 重日 元武"},"8-庚子":{"JSYQ":"月德 时德 阳德 民日 玉宇 司命 鸣吠对","XSYJ":"河魁 死神 天吏 致死 四忌 九虎 往亡"},"8-辛丑":{"JSYQ":"母仓 三合 时阴 金堂","XSYJ":"死气 五墓 复日 勾陈"},"8-壬寅":{"JSYQ":"四相 解神 五合 青龙 鸣吠对","XSYJ":"劫煞 小耗 归忌"},"8-癸卯":{"JSYQ":"月恩 四相 五合 明堂 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 五虚"},"8-甲辰":{"JSYQ":"月空 母仓 六合 不将 敬安","XSYJ":"月煞 月虚 四击 天刑"},"8-乙巳":{"JSYQ":"月德合 三合 临日 天喜 天医 普护","XSYJ":"重日 朱雀"},"8-丙午":{"JSYQ":"福生 金匮 鸣吠","XSYJ":"天罡 大时 大败 咸池 天贼 九坎 九焦"},"8-丁未":{"JSYQ":"母仓 阴德 时阳 生气 天仓 宝光","XSYJ":"五虚 八风 九空 土符 八专"},"8-戊申":{"JSYQ":"天赦 王日 天马 五富 不将 圣心 除神","XSYJ":"游祸 血支 五离 白虎"},"8-己酉":{"JSYQ":"天恩 官日 六仪 益后 除神 玉堂 鸣吠","XSYJ":"月建 小时 土府 月厌 厌对 招摇 五离 小会"},"8-庚戌":{"JSYQ":"月德 天恩 母仓 守日 吉期 续世","XSYJ":"月害 血忌 天牢"},"8-辛亥":{"JSYQ":"天恩 相日 驿马 天后 天巫 福德 要安","XSYJ":"四穷 九虎 五虚 大煞 复日 重日 元武"},"8-壬子":{"JSYQ":"天恩 四相 时德 阳德 民日 玉宇 司命 鸣吠对","XSYJ":"河魁 死神 天吏 致死 往亡"},"8-癸丑":{"JSYQ":"天恩 母仓 月恩 四相 三合 时阴 金堂","XSYJ":"死气 八专 触水龙 勾陈"},"8-甲寅":{"JSYQ":"月空 解神 五合 青龙 鸣吠对","XSYJ":"劫煞 小耗 四废 归忌 八专"},"8-乙卯":{"JSYQ":"月德合 五合 明堂 鸣吠对","XSYJ":"月破 大耗 灾煞 天火 月厌 地火 四废 五虚 阴错"},"8-丙辰":{"JSYQ":"母仓 六合 敬安","XSYJ":"月煞 月虚 四击 天刑"},"8-丁巳":{"JSYQ":"三合 临日 天喜 天医 普护","XSYJ":"重日 朱雀"},"8-戊午":{"JSYQ":"不将 福生 金匮","XSYJ":"天罡 大时 大败 咸池 天贼 四耗 九坎 九焦"},"8-己未":{"JSYQ":"母仓 阴德 时阳 生气 天仓 宝光","XSYJ":"五虚 九空 土符 八专"},"8-庚申":{"JSYQ":"月德 王日 天马 五富 圣心 除神 鸣吠","XSYJ":"游祸 血支 五离 八专 白虎"},"8-辛酉":{"JSYQ":"官日 六仪 益后 除神 玉堂 鸣吠","XSYJ":"月建 小时 土府 月刑 厌对 招摇 复日 五离 阳错"},"8-壬戌":{"JSYQ":"母仓 四相 守日 吉期 续世","XSYJ":"月害 血忌 天牢"},"8-癸亥":{"JSYQ":"月恩 四相 相日 驿马 天后 天巫 福德 要安","XSYJ":"五虚 大煞 重日 元武"},"9-甲子":{"JSYQ":"天恩 时德 民日 天符 福德 普护","XSYJ":"灾煞 天火 大煞 归忌 天牢"},"9-乙丑":{"JSYQ":"天恩 母仓 福生","XSYJ":"天罡 死神 月煞 月虚 元武"},"9-丙寅":{"JSYQ":"天德 月德 天恩 阳德 三合 临日 时阴 五合 司命 鸣吠对","XSYJ":"月厌 地火 死气 九坎 九焦 孤辰"},"9-丁卯":{"JSYQ":"天恩 六合 圣心 五合 鸣吠对","XSYJ":"大时 大败 咸池 小耗 五虚 勾陈"},"9-戊辰":{"JSYQ":"天恩 母仓 不将 益后 解神 青龙","XSYJ":"月破 大耗 四击 五墓 九空 往亡 复日"},"9-己巳":{"JSYQ":"阴德 续世 明堂","XSYJ":"游祸 天贼 血忌 重日"},"9-庚午":{"JSYQ":"月恩 三合 天喜 天医 天仓 不将 要安 鸣吠","XSYJ":"天刑"},"9-辛未":{"JSYQ":"天德合 月德合 母仓 不将 玉宇","XSYJ":"河魁 月刑 五虚 地囊 朱雀"},"9-壬申":{"JSYQ":"月空 四相 王日 驿马 天后 时阳 生气 六仪 金堂 除神 金匮 鸣吠","XSYJ":"厌对 招摇 五离"},"9-癸酉":{"JSYQ":"四相 官日 除神 宝光 鸣吠","XSYJ":"月害 天吏 致死 血支 五离"},"9-甲戌":{"JSYQ":"母仓 守日 天马","XSYJ":"月建 小时 土府 白虎 阴位"},"9-乙亥":{"JSYQ":"相日 吉期 五富 敬安 玉堂","XSYJ":"劫煞 五虚 土符 重日"},"9-丙子":{"JSYQ":"天德 月德 时德 民日 天巫 福德 普护 鸣吠对","XSYJ":"灾煞 天火 大煞 归忌 触水龙 天牢"},"9-丁丑":{"JSYQ":"母仓 福生","XSYJ":"天罡 死神 月煞 月虚 元武"},"9-戊寅":{"JSYQ":"阳德 三合 临日 时阴 五合 司命","XSYJ":"月厌 地火 死气 九坎 九焦 复日 孤辰"},"9-己卯":{"JSYQ":"天恩 六合 圣心 五合","XSYJ":"大时 大败 咸池 小耗 五虚 勾陈"},"9-庚辰":{"JSYQ":"天恩 母仓 月恩 不将 益后 解神 青龙","XSYJ":"月破 大耗 四击 九空 往亡"},"9-辛巳":{"JSYQ":"天德合 月德合 天恩 阴德 不将 续世 明堂","XSYJ":"游祸 天贼 血忌 重日"},"9-壬午":{"JSYQ":"月空 天恩 四相 三合 天喜 天医 天仓 不将 要安 鸣吠","XSYJ":"天刑"},"9-癸未":{"JSYQ":"天恩 母仓 四相 不将 玉宇","XSYJ":"河魁 月刑 五虚 触水龙 朱雀"},"9-甲申":{"JSYQ":"王日 驿马 天后 时阳 生气 六仪 金堂 除神 金匮 鸣吠","XSYJ":"厌对 招摇 五离"},"9-乙酉":{"JSYQ":"官日 除神 宝光 鸣吠","XSYJ":"月害 天吏 致死 血支 五离"},"9-丙戌":{"JSYQ":"天德 月德 母仓 守日 天马","XSYJ":"月建 小时 土府 白虎"},"9-丁亥":{"JSYQ":"相日 吉期 五富 敬安 玉堂","XSYJ":"劫煞 五虚 八风 土符 重日"},"9-戊子":{"JSYQ":"时德 民日 天巫 福德 普护","XSYJ":"灾煞 天火 大煞 归忌 复日 天牢"},"9-己丑":{"JSYQ":"母仓 福生","XSYJ":"天罡 死神 月煞 月虚 元武"},"9-庚寅":{"JSYQ":"月恩 阳德 三合 临日 时阴 五合 司命 鸣吠对","XSYJ":"月厌 地火 死气 九坎 九焦 行狠"},"9-辛卯":{"JSYQ":"天德合 月德合 天愿 六合 不将 圣心 五合 鸣吠对","XSYJ":"大时 大败 咸池 小耗 五虚 勾陈"},"9-壬辰":{"JSYQ":"月空 母仓 四相 不将 益后 解神 青龙","XSYJ":"月破 大耗 四击 九空 往亡"},"9-癸巳":{"JSYQ":"四相 阴德 不将 续世 明堂","XSYJ":"游祸 天贼 血忌 重日"},"9-甲午":{"JSYQ":"三合 天喜 天医 天仓 要安 鸣吠","XSYJ":"天刑"},"9-乙未":{"JSYQ":"母仓 玉宇","XSYJ":"河魁 月刑 五虚 朱雀"},"9-丙申":{"JSYQ":"天德 月德 王日 驿马 天后 时阳 生气 六仪 金堂 除神 金匮","XSYJ":"厌对 招摇 五离"},"9-丁酉":{"JSYQ":"官日 除神 宝光 鸣吠","XSYJ":"月害 天吏 致死 血支 五离"},"9-戊戌":{"JSYQ":"母仓 守日 天马","XSYJ":"月建 小时 土府 复日 白虎 小会 孤阳"},"9-己亥":{"JSYQ":"相日 吉期 五富 敬安 玉堂","XSYJ":"劫煞 五虚 土符 重日"},"9-庚子":{"JSYQ":"月恩 时德 民日 天巫 福德 普护 鸣吠对","XSYJ":"灾煞 天火 四忌 九虎 大煞 归忌 天牢"},"9-辛丑":{"JSYQ":"天德合 月德合 母仓 福德","XSYJ":"天罡 死神 月煞 月虚 地囊 元武"},"9-壬寅":{"JSYQ":"月空 四相 阳德 三合 临日 时阴 五合 司命 鸣吠对","XSYJ":"月厌 地火 死气 九坎 九焦 了戾"},"9-癸卯":{"JSYQ":"四相 六合 不将 圣心 五合 鸣吠对","XSYJ":"大时 大败 咸池 小耗 五虚 勾陈"},"9-甲辰":{"JSYQ":"母仓 益后 解神 青龙","XSYJ":"月破 大耗 四击 九空 往亡"},"9-乙巳":{"JSYQ":"阴德 续世 明堂","XSYJ":"游祸 天贼 血忌 重日"},"9-丙午":{"JSYQ":"天德 月德 三合 天喜 天医 天仓 要安 鸣吠","XSYJ":"天刑"},"9-丁未":{"JSYQ":"母仓 玉宇","XSYJ":"河魁 月刑 五虚 八风 八专 朱雀"},"9-戊申":{"JSYQ":"天赦 王日 驿马 天后 时阳 生气 六仪 金堂 除神 金匮","XSYJ":"厌对 招摇 复日 五离"},"9-己酉":{"JSYQ":"天恩 官日 除神 宝光 鸣吠","XSYJ":"月害 天吏 致死 血支 五离"},"9-庚戌":{"JSYQ":"天恩 母仓 月德 守日 天马","XSYJ":"月建 小时 土府 白虎 阳错"},"9-辛亥":{"JSYQ":"天德合 月德合 天恩 相日 吉期 五富 敬安 玉堂","XSYJ":"劫煞 四穷 九虎 五虚 土符 重日"},"9-壬子":{"JSYQ":"月空 天恩 四相 时德 民日 天巫 福德 普护 鸣吠对","XSYJ":"灾煞 天火 大煞 归忌 天牢"},"9-癸丑":{"JSYQ":"天恩 母仓 四相 福生","XSYJ":"天罡 死神 月煞 月虚 八专 触水龙 元武"},"9-甲寅":{"JSYQ":"阳德 三合 临日 时阴 五合 司命 鸣吠对","XSYJ":"月厌 地火 死气 四废 九坎 九焦 八专 孤辰 阴错"},"9-乙卯":{"JSYQ":"六合 圣心 五合 鸣吠对","XSYJ":"大时 大败 咸池 小耗 四废 五虚 勾陈"},"9-丙辰":{"JSYQ":"天德 月德 母仓 益后 解神 青龙","XSYJ":"月破 大耗 四击 九空 往亡"},"9-丁巳":{"JSYQ":"阴德 续世 明堂","XSYJ":"游祸 天贼 血忌 重日"},"9-戊午":{"JSYQ":"三合 天喜 天医 天仓 不将 要安","XSYJ":"四耗 复日 天刑"},"9-己未":{"JSYQ":"母仓 玉宇","XSYJ":"河魁 月刑 五虚 八专 朱雀"},"9-庚申":{"JSYQ":"月恩 王日 驿马 天后 时阳 生气 六仪 金堂 除神 金匮 鸣吠","XSYJ":"厌对 招摇 五离 八专"},"9-辛酉":{"JSYQ":"天德合 月德合 官日 除神 宝光 鸣吠","XSYJ":"月害 天吏 致死 血支 五离"},"9-壬戌":{"JSYQ":"月空 母仓 四相 守日 天马","XSYJ":"月建 小时 土府 白虎"},"9-癸亥":{"JSYQ":"四相 相日 吉期 五富 敬安 玉堂","XSYJ":"劫煞 五虚 土符 重日"},"10-甲子":{"JSYQ":"月德 天恩 天赦 四相 官日 天马 吉期 要安","XSYJ":"大时 大败 咸池 白虎"},"10-乙丑":{"JSYQ":"天德 天恩 月恩 四相 守日 天巫 福德 玉宇 玉堂","XSYJ":"月厌 地火 九空 大煞 归忌 孤辰"},"10-丙寅":{"JSYQ":"天恩 时德 相日 六合 五富 金堂 五合 鸣吠对","XSYJ":"河魁 死神 游祸 五虚 天牢"},"10-丁卯":{"JSYQ":"天恩 阴德 民日 三合 时阴 五合 鸣吠对","XSYJ":"死气 元武"},"10-戊辰":{"JSYQ":"天恩 阳德 解神 司命","XSYJ":"小耗 天贼 土符"},"10-己巳":{"JSYQ":"月德合 驿马 天后 天仓 不将 敬安","XSYJ":"月破 大耗 重日 勾陈"},"10-庚午":{"JSYQ":"天德合 月空 不将 普护 青龙 鸣吠","XSYJ":"天吏 致死 五虚"},"10-辛未":{"JSYQ":"三合 临日 天喜 天医 六仪 福生 明堂","XSYJ":"厌对 招摇 四击 往亡"},"10-壬申":{"JSYQ":"母仓 除神 鸣吠","XSYJ":"天罡 劫煞 月害 复日 五离 天刑"},"10-癸酉":{"JSYQ":"母仓 时阳 生气 圣心 除神 鸣吠","XSYJ":"灾煞 天火 五离 朱雀"},"10-甲戌":{"JSYQ":"月德 四相 益后 金匮","XSYJ":"月煞 月虚 血支 五虚 八风"},"10-乙亥":{"JSYQ":"天德 月德 四相 王日 续世 宝光","XSYJ":"月建 小时 土府 月刑 九坎 九焦 血支 重日"},"10-丙子":{"JSYQ":"官日 天马 吉期 要安 鸣吠对","XSYJ":"大时 大败 咸池 触水龙 白虎"},"10-丁丑":{"JSYQ":"守日 天巫 福德 玉宇 玉堂","XSYJ":"月厌 地火 九空 大煞 归忌 孤辰"},"10-戊寅":{"JSYQ":"时德 相日 六合 五富 金堂 五合","XSYJ":"河魁 死神 游祸 五虚 地囊 天牢"},"10-己卯":{"JSYQ":"月德合 天德 阴德 民日 三合 时阴 不将 五合","XSYJ":"死气 元武"},"10-庚辰":{"JSYQ":"天德合 月空 天恩 阳德 不将 解神 司命","XSYJ":"小耗 天贼 土符"},"10-辛巳":{"JSYQ":"天恩 驿马 天后 天仓 不将 敬安","XSYJ":"月破 大耗 重日 勾陈"},"10-壬午":{"JSYQ":"天恩 不将 普护 青龙 鸣吠","XSYJ":"天吏 致死 五虚 复日"},"10-癸未":{"JSYQ":"天恩 三合 临日 天喜 天医 六仪 福生 明堂","XSYJ":"厌对 招摇 四击 往亡 触水龙"},"10-甲申":{"JSYQ":"月德 母仓 四相 除神 鸣吠","XSYJ":"天罡 劫煞 月害 五离 天刑"},"10-乙酉":{"JSYQ":"天德 母仓 月恩 四相 时阳 生气 圣心 除神 鸣吠","XSYJ":"灾煞 天火 五离 朱雀"},"10-丙戌":{"JSYQ":"益后 金匮","XSYJ":"月煞 月虚 血支 五虚"},"10-丁亥":{"JSYQ":"王日 续世 宝光","XSYJ":"月建 小时 土府 月刑 九坎 九焦 血忌 重日"},"10-戊子":{"JSYQ":"官日 天马 吉期 要安","XSYJ":"大时 大败 咸池 白虎 岁薄"},"10-己丑":{"JSYQ":"月德合 月空 时德 相日 六合 五富 不将 金堂 五合 鸣吠对","XSYJ":"河魁 死神 游祸 五虚 天牢"},"10-庚寅":{"JSYQ":"天德合 月空 时德 相日 六合 五富 不将 金堂 五合 鸣吠对","XSYJ":"河魁 死神 游祸 五虚 天牢"},"10-辛卯":{"JSYQ":"阴德 民日 三合 时阴 不将 五合 鸣吠对","XSYJ":"死气 元武"},"10-壬辰":{"JSYQ":"阳德 不将 解神 司命","XSYJ":"小耗 天贼 五墓 土符 复日"},"10-癸巳":{"JSYQ":"驿马 天后 天仓 不将 敬安","XSYJ":"月破 大耗 重日 勾陈"},"10-甲午":{"JSYQ":"月德 四相 普护 青龙 鸣吠","XSYJ":"天吏 致死 五虚"},"10-乙未":{"JSYQ":"天德 月恩 四相 三合 临日 天喜 天医 六仪 福生 明堂","XSYJ":"厌对 招摇 四击 往亡"},"10-丙申":{"JSYQ":"母仓 除神 鸣吠","XSYJ":"天罡 劫煞 月害 五离 天刑"},"10-丁酉":{"JSYQ":"母仓 时阳 生气 圣心 除神 鸣吠","XSYJ":"灾煞 天火 五离 朱雀"},"10-戊戌":{"JSYQ":"益后 金匮","XSYJ":"月煞 月虚 血支 五虚 绝阳"},"10-己亥":{"JSYQ":"月德合 王日 续世 宝光","XSYJ":"月建 小时 土府 月刑 九坎 九焦 血忌 重日 小会 纯阴"},"10-庚子":{"JSYQ":"天德合 月空 官日 天马 吉期 要安 鸣吠对","XSYJ":"大时 大败 咸池 白虎"},"10-辛丑":{"JSYQ":"守日 天巫 福德 玉宇 玉堂","XSYJ":"月厌 地火 九空 大煞 归忌 行狠"},"10-壬寅":{"JSYQ":"天愿 时德 相日 六合 五富 不将 金堂 五合 鸣吠对","XSYJ":"河魁 死神 游祸 五虚 复日 天牢"},"10-癸卯":{"JSYQ":"阴德 民日 三合 时阴 不将 五合 鸣吠对","XSYJ":"死气 元武"},"10-甲辰":{"JSYQ":"月德 四相 阳德 解神 司命","XSYJ":"小耗 天贼 土符"},"10-乙巳":{"JSYQ":"天德 月恩 四相 驿马 天后 天仓 敬安","XSYJ":"月破 大耗 重日 勾陈"},"10-丙午":{"JSYQ":"普护 青龙 鸣吠","XSYJ":"天吏 致死 四废 五虚"},"10-丁未":{"JSYQ":"三合 临日 天喜 天医 六仪 福生 明堂","XSYJ":"厌对 招摇 四击 往亡 八专"},"10-戊申":{"JSYQ":"母仓 除神","XSYJ":"天罡 劫煞 月害 地囊 五离 天刑"},"10-己酉":{"JSYQ":"月德 天恩 母仓 时阳 生气 圣心 除神 鸣吠","XSYJ":"灾煞 天火 五离 朱雀"},"10-庚戌":{"JSYQ":"天德合 月空 天恩 益后 金匮","XSYJ":"月煞 月虚 血支 五虚"},"10-辛亥":{"JSYQ":"天恩 王日 续世 宝光","XSYJ":"月建 小时 土府 月刑 九坎 九焦 血忌 重日"},"10-壬子":{"JSYQ":"天恩 官日 天马 吉期 要安 鸣吠对","XSYJ":"大时 大败 咸池 四忌 六蛇 复日 白虎 岁薄"},"10-癸丑":{"JSYQ":"天恩 守日 天巫 福德 玉宇 玉堂","XSYJ":"月厌 地火 九空 大煞 归忌 八专 触水龙 了戾 阴错"},"10-甲寅":{"JSYQ":"月德 四相 时德 相日 六合 五富 金堂 五合 鸣吠对","XSYJ":"河魁 死神 游祸 五虚 八风 八专 天牢"},"10-乙卯":{"JSYQ":"天德 月恩 四相 阳德 民日 三合 时阴 五合 鸣吠对","XSYJ":"死气 元武"},"10-丙辰":{"JSYQ":"阳德 解神 司命","XSYJ":"小耗 天贼 土符"},"10-丁巳":{"JSYQ":"驿马 天后 天仓 敬安","XSYJ":"月破 大耗 四废 重日 勾陈 阴阳交破"},"10-戊午":{"JSYQ":"普护 青龙","XSYJ":"天吏 致死 五虚"},"10-己未":{"JSYQ":"月德合 三合 临日 天喜 天医 六仪 福生 明堂","XSYJ":"厌对 招摇 四击 往亡 八专"},"10-庚申":{"JSYQ":"天德合 月空 母仓 阴神 鸣吠","XSYJ":"天罡 劫煞 月害 五离 八专 天刑"},"10-辛酉":{"JSYQ":"母仓 时阳 生气 圣心 除神 鸣吠","XSYJ":"灾煞 天火 四耗 五离 朱雀"},"10-壬戌":{"JSYQ":"益后 金匮","XSYJ":"月煞 月虚 血支 五虚 复日"},"10-癸亥":{"JSYQ":"王日 续世 宝光","XSYJ":"月建 小时 土府 月刑 四穷 六蛇 九坎 九焦 血忌 重日 阳错"},"11-甲子":{"JSYQ":"天恩 天赦 月恩 四相 官日 敬安 金匮","XSYJ":"月建 小时 土府 月厌 地火"},"11-乙丑":{"JSYQ":"天恩 四相 阴德 守日 吉期","XSYJ":"六合 普护 宝光"},"11-丙寅":{"JSYQ":"月空 天恩 时德 相日 驿马 天后 天马 天巫 福德 福生 五合 鸣吠对","XSYJ":"五虚 归忌 白虎"},"11-丁卯":{"JSYQ":"月德合 天恩 民日 不将 五合 玉堂 鸣吠对","XSYJ":"天罡 死神 致死 天贼"},"11-戊辰":{"JSYQ":"天恩 三合 临日 时阴 天仓 圣心","XSYJ":"死气 天牢"},"11-己巳":{"JSYQ":"五富 不将 益后","XSYJ":"劫煞 小耗 重日 元武"},"11-庚午":{"JSYQ":"五富 六仪 续世 解神 司命 鸣吠","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚 血忌"},"11-辛未":{"JSYQ":"要安","XSYJ":"月煞 月虚 月害 四击 勾陈"},"11-壬申":{"JSYQ":"月德 母仓 三合 天喜 天医 玉宇 除神 青龙 鸣吠","XSYJ":"九坎 九焦 土符 大煞 五离"},"11-癸酉":{"JSYQ":"母仓 金堂 除神 明堂 鸣吠","XSYJ":"河魁 大时 大败 咸池 复日 五离"},"11-甲戌":{"JSYQ":"月恩 四相 时阳 生气","XSYJ":"五虚 八风 九空 往亡 天刑"},"11-乙亥":{"JSYQ":"四相 王日","XSYJ":"游祸 血支 重日 朱雀"},"11-丙子":{"JSYQ":"月空 官日 敬安 金匮 鸣吠对","XSYJ":"月建 小时 土府 月厌 地火 触水龙"},"11-丁丑":{"JSYQ":"月德合 阴德 守日 吉期","XSYJ":"六合 不将 普护 宝光"},"11-戊寅":{"JSYQ":"时德 相日 驿马 天后 天马 天巫 福德 福生 五合","XSYJ":"五虚 归忌 白虎"},"11-己卯":{"JSYQ":"天恩 民日 不将 五合 玉堂","XSYJ":"天罡 死神 月刑 天吏 致死 天贼"},"11-庚辰":{"JSYQ":"天恩 三合 临日 时阴 天仓 不将 圣心","XSYJ":"死气 天牢"},"11-辛巳":{"JSYQ":"天恩 五富 不将 益后","XSYJ":"劫煞 小耗 重日 元武"},"11-壬午":{"JSYQ":"月德 天恩 阳德 六仪 续世 解神 司命 鸣吠","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚 血忌"},"11-癸未":{"JSYQ":"天恩 要安","XSYJ":"月煞 月虚 月害 四击 复日 触水龙 勾陈"},"11-甲申":{"JSYQ":"母仓 月恩 四相 三合 天喜 天医 玉宇 除神 青龙 鸣吠","XSYJ":"九坎 九焦 土符 大煞 五离"},"11-乙酉":{"JSYQ":"母仓 四相 金堂 除神 明堂 鸣吠","XSYJ":"河魁 大时 大败 咸池 五离"},"11-丙戌":{"JSYQ":"月空 时阳 生气","XSYJ":"五虚 九空 往亡 天刑"},"11-丁亥":{"JSYQ":"月德合 王日","XSYJ":"游祸 血支 重日 朱雀"},"11-戊子":{"JSYQ":"官日 敬安 金匮","XSYJ":"月建 小耗 土府 月厌 地火 小会"},"11-己丑":{"JSYQ":"阴德 守日 吉期","XSYJ":"六合 不将 普护 宝光"},"11-庚寅":{"JSYQ":"时德 相日 驿马 天后 天马 天巫 福德 不将 福生 五合 鸣吠对","XSYJ":"五虚 归忌 白虎"},"11-辛卯":{"JSYQ":"民日 不将 五合 玉堂 鸣吠对","XSYJ":"天罡 死神 月刑 天吏 致死 天贼 地囊"},"11-壬辰":{"JSYQ":"月德 三合 临日 时阴 天仓 不将 圣心","XSYJ":"死气 五墓 天牢"},"11-癸巳":{"JSYQ":"五富 益后","XSYJ":"劫煞 小耗 复日 重日 元武"},"11-甲午":{"JSYQ":"月恩 四相 阳德 六仪 续世 解除 司命 鸣吠","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚 血忌"},"11-乙未":{"JSYQ":"四相 要安","XSYJ":"月煞 月虚 月害 四击 勾陈"},"11-丙申":{"JSYQ":"月空 母仓 三合 天喜 天医 玉宇 除神 青龙 鸣吠","XSYJ":"九坎 九焦 土符 大煞 五离"},"11-丁酉":{"JSYQ":"月德合 母仓 金堂 除神 明堂 鸣吠","XSYJ":"河魁 大时 大败 咸池 五离"},"11-戊戌":{"JSYQ":"时阳 生气","XSYJ":"五虚 九空 往亡 天刑"},"11-己亥":{"JSYQ":"王日","XSYJ":"游祸 血支 重日 朱雀"},"11-庚子":{"JSYQ":"官日 敬安 金匮 鸣吠对","XSYJ":"月建 小时 土符 月厌 地火"},"11-辛丑":{"JSYQ":"阴德 守日 吉期 六合 不将 普护 宝光","XSYJ":""},"11-壬寅":{"JSYQ":"月德 时德 相日 驿马 天后 天马 天巫 福德 不将 福生 五合 鸣吠对","XSYJ":"五虚 归忌 白虎"},"11-癸卯":{"JSYQ":"民日 五合 玉堂 鸣吠对","XSYJ":"天罡 死神 月刑 天吏 致死 天贼 复日"},"11-甲辰":{"JSYQ":"月恩 四相 三合 临日 时阴 天仓 圣心","XSYJ":"死气 天牢"},"11-乙巳":{"JSYQ":"四相 五富 益后","XSYJ":"劫煞 小耗 重日 元武"},"11-丙午":{"JSYQ":"月空 阳德 六仪 续世 解神 司命 鸣吠","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 四废 五虚 血忌 阴阳击冲"},"11-丁未":{"JSYQ":"月德合 要安","XSYJ":"月煞 月虚 月害 四击 八专 勾陈"},"11-戊申":{"JSYQ":"母仓 三合 天喜 天医 玉宇 除神 青龙","XSYJ":"九坎 九焦 土符 大煞 五离"},"11-己酉":{"JSYQ":"天恩 母仓 金堂 除神 明堂 鸣吠","XSYJ":"河魁 大时 大败 咸池 五离"},"11-庚戌":{"JSYQ":"天恩 时阳 生气","XSYJ":"五虚 九空 往亡 天刑"},"11-辛亥":{"JSYQ":"天恩 王日","XSYJ":"游祸 血支 重日 朱雀"},"11-壬子":{"JSYQ":"月德 天恩 官日 敬安 金匮 鸣吠对","XSYJ":"月建 小时 土府 月厌 地火 四忌 六蛇 大会 阴阳俱错"},"11-癸丑":{"JSYQ":"天恩 天愿 阴德 守日 吉期 六合 普护 宝光","XSYJ":"复日 八专 触水龙"},"11-甲寅":{"JSYQ":"月恩 四相 时德 相日 驿马 天后 天马 天巫 福德 福生 五合 鸣吠对","XSYJ":"五虚 八风 归忌 八专 白虎"},"11-乙卯":{"JSYQ":"四相 民日 五合 玉堂 鸣吠对","XSYJ":"天罡 死神 月刑 天吏 致死 天贼"},"11-丙辰":{"JSYQ":"月空 三合 临日 时阴 天仓 圣心","XSYJ":"死气 天牢"},"11-丁巳":{"JSYQ":"月德合 五富 不将 益后","XSYJ":"劫煞 小耗 四废 重日 元武"},"11-戊午":{"JSYQ":"阳德 六仪 续世 解神 司命","XSYJ":"月破 大耗 灾煞 天火 厌对 招摇 五虚 血忌"},"11-己未":{"JSYQ":"要安","XSYJ":"月煞 月虚 月害 四击 八专 勾陈"},"11-庚申":{"JSYQ":"母仓 三合 天喜 天医 玉宇 除神 青龙 鸣吠","XSYJ":"九坎 九焦 土符 大煞 五离 八专"},"11-辛酉":{"JSYQ":"母仓 金堂 除神 明堂 鸣吠","XSYJ":"河魁 大时 大败 咸池 四耗 地囊 五离"},"11-壬戌":{"JSYQ":"月德 时阳 生气","XSYJ":"五虚 九空 往亡 天刑"},"11-癸亥":{"JSYQ":"王日","XSYJ":"游祸 血支 四穷 六蛇 复日 重日 朱雀"},"12-甲子":{"JSYQ":"月空 天恩 天赦 天愿 四相 官日 六合 续世","XSYJ":"天吏 致死 血支 土符 归忌 血忌 天刑"},"12-乙丑":{"JSYQ":"天德合 月德合 天恩 四相 守日 要安","XSYJ":"月建 小时 土府 往亡 朱雀"},"12-丙寅":{"JSYQ":"天恩 月德 相日 吉期 不将 玉宇 五合 金匮 鸣吠对","XSYJ":"劫煞 天贼 五虚"},"12-丁卯":{"JSYQ":"天恩 民日 天巫 福德 天仓 不将 金匮 五合 宝光 鸣吠对","XSYJ":"灾煞 天火"},"12-戊辰":{"JSYQ":"天恩 天马","XSYJ":"河魁 死神 月煞 月虚 五墓 白虎"},"12-己巳":{"JSYQ":"三合 时阴 六仪 玉堂","XSYJ":"厌对 招摇 死气 九坎 九焦 复日 重日"},"12-庚午":{"JSYQ":"天德 月德 敬安 解神 鸣吠","XSYJ":"月害 大时 大败 咸池 小耗 五虚 天牢"},"12-辛未":{"JSYQ":"月恩 普护","XSYJ":"月破 大耗 四击 九空 元武"},"12-壬申":{"JSYQ":"母仓 阳德 五富 福生 除神 司命 鸣吠","XSYJ":"游祸 五离"},"12-癸酉":{"JSYQ":"母仓 三合 临日 天喜 天医 除神 鸣吠","XSYJ":"地囊 大煞 五离 勾陈"},"12-甲戌":{"JSYQ":"月空 四相 圣心 青龙","XSYJ":"天罡 月刑 五虚 八风"},"12-乙亥":{"JSYQ":"天德合 月德合 四相 阴德 王日 驿马 天后 时阳 生气 益后 明堂","XSYJ":"月厌 地火 重日"},"12-丙子":{"JSYQ":"官日 六合 不将 续世 鸣吠对","XSYJ":"天吏 致死 血支 土符 归忌 血忌 触水龙 天刑"},"12-丁丑":{"JSYQ":"守日 不将 要安","XSYJ":"月建 小时 土府 往亡 朱雀"},"12-戊寅":{"JSYQ":"时德 相日 吉期 玉堂 五合 金匮","XSYJ":"劫煞 天贼 五虚"},"12-己卯":{"JSYQ":"天恩 民日 天巫 福德 天仓 不将 金堂 五合 宝光","XSYJ":"灾煞 天火 复日"},"12-庚辰":{"JSYQ":"天德 月德 天恩 天马 不将","XSYJ":"河魁 死神 月煞 月虚 白虎"},"12-辛巳":{"JSYQ":"天恩 月恩 三合 时阴 六仪 玉堂","XSYJ":"厌对 招摇 死气 九坎 九焦 重日"},"12-壬午":{"JSYQ":"天恩 敬安 解神 鸣吠","XSYJ":"月害 大时 大败 咸池 小耗 五虚 天牢"},"12-癸未":{"JSYQ":"天恩 普护","XSYJ":"月破 大耗 四击 九空 触水龙 元武"},"12-甲申":{"JSYQ":"月空 母仓 四相 阳德 五富 生气 除神 司命 鸣吠","XSYJ":"游祸 五离"},"12-乙酉":{"JSYQ":"天德合 月德合 母仓 四相 三合 临日 天喜 天医 除神 鸣吠","XSYJ":"大煞 五离 勾陈"},"12-丙戌":{"JSYQ":"圣心 青龙","XSYJ":"天罡 月刑 五虚"},"12-丁亥":{"JSYQ":"阴德 王日 驿马 天后 时阴 生气 益后 明堂","XSYJ":"月厌 地火 重日"},"12-戊子":{"JSYQ":"官日 六合 续世","XSYJ":"天吏 致死 血支 土符 归忌 血忌 天刑 逐阵"},"12-己丑":{"JSYQ":"守日 不将 要安","XSYJ":"月建 小时 土府 往亡 复日 朱雀"},"12-庚寅":{"JSYQ":"天德 月德 时德 相日 吉期 不将 玉宇 五合 金匮","XSYJ":"劫煞 天贼 五虚"},"12-辛卯":{"JSYQ":"月恩 民日 天巫 福德 天仓 不将 金堂 五合 宝光 鸣吠对","XSYJ":"灾煞 天火"},"12-壬辰":{"JSYQ":"天马","XSYJ":"河魁 死神 月煞 月虚 白虎"},"12-癸巳":{"JSYQ":"三合 阴德 六仪 玉堂","XSYJ":"厌对 招摇 死气 九坎 九焦 重日"},"12-甲午":{"JSYQ":"月空 四相 敬安 解神 鸣吠","XSYJ":"月害 大时 大败 咸池 小耗 五虚 天牢"},"12-乙未":{"JSYQ":"天德合 月德合 四相 普护","XSYJ":"月破 大耗 四击 九空 元武"},"12-丙申":{"JSYQ":"母仓 阳德 五富 福生 除神 司命 鸣吠","XSYJ":"游祸 五离"},"12-丁酉":{"JSYQ":"母仓 三合 临日 天喜 天医 除神 鸣吠","XSYJ":"大煞 五离 勾陈"},"12-戊戌":{"JSYQ":"圣心 青龙","XSYJ":"天罡 月刑 五虚"},"12-己亥":{"JSYQ":"阴德 王日 驿马 天后 时阳 生气 益后 明堂","XSYJ":"月厌 地火 复日 重日"},"12-庚子":{"JSYQ":"天德 月德 官日 六合 不将 续世 鸣吠对","XSYJ":"天吏 致死 血支 土符 归忌 血忌 天刑"},"12-辛丑":{"JSYQ":"月恩 守日 不将 要安","XSYJ":"月建 小时 土府 往亡 朱雀"},"12-壬寅":{"JSYQ":"时德 相日 吉期 玉宇 五合 金匮 鸣吠对","XSYJ":"劫煞 天贼 五虚"},"12-癸卯":{"JSYQ":"民日 天巫 福德 天仓 金堂 五合 宝光 鸣吠对","XSYJ":"灾煞 天火"},"12-甲辰":{"JSYQ":"月空 四相 天马","XSYJ":"河魁 致死 月煞 月虚 白虎"},"12-乙巳":{"JSYQ":"天德合 月德合 四相 三合 时阴 六仪 玉堂","XSYJ":"厌对 招摇 死气 九坎 九焦 重日"},"12-丙午":{"JSYQ":"敬安 解神 鸣吠","XSYJ":"月害 大时 大败 咸池 小耗 四废 五虚 天牢"},"12-丁未":{"JSYQ":"普护","XSYJ":"月破 大耗 四击 九空 八专 元武 阳破阴冲"},"12-戊申":{"JSYQ":"母仓 阳德 五富 福生 除神 司命","XSYJ":"游祸 五离"},"12-己酉":{"JSYQ":"天恩 母仓 三合 临日 天喜 天医 除神 鸣吠","XSYJ":"大煞 复日 五离 勾陈"},"12-庚戌":{"JSYQ":"天德 月德 天恩 圣心 青龙","XSYJ":"天罡 月刑 五虚"},"12-辛亥":{"JSYQ":"天恩 月恩 阴德 王日 驿马 天后 时阳 生气 益后 明堂","XSYJ":"月厌 地火 重日"},"12-壬子":{"JSYQ":"天恩 官日 六合 续世","XSYJ":"天吏 致死 血支 四忌 六蛇 土符 归忌 血忌 天刑 逐阵"},"12-癸丑":{"JSYQ":"天恩 守日 要安","XSYJ":"月建 小时 土府 往亡 八专 触水龙 朱雀 阳错"},"12-甲寅":{"JSYQ":"月空 四相 时德 相日 吉期 玉宇 五合 金匮 鸣吠对","XSYJ":"劫煞 天贼 五虚 八风 八专"},"12-乙卯":{"JSYQ":"天德合 月德合 四相 民日 天巫 福德 天仓 金堂 五合 宝光 鸣吠对","XSYJ":"灾煞 天火 地囊"},"12-丙辰":{"JSYQ":"天马 不将","XSYJ":"河魁 死神 月煞 月虚 白虎"},"12-丁巳":{"JSYQ":"三合 时阴 六仪 玉堂","XSYJ":"厌对 招摇 死气 四废 九坎 九焦 重日"},"12-戊午":{"JSYQ":"敬安 解神","XSYJ":"月害 大时 大败 咸池 小耗 五虚 天牢"},"12-己未":{"JSYQ":"普护","XSYJ":"月破 大耗 四击 九空 复日 八专 元武"},"12-庚申":{"JSYQ":"天德 月德 母仓 阳德 五富 福生 除神 司命 鸣吠","XSYJ":"游祸 五离 八专"},"12-辛酉":{"JSYQ":"母仓 月恩 三合 临日 天喜 天医 除神 鸣吠","XSYJ":"四耗 大煞 五离 勾陈"},"12-壬戌":{"JSYQ":"圣心 青龙","XSYJ":"天罡 月刑 五虚"},"12-癸亥":{"JSYQ":"阴德 王日 驿马 天后 时阳 生气 益后 明堂","XSYJ":"月厌 地火 四穷 六蛇 重日 大会 阴错"}};
//计算当天所有时辰的吉凶

function strJiXiong(time) {
   var hlObj = {};
   hlObj.cmd ='strJiXiong';

   var jixiongState = new Array();

     var tempDate =   new Date(time);
     for(i=0;i<24;i++){

//       if(i%2!=0)
       jixiongState[i] = jixiongStatusOfDateTime(tempDate,i);
     }


  hlObj.data = jixiongState;
  return hlObj;
}

function querySAByDay(date) {
    var hlObj = {};
     hlObj.cmd ='adaptQuerySAByDay';
     hlObj.queryTime = date;
    var gzDay = getStemsBranchDay(date);
    var gzMonth = getStemsBranchMonth(date.getFullYear(), dayOfYear(date) - 1);
    var gzStr = getStemsBranchDayAsString(date);
    var fields = getYJSqlFields(date);
    var yi = "-", ji = "-";
    if (yjData[fields[1] + "-" + fields[0]]) {
        yi = yjData[fields[1] + "-" + fields[0]].y;//宜
        ji = yjData[fields[1] + "-" + fields[0]].j;//忌
        hlObj.yi = yi;
        hlObj.ji = ji;
    }
    var dayTg = gzDay % 10;
    var dayDz = gzDay % 12;
    var pzbj = mPzStemArray[dayTg] + " " + mPzBranchArray[dayDz];//彭祖百忌
    hlObj.pzbj = pzbj;
    var jsyq = ""; //
    var xsyj = "";//
    var value = (gzMonth + 10) % 12 + 1;
    if (jxData[value + "-" + gzStr]) {
        jsyq = jxData[value + "-" + gzStr].JSYQ;//吉神宜趋
        xsyj = jxData[value + "-" + gzStr].XSYJ;//凶神宜忌
        hlObj.jsyq = jsyq;
        hlObj.xsyj = xsyj;
    }
    var wx = "";//五行
    if (mWxMap[gzStr]) {
        wx = mWxMap[gzStr];
        hlObj.wx = wx;
    }
    var cs = cxInfoOfDateTime(date, -2); //冲煞
    hlObj.cs = cs;

    return hlObj;
}
function dayCountOfMonth(month, isLeap) {
    switch (month + 1) {
        case 1:
            return 31;
            break;
        case 2:
            if (!isLeap) {
                return 28;
            }
            return 29;
            break;
        case 3:
            return 31;
            break;
        case 4:
            return 30;
            break;
        case 5:
            return 31;
            break;
        case 6:
            return 30;
            break;
        case 7:
            return 31;
            break;
        case 8:
            return 31;
            break;
        case 9:
            return 30;
            break;
        case 10:
            return 31;
            break;
        case 11:
            return 30;
            break;
        case 12:
            return 31;
            break;
        default:
            break;
    }
    return 0;
}
function codeForMonthDizhi(monthDizhi) {
    var zhiCode = { "子": 11, "丑": 12, "寅": 1, "卯": 2, "辰": 3, "巳": 4, "午": 5, "未": 6, "申": 7, "酉": 8, "戌": 9, "亥": 10 };
    return zhiCode[monthDizhi];
}
function taiShenWithCode(code, tgdzDay) {
    var codeString = code + "-" + tgdzDay;
    var taishen = fetusData[codeString];
    return taishen ? taishen : "暂无";
}

function dayOfYear(date) {
    var dateArr = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
    var day = date.getDate();
    var month = date.getMonth(); //getMonth()是从0开始
    var year = date.getFullYear();
    var result = 0;
    for (var i = 0; i < month; i++) {
        result += dateArr[i];
    }
    result += day;
    //判断是否闰年
    if (month > 1 && (year % 4 == 0 && year % 100 != 0) || year % 400 == 0) {
        result += 1;
    }
    return result;
}
function getStemsBranchMonth(year, dayInYear) {
    var term = findPreTerm(year, dayInYear);
    var monthOffset = Math.floor((year - BASE_STEMS_YEAR) * 12 + (term + 2) / 2 - 2);
    var t = (monthOffset + 2) % 10;
    var b = (monthOffset + 2) % 12;
    return ((6 * t - 5 * b) + 60) % 60;
}
function getStemsBranchDay(date) {
    var dayOffset = getIntervalDays(BASE_STEMS_DATE, date);
    if (dayOffset > 0) {
        var t = parseInt((dayOffset + 9) % 10);
        var b = parseInt((dayOffset + 3) % 12);
        return ((6 * t - 5 * b) + 60) % 60;
    }
    return -1;
}
function getStemBranchHour(date, lunarHour) {
    var dayOffset = getIntervalDays(BASE_STEMS_DATE, date);
    var dt = (int)((dayOffset + 9) % 10);
    var hb = lunarHour;
    var ht = (hb + ((dt > 4) ? (dt - 5) : dt) * 2) % 10;
    var termHour = ((6 * ht - 5 * hb) + 60) % 60;
    return termHour;
}
function getIntervalDays(base_date, _date) {
    _date.setHours(0);
    _date.setMinutes(0);
    _date.setSeconds(0);
    _date.setMilliseconds(0);
    return Math.floor(Math.abs(base_date - _date) / (1000 * 60 * 60 * 24));
}

var MIN = 1900;//最小年
var MAX = 2135;//最大年
function findPreTerm(year, dayInYear) {
    var index = year - MIN;
    if (index > 0 && index < TermTable.length / 24) {
        var begin = index * 24;
        return findPreTerm1(TermTable, dayInYear, begin, 24);
    }
    return -1;
}
function findPreTerm1(termTable, dayInYear, begin, len) {
    var value = new Array(24);
    for (var j = begin; j <= begin + 23; j++) {
        value[j - begin] = termTable[j];
    }
    var index = -1, i = 0;
    for (i = 0; i < value.length; i++) {
        if (dayInYear === value[i]) {
            index = i;
            break;
        }
        else if (dayInYear < value[i]) {
            index = i - 1;
            break;
        }
    }
    if (i === value.length && index === -1) {
        index = i - 1;
    }
    return index;
}
function getStemsBranchHourAsString(date, index) {
    return formatStemsBranchString(getStemBranchHour(date, index));
}
function getStemsBranchDayAsString(date) {
    return formatStemsBranchString(getStemsBranchDay(date));
}
function formatStemsBranchString(index) {
    if (index < 0) {
        return "";
    }
    return Gan[index % 10] + Zhi[index % 12];
}
function getStemsBranchMonthAsString(year, dayInYear) {
    return formatBranchMonthString(getStemsBranchMonth(year, dayInYear));
}
function formatBranchMonthString(index) {
    if (index < 0) {
        return "";
    }
    return Zhi[index % 12];
}
var JXTable = [
    0xD2C, 0x34B, 0xCD2, 0xB34, 0x2CD, 0x4B3, 0xD2C, 0x34B, 0xCD2, 0xB34,//甲子，乙丑，丙寅，丁卯，戊辰，己巳，庚午，辛未，壬申，癸酉
    0x2DD, 0x4A3, 0xD2C, 0x34B, 0xCD2, 0xB34, 0x2C5, 0x4B2, 0xD2C, 0x34B,//甲戌，乙亥，丙子，丁丑，戊寅，己卯，庚辰，辛巳，壬午，癸未
    0xCD2, 0xB34, 0x2CD, 0x4B3, 0xD2C, 0x34A, 0xCD2, 0xB34, 0x2CD, 0x4B3,//甲申，乙酉，丙戌，丁亥，戊子，己丑，庚寅，辛卯，壬辰，癸巳
    0xD2C, 0x34B, 0xCD2, 0xB34, 0x2CD, 0x4B3, 0xD2C, 0x34B, 0xCD2, 0xB24,//甲午，乙未，丙申，丁酉，戊戌，己亥，庚子，辛丑，壬寅，癸卯
    0x2CD, 0x4A3, 0xD28, 0x34B, 0xCD2, 0xB34, 0x2CD, 0x4A3, 0xD2C, 0x34B,//甲辰，乙巳，丙午，丁未，戊申，己酉，庚戌，辛亥，壬子，癸丑
    0xCD2, 0xB34, 0x2CD, 0x4B3, 0xD2C, 0x34B, 0xCF2, 0xB34, 0x2CD, 0x4B3 //甲寅，乙卯，丙辰，丁巳，戊午，己未，庚申，辛酉，壬戌，癸亥
];
var JXStatusUnknown = -1;
var JXStatusJi = 0;
var JXStatusXiong = 1;
var JXNames = ["吉", "凶"];

/**
 * 计算当前时辰吉凶
 *
 * @param solar
 * @return
 */
function jixiongStatusOfDateTime(solar, hourNow) {
    console.log("入参："+solar+"时间："+hourNow);
    var status = JXStatusUnknown;
    var stemIndex = getStemsBranchDay(solar);//[self.lunarMgr stemBranchDayOfSolarDate:solar];
    console.log("干支"+solar+stemIndex);
    if (stemIndex > -1 && stemIndex < 60) {
        var hexValue = JXTable[stemIndex];
         console.log("干支的值："+hexValue);
        var chineseHour = getLumarHourIndex(hourNow);//[datetime ylChineseNumHour];
        console.log("农历时间："+chineseHour);
        var moveCount = (11 - chineseHour);
        var value = (hexValue >> moveCount) & 0x1;
        status = value > 0 ? JXStatusJi : JXStatusXiong;
    }
    return getJXName(status);
}
function getLumarHourIndex(hour) {
    return (Math.floor(hour / 2) + hour % 2) % 12;
}
/**
 * 吉凶名称
 *
 * @param value
 * @return
 */
function getJXName(value) {
    if (value < 0 || value > JXNames.length) {
        return "";
    }
    return JXNames[value];
}
//输入毫秒数返回sql表中的id
function adaptGetYJSqlFields(inDate){
    var hlObj = {};
     hlObj.cmd ='adaptGetYJSqlFields';
    hlObj.data = getYJSqlFields(new Date(inDate));
    console.log("adaptGetYJSqlFields"+inDate);
    return hlObj;
}
function adaptQuerySAByDay(inDate){
    console.log("adaptQuerySAByDay"+inDate);
    return querySAByDay(new Date(inDate))
}
/**
 * 得到宜忌查询需要的参数
 * <p/>
 * param calendar
 * return
 */
function getYJSqlFields(calendar) {
    console.log("getYJSqlFields:"+calendar);
    var field = ["-1", "-1"];
    var arr = twentyFourTermdaysOf(calendar);
    if (arr.length == 2) {
        var a = arr[0];
        var b = arr[1];
        var offsetDayCount = Math.floor(a % 2 == 0 ? a / 2 : a / 2 + 1);
        if (b > 0 && a % 2 == 0) {
            offsetDayCount += 1;
        }
        // 计算当前日期距离1901-1-1多少天
        var baseDate = new Date(1901, 0, 1); //JCalendar.createFromString("1901-01-01");
        var day = getIntervalDays(baseDate, calendar);
        field[0] = (15 + day) % 60 + "";
        field[1] = Math.floor(Math.abs((5 + day - offsetDayCount) % 12)) + "";
    }
    sendMsgToNative(field);
    return field;
}
function twentyFourTermdaysOf(calendar) {
    try {
        var year = calendar.getFullYear();
        var yearOffset = year - 1900;
        var offset = dayOfYear(calendar) - 1;
        var index = 0;
        var st = 0;// 改日是否为24节气
        for (var i = 0; i < 24; i++) {
            var num = TermTable[yearOffset * 24 + i];
            if (num > offset) {
                index = i;
                st = 0;
                break;
            }
            else if (num == offset) {
                index = i;
                st = 1;
                break;
            }
        }
        var a = index + yearOffset * 24 - 24;// 莫日之前的节气数目
        var b = st;

        return [a, b];

    }
    catch (e) {
        return null;
    }
}
/**
 * 冲煞
 *
 * @param solar
 * @param lunar
 * @return
 */
function cxInfoOfDateTime(solar, lunar) {
    var branchIndex = branchIndexOfSolar(solar, lunar);
    var cindex = chongIndexOfDateTime(branchIndex);
    var sindex = shaDirectionOfDateTime(branchIndex);
    try {
        return "冲" + ANIMAL[cindex] + "\n煞" + CompassNames[sindex].replace("正", "");
    }
    catch (e) {
        return "";
    }
}
/**
 * branchIndex
 *
 * @param solar
 * @param hour  -2:ignoreTime -1:currenttime
 * @return
 */
function branchIndexOfSolar(solar, hour) {
    var branchIndex = -1;
    if (hour == -2) {
        return getBranchDay(solar);
    }
    //else if (hour == -1) {
    //    branchIndex = solar.getStemsBranchHour() % 12;
    //}
    else {
        branchIndex = getStemBranchHour(solar, hour) % 12;
    }
    return branchIndex;
}
function getBranchDay(solar) {
    var dayOffset = getIntervalDays(BASE_STEMS_DATE, solar);
    if (dayOffset > 0) {
        return Math.floor((dayOffset + 3) % 12);
    }
    return 0;
}
/**
 * 获取干支计时
 *
 * @param _date
 * @param lunarHour
 * @return
 */
function getStemBranchHour(_date, lunarHour) {
    var dayOffset = getIntervalDays(BASE_STEMS_DATE, _date);
    var dt = parseInt((dayOffset + 9) % 10);
    var hb = lunarHour;
    var ht = (hb + ((dt > 4) ? (dt - 5) : dt) * 2) % 10;
    var termHour = ((6 * ht - 5 * hb) + 60) % 60;
    return termHour;
}
/*
 子午相冲，丑未相冲，寅申相冲，辰戌相冲，巳亥相冲，卯酉相冲
 */
function chongIndexOfDateTime(branchIndex) {
    var value = -1;
    switch (branchIndex) {
        case 0:
            value = 6;
            break;
        case 1:
            value = 7;
            break;
        case 2:
            value = 8;
            break;
        case 3:
            value = 9;
            break;
        case 4:
            value = 10;
            break;
        case 5:
            value = 11;
            break;
        case 6:
            value = 0;
            break;
        case 7:
            value = 1;
            break;
        case 8:
            value = 2;
            break;
        case 9:
            value = 3;
            break;
        case 10:
            value = 4;
            break;
        case 11:
            value = 5;
            break;
        default:
            break;
    }
    return value;
}
/*
 逢巳日、酉日、丑日必是“煞东”；亥日、卯日、未日必“煞西”；申日、子日、辰日必“煞南”；寅日、午日、戌日必“煞北”
 */
function shaDirectionOfDateTime(branchIndex) {
    var value = CompassUnknown;
    switch (branchIndex) {
        case 0://子
        case 4://辰
        case 8://申
            value = CompassSouth;
            break;
        case 1://丑
        case 5://巳
        case 9://酉
            value = CompassEast;
            break;
        case 2://寅
        case 6://午
        case 10://戌
            value = CompassNorth;
            break;
        case 3://卯
        case 7://未
        case 11://亥
            value = CompassWest;
            break;
        default:
            break;
    }
    return value;
}
var mWxMap = {
    "甲子": "海中金",
    "乙丑": "海中金",
    "丙寅": "炉中火",
    "丁卯": "炉中火",
    "戊辰": "大林木",
    "己巳": "大林木",
    "庚午": "路旁土",
    "辛未": "路旁土",
    "壬申": "剑锋金",
    "癸酉": "剑锋金",
    "甲戌": "山头火",
    "乙亥": "山头火",
    "丙子": "涧下水",
    "丁丑": "涧下水",
    "戊寅": "城头土",
    "己卯": "城头土",
    "庚辰": "白腊金",
    "辛巳": "白腊金",
    "壬午": "杨柳木",
    "癸未": "杨柳木",
    "甲申": "泉中水",
    "乙酉": "泉中水",
    "丙戌": "屋上土",
    "丁亥": "屋上土",
    "戊子": "霹雳火",
    "己丑": "霹雳火",
    "庚寅": "松柏木",
    "辛卯": "松柏木",
    "壬辰": "长流水",
    "癸巳": "长流水",
    "甲午": "沙中金",
    "乙未": "沙中金",
    "丙申": "山下火",
    "丁酉": "山下火",
    "戊戌": "平地木",
    "己亥": "平地木",
    "庚子": "壁上土",
    "辛丑": "壁上土",
    "壬寅": "金箔金",
    "癸卯": "金箔金",
    "甲辰": "覆灯火",
    "乙巳": "覆灯火",
    "丙午": "天河水",
    "丁未": "天河水",
    "戊申": "大驿土",
    "己酉": "大驿土",
    "庚戌": "钗钏金",
    "辛亥": "钗钏金",
    "壬子": "桑拓木",
    "癸丑": "桑拓木",
    "甲寅": "大溪水",
    "乙卯": "大溪水",
    "丙辰": "沙中土",
    "丁巳": "沙中土",
    "戊午": "天上火",
    "己未": "天上火",
    "庚申": "石榴木",
    "辛酉": "石榴木",
    "壬戌": "大海水",
    "癸亥": "大海水"
};
var TermTable = [
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1900
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1901
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1902
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1903
    6, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 282, 297, 312, 327, 341, 356,//1904
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1905
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1906
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1907
    6, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 282, 297, 312, 327, 341, 356,//1908
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1909
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1910
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1911
    6, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 282, 297, 312, 326, 341, 356,//1912
    5, 19, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1913
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1914
    5, 20, 35, 50, 64, 80, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1915
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 281, 297, 312, 326, 341, 356,//1916
    5, 19, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1917
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1918
    5, 20, 35, 50, 64, 80, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1919
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 281, 297, 312, 326, 341, 356,//1920
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 340, 355,//1921
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1922
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1923
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 281, 297, 312, 326, 341, 356,//1924
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 340, 355,//1925
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1926
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1927
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 173, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1928
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1929
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1930
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1931
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1932
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1933
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1934
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1935
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1936
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1937
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1938
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1939
    5, 20, 35, 50, 65, 80, 95, 110, 126, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1940
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1941
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1942
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1943
    5, 20, 35, 50, 65, 80, 95, 110, 125, 141, 157, 172, 188, 204, 220, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1944
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1945
    5, 19, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1946
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1947
    5, 20, 35, 50, 64, 80, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1948
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1949
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1950
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1951
    5, 20, 35, 50, 64, 80, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1952
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1953
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 340, 355,//1954
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1955
    5, 20, 35, 50, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 251, 266, 281, 296, 311, 326, 341, 356,//1956
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1957
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1958
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1959
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1960
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1961
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1962
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1963
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 157, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1964
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1965
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1966
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1967
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1968
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1969
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1970
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1971
    5, 20, 35, 49, 64, 79, 95, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1972
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1973
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1974
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1975
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1976
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1977
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355,//1978
    5, 19, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1979
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 204, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1980
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1981
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1982
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//1983
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//1984
    4, 19, 34, 49, 63, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1985
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1986
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 235, 250, 265, 281, 296, 311, 326, 340, 355,//1987
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1988
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//1989
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//1990
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1991
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1992
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//1993
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1994
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1995
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//1996
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//1997
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//1998
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//1999
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//2000
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2001
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2002
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2003
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//2004
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2005
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2006
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2007
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2008
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2009
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2010
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355,//2011
    5, 20, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2012
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2013
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2014
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2015
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2016
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2017
    4, 19, 34, 49, 63, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2018
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2019
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 341, 355,//2020
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2021
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2022
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2023
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2024
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2025
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2026
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2027
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2028
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2029
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2030
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2031
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2032
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2033
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2034
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2035
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2036
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2037
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2038
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2039
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2040
    4, 19, 33, 48, 63, 78, 93, 109, 124, 139, 155, 171, 187, 202, 218, 234, 249, 264, 280, 295, 310, 325, 340, 354,//2041
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2042
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2043
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355,//2044
    4, 19, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 187, 202, 218, 234, 249, 264, 280, 295, 310, 325, 340, 354,//2045
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2046
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2047
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2048
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 340, 354,//2049
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2050
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2051
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2052
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 340, 354,//2053
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2054
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2055
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2056
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2057
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2058
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2059
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2060
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2061
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2062
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2063
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2064
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2065
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2066
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2067
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2068
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2069
    4, 19, 33, 48, 63, 78, 93, 109, 124, 139, 155, 171, 187, 202, 218, 234, 249, 264, 280, 295, 310, 325, 340, 354,//2070
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2071
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2072
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 279, 295, 310, 325, 339, 354,//2073
    4, 19, 33, 48, 63, 78, 93, 109, 124, 139, 155, 171, 187, 202, 218, 234, 249, 264, 280, 295, 310, 325, 340, 354,//2074
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2075
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2076
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 279, 295, 310, 325, 339, 354,//2077
    4, 19, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 234, 249, 264, 280, 295, 310, 325, 340, 354,//2078
    4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2079
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2080
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 170, 186, 202, 218, 233, 249, 264, 279, 295, 310, 324, 339, 354,//2081
    4, 19, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 340, 354,//2082
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2083
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2084
    3, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 170, 186, 202, 218, 233, 249, 264, 279, 295, 310, 324, 339, 354,//2085
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 340, 354,//2086
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2087
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2088
    3, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 170, 186, 202, 218, 233, 249, 264, 279, 295, 310, 324, 339, 354,//2089
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2090
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2091
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2092
    3, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 170, 186, 202, 218, 233, 249, 264, 279, 294, 309, 324, 339, 354,//2093
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2094
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2095
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2096
    3, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 170, 186, 202, 217, 233, 249, 264, 279, 294, 309, 324, 339, 354,//2097
    4, 18, 33, 48, 63, 78, 93, 108, 124, 139, 155, 171, 186, 202, 218, 233, 249, 264, 280, 295, 310, 325, 339, 354,//2098
    4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354,//2099
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2100
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2101
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2102
    5, 20, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2103
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//2104
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2105
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355,//2106
    5, 20, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 187, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2107
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//2108
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2109
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355,//2110
    5, 20, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 341, 355,//2111
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//2112
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2113
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2114
    5, 20, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 341, 355,//2115
    5, 20, 35, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//2116
    4, 19, 34, 49, 63, 79, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2117
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355,//2118
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 341, 355,//2119
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 356,//2120
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2121
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 311, 325, 340, 355,//2122
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2123
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//2124
    4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2125
    4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2126
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2127
    5, 20, 34, 49, 64, 79, 94, 110, 125, 141, 156, 172, 188, 203, 219, 235, 250, 266, 281, 296, 311, 326, 341, 355,//2128
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2129
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2130
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355,//2131
    5, 20, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355,//2132
    4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355,//2133
    4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355,//2134
    5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355 //2135
];










var JQYearDate = {
    "2010": [4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355],
    "2011": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 326, 340, 355],
    "2012": [5, 20, 34, 49, 64, 79, 94, 110, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355],
    "2013": [4, 19, 34, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355],
    "2014": [4, 19, 34, 49, 64, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355],
    "2015": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355],
    "2016": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 188, 203, 219, 235, 250, 265, 281, 296, 311, 326, 341, 355],
    "2017": [4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355],
    "2018": [4, 19, 34, 49, 63, 79, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 250, 265, 280, 295, 310, 325, 340, 355],
    "2019": [4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355],
    "2020": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 341, 355],
    "2021": [4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354],
    "2022": [4, 19, 34, 49, 63, 78, 94, 109, 124, 140, 156, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355],
    "2023": [4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 296, 311, 325, 340, 355],
    "2024": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355],
    "2025": [4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354],
    "2026": [4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355],
    "2027": [4, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 171, 187, 203, 219, 234, 250, 265, 280, 295, 310, 325, 340, 355],
    "2028": [5, 19, 34, 49, 64, 79, 94, 109, 125, 140, 156, 172, 187, 203, 219, 234, 250, 265, 281, 296, 311, 326, 340, 355],
    "2029": [4, 19, 33, 48, 63, 78, 93, 109, 124, 140, 155, 171, 187, 202, 218, 234, 249, 265, 280, 295, 310, 325, 340, 354],
    "2030": [4, 19, 34, 48, 63, 78, 94, 109, 124, 140, 155, 171, 187, 203, 218, 234, 249, 265, 280, 295, 310, 325, 340, 355]
};

function GetSolarDateFromLunar(yearparam, monthparam, dayparam) {
    var isleappara = false;
    if (monthparam == "13") {
        isleappara = true;
        monthparam = leapMonth(parseInt(yearparam, 10));
    }
    return GetSolarFromLunar(yearparam, monthparam, dayparam, isleappara);
}
function GetSolarFromLunar(year, month, day, isLeap) {

    ///<summary>通过农历年月日，是否闰月得到阳历日期</summary>
    ///<return type="string" />

    ///思路 先计算农历距离1.1日的天数差

    year = parseInt(year, 10);
    month = parseInt(month, 10);
    day = parseInt(day, 10);

    var haveLeapmonth = leapMonth(year);
    var DayCounts = 0;
    var Diffrence = 0;
    for (var i = 1; i < month; i++) {
        DayCounts += monthDays(year, i);
    }
    if (haveLeapmonth > 0) {
        if (month > haveLeapmonth) {
            DayCounts += leapDays(year);
        }
        else {
            if (month == haveLeapmonth && isLeap) {
                DayCounts += monthDays(year, month);
            }
        }
    }
    DayCounts += day;

    var solarTolunar = new calendar(year, 0);
    var solarFirstDay = solarTolunar[0];

    var PreYearDayCount = 0;
    try {
        for (var j = 1; j < solarFirstDay.lMonth; j++) {
            PreYearDayCount += monthDays(solarFirstDay.lYear, j);
        }
    }
    catch (e) {
        alert(e.message);
    }
    if (solarFirstDay.isLeap) {
        PreYearDayCount += monthDays(solarFirstDay.lYear, solarFirstDay.lMonth);
    }
    PreYearDayCount += solarFirstDay.lDay;

    if (solarFirstDay.lYear < year) {
        var PreYearTotal = lYearDays(solarFirstDay.lYear);

        PreYearDayCount += leapDays(solarFirstDay.lYear);
        Diffrence = PreYearTotal - PreYearDayCount + DayCounts;
    }
    else {
        Diffrence = DayCounts - PreYearDayCount;
    }
    return DateCalculate(new Date(year, 0, 1), Diffrence, "d");
}
/*时间计算
 calculateDate:计算的时间基数 时间类型
 number:计算的参数  整形
 type  :类型 枚举类型
 返回时间类型
 */
function DateCalculate(calculateDate, number, type) {
    var calculateResult;
    switch (type) {
        case "s":
            calculateResult = new Date(Date.parse(calculateDate) + (1000 * parseInt(number)));
            break;
        case "m":
            calculateResult = new Date(Date.parse(calculateDate) + (60000 * parseInt(number)));
            break;
        case "h":
            calculateResult = new Date(Date.parse(calculateDate) + (3600000 * parseInt(number)));
            break;
        case "d":
            calculateResult = new Date(Date.parse(calculateDate) + (86400000 * parseInt(number)));
            break;
        case "w":
            calculateResult = new Date(Date.parse(calculateDate) + ((86400000 * 7) * parseInt(number)));
            break;
        case "M":
            calculateResult = new Date(calculateDate.getFullYear(), (calculateDate.getMonth()) + parseInt(number), calculateDate.getDate(),
                calculateDate.getHours(), calculateDate.getMinutes(), calculateDate.getSeconds());
            break;
        case "y":
            calculateResult = new Date(calculateDate.getFullYear() + parseInt(number), (calculateDate.getMonth()), calculateDate.getDate(),
                calculateDate.getHours(), calculateDate.getMinutes(), calculateDate.getSeconds());
            break;
    }
    return calculateResult;
}

/*
 CryptoJS v3.1.2
 code.google.com/p/crypto-js_new
 (c) 2009-2013 by Jeff Mott. All rights reserved.
 code.google.com/p/crypto-js_new/wiki/License
 */
var CryptoJS = CryptoJS || function (s, p) {
    var m = {}, l = m.lib = {}, n = function () { }, r = l.Base = { extend: function (b) { n.prototype = this; var h = new n; b && h.mixIn(b); h.hasOwnProperty("init") || (h.init = function () { h.$super.init.apply(this, arguments) }); h.init.prototype = h; h.$super = this; return h }, create: function () { var b = this.extend(); b.init.apply(b, arguments); return b }, init: function () { }, mixIn: function (b) { for (var h in b) b.hasOwnProperty(h) && (this[h] = b[h]); b.hasOwnProperty("toString") && (this.toString = b.toString) }, clone: function () { return this.init.prototype.extend(this) } },
        q = l.WordArray = r.extend({
            init: function (b, h) { b = this.words = b || []; this.sigBytes = h != p ? h : 4 * b.length }, toString: function (b) { return (b || t).stringify(this) }, concat: function (b) { var h = this.words, a = b.words, j = this.sigBytes; b = b.sigBytes; this.clamp(); if (j % 4) for (var g = 0; g < b; g++)h[j + g >>> 2] |= (a[g >>> 2] >>> 24 - 8 * (g % 4) & 255) << 24 - 8 * ((j + g) % 4); else if (65535 < a.length) for (g = 0; g < b; g += 4)h[j + g >>> 2] = a[g >>> 2]; else h.push.apply(h, a); this.sigBytes += b; return this }, clamp: function () {
                var b = this.words, h = this.sigBytes; b[h >>> 2] &= 4294967295 <<
                    32 - 8 * (h % 4); b.length = s.ceil(h / 4)
            }, clone: function () { var b = r.clone.call(this); b.words = this.words.slice(0); return b }, random: function (b) { for (var h = [], a = 0; a < b; a += 4)h.push(4294967296 * s.random() | 0); return new q.init(h, b) }
        }), v = m.enc = {}, t = v.Hex = {
            stringify: function (b) { var a = b.words; b = b.sigBytes; for (var g = [], j = 0; j < b; j++) { var k = a[j >>> 2] >>> 24 - 8 * (j % 4) & 255; g.push((k >>> 4).toString(16)); g.push((k & 15).toString(16)) } return g.join("") }, parse: function (b) {
                for (var a = b.length, g = [], j = 0; j < a; j += 2)g[j >>> 3] |= parseInt(b.substr(j,
                    2), 16) << 24 - 4 * (j % 8); return new q.init(g, a / 2)
            }
        }, a = v.Latin1 = { stringify: function (b) { var a = b.words; b = b.sigBytes; for (var g = [], j = 0; j < b; j++)g.push(String.fromCharCode(a[j >>> 2] >>> 24 - 8 * (j % 4) & 255)); return g.join("") }, parse: function (b) { for (var a = b.length, g = [], j = 0; j < a; j++)g[j >>> 2] |= (b.charCodeAt(j) & 255) << 24 - 8 * (j % 4); return new q.init(g, a) } }, u = v.Utf8 = { stringify: function (b) { try { return decodeURIComponent(escape(a.stringify(b))) } catch (g) { throw Error("Malformed UTF-8 data"); } }, parse: function (b) { return a.parse(unescape(encodeURIComponent(b))) } },
        g = l.BufferedBlockAlgorithm = r.extend({
            reset: function () { this._data = new q.init; this._nDataBytes = 0 }, _append: function (b) { "string" == typeof b && (b = u.parse(b)); this._data.concat(b); this._nDataBytes += b.sigBytes }, _process: function (b) { var a = this._data, g = a.words, j = a.sigBytes, k = this.blockSize, m = j / (4 * k), m = b ? s.ceil(m) : s.max((m | 0) - this._minBufferSize, 0); b = m * k; j = s.min(4 * b, j); if (b) { for (var l = 0; l < b; l += k)this._doProcessBlock(g, l); l = g.splice(0, b); a.sigBytes -= j } return new q.init(l, j) }, clone: function () {
                var b = r.clone.call(this);
                b._data = this._data.clone(); return b
            }, _minBufferSize: 0
        }); l.Hasher = g.extend({
            cfg: r.extend(), init: function (b) { this.cfg = this.cfg.extend(b); this.reset() }, reset: function () { g.reset.call(this); this._doReset() }, update: function (b) { this._append(b); this._process(); return this }, finalize: function (b) { b && this._append(b); return this._doFinalize() }, blockSize: 16, _createHelper: function (b) { return function (a, g) { return (new b.init(g)).finalize(a) } }, _createHmacHelper: function (b) {
                return function (a, g) {
                    return (new k.HMAC.init(b,
                        g)).finalize(a)
                }
            }
        }); var k = m.algo = {}; return m
} (Math);
(function (s) {
    function p(a, k, b, h, l, j, m) { a = a + (k & b | ~k & h) + l + m; return (a << j | a >>> 32 - j) + k } function m(a, k, b, h, l, j, m) { a = a + (k & h | b & ~h) + l + m; return (a << j | a >>> 32 - j) + k } function l(a, k, b, h, l, j, m) { a = a + (k ^ b ^ h) + l + m; return (a << j | a >>> 32 - j) + k } function n(a, k, b, h, l, j, m) { a = a + (b ^ (k | ~h)) + l + m; return (a << j | a >>> 32 - j) + k } for (var r = CryptoJS, q = r.lib, v = q.WordArray, t = q.Hasher, q = r.algo, a = [], u = 0; 64 > u; u++)a[u] = 4294967296 * s.abs(s.sin(u + 1)) | 0; q = q.MD5 = t.extend({
        _doReset: function () { this._hash = new v.init([1732584193, 4023233417, 2562383102, 271733878]) },
        _doProcessBlock: function (g, k) {
            for (var b = 0; 16 > b; b++) { var h = k + b, w = g[h]; g[h] = (w << 8 | w >>> 24) & 16711935 | (w << 24 | w >>> 8) & 4278255360 } var b = this._hash.words, h = g[k + 0], w = g[k + 1], j = g[k + 2], q = g[k + 3], r = g[k + 4], s = g[k + 5], t = g[k + 6], u = g[k + 7], v = g[k + 8], x = g[k + 9], y = g[k + 10], z = g[k + 11], A = g[k + 12], B = g[k + 13], C = g[k + 14], D = g[k + 15], c = b[0], d = b[1], e = b[2], f = b[3], c = p(c, d, e, f, h, 7, a[0]), f = p(f, c, d, e, w, 12, a[1]), e = p(e, f, c, d, j, 17, a[2]), d = p(d, e, f, c, q, 22, a[3]), c = p(c, d, e, f, r, 7, a[4]), f = p(f, c, d, e, s, 12, a[5]), e = p(e, f, c, d, t, 17, a[6]), d = p(d, e, f, c, u, 22, a[7]),
                c = p(c, d, e, f, v, 7, a[8]), f = p(f, c, d, e, x, 12, a[9]), e = p(e, f, c, d, y, 17, a[10]), d = p(d, e, f, c, z, 22, a[11]), c = p(c, d, e, f, A, 7, a[12]), f = p(f, c, d, e, B, 12, a[13]), e = p(e, f, c, d, C, 17, a[14]), d = p(d, e, f, c, D, 22, a[15]), c = m(c, d, e, f, w, 5, a[16]), f = m(f, c, d, e, t, 9, a[17]), e = m(e, f, c, d, z, 14, a[18]), d = m(d, e, f, c, h, 20, a[19]), c = m(c, d, e, f, s, 5, a[20]), f = m(f, c, d, e, y, 9, a[21]), e = m(e, f, c, d, D, 14, a[22]), d = m(d, e, f, c, r, 20, a[23]), c = m(c, d, e, f, x, 5, a[24]), f = m(f, c, d, e, C, 9, a[25]), e = m(e, f, c, d, q, 14, a[26]), d = m(d, e, f, c, v, 20, a[27]), c = m(c, d, e, f, B, 5, a[28]), f = m(f, c,
                    d, e, j, 9, a[29]), e = m(e, f, c, d, u, 14, a[30]), d = m(d, e, f, c, A, 20, a[31]), c = l(c, d, e, f, s, 4, a[32]), f = l(f, c, d, e, v, 11, a[33]), e = l(e, f, c, d, z, 16, a[34]), d = l(d, e, f, c, C, 23, a[35]), c = l(c, d, e, f, w, 4, a[36]), f = l(f, c, d, e, r, 11, a[37]), e = l(e, f, c, d, u, 16, a[38]), d = l(d, e, f, c, y, 23, a[39]), c = l(c, d, e, f, B, 4, a[40]), f = l(f, c, d, e, h, 11, a[41]), e = l(e, f, c, d, q, 16, a[42]), d = l(d, e, f, c, t, 23, a[43]), c = l(c, d, e, f, x, 4, a[44]), f = l(f, c, d, e, A, 11, a[45]), e = l(e, f, c, d, D, 16, a[46]), d = l(d, e, f, c, j, 23, a[47]), c = n(c, d, e, f, h, 6, a[48]), f = n(f, c, d, e, u, 10, a[49]), e = n(e, f, c, d,
                        C, 15, a[50]), d = n(d, e, f, c, s, 21, a[51]), c = n(c, d, e, f, A, 6, a[52]), f = n(f, c, d, e, q, 10, a[53]), e = n(e, f, c, d, y, 15, a[54]), d = n(d, e, f, c, w, 21, a[55]), c = n(c, d, e, f, v, 6, a[56]), f = n(f, c, d, e, D, 10, a[57]), e = n(e, f, c, d, t, 15, a[58]), d = n(d, e, f, c, B, 21, a[59]), c = n(c, d, e, f, r, 6, a[60]), f = n(f, c, d, e, z, 10, a[61]), e = n(e, f, c, d, j, 15, a[62]), d = n(d, e, f, c, x, 21, a[63]); b[0] = b[0] + c | 0; b[1] = b[1] + d | 0; b[2] = b[2] + e | 0; b[3] = b[3] + f | 0
        }, _doFinalize: function () {
            var a = this._data, k = a.words, b = 8 * this._nDataBytes, h = 8 * a.sigBytes; k[h >>> 5] |= 128 << 24 - h % 32; var l = s.floor(b /
                4294967296); k[(h + 64 >>> 9 << 4) + 15] = (l << 8 | l >>> 24) & 16711935 | (l << 24 | l >>> 8) & 4278255360; k[(h + 64 >>> 9 << 4) + 14] = (b << 8 | b >>> 24) & 16711935 | (b << 24 | b >>> 8) & 4278255360; a.sigBytes = 4 * (k.length + 1); this._process(); a = this._hash; k = a.words; for (b = 0; 4 > b; b++)h = k[b], k[b] = (h << 8 | h >>> 24) & 16711935 | (h << 24 | h >>> 8) & 4278255360; return a
        }, clone: function () { var a = t.clone.call(this); a._hash = this._hash.clone(); return a }
    }); r.MD5 = t._createHelper(q); r.HmacMD5 = t._createHmacHelper(q)
})(Math);

function sendMsgToNative(msg){
        if(window.NotificationBind) {
            NotificationBind.showNotification(msg);
        }
}